linux-mtk (5.15.0-1039.47) jammy; urgency=medium

  * jammy/linux-mtk: 5.15.0-1039.47 -proposed tracker (LP: #2110535)

  * Add list of source files to linux-buildinfo (LP: #2086606)
    - [Packaging] Sort build dependencies alphabetically
    - [Packaging] Add list of used source files to buildinfo package

  * sources list generation using dwarfdump takes up to 0.5hr in build process
    (LP: #2104911)
    - [Packaging] distribute sources list generation in parallel

  * Support standalone dkms source tree embedded in kernel source (LP: #2047909)
    - [Packaging] dkms-build -- support in-tree dkms source directory

  * CVE-2025-20648
    - mvpu: fix mpu size alignment

  * DTBOs for MIPI camera (LP: #2091603)
    - SAUCE: (no-up) dtbo: add more camera dtbos

  * Miscellaneous Ubuntu changes
    - [Config] Set CONFIG_VIDEO_AR0430 to m
    - SAUCE: (no-up) Correct the include path for isp71.dtsi
    - [Packaging] add mediatek camisp dkms
    - SAUCE: (no-up) nvmem: mt635x-efuse: add MODULE_DEVICE_TABLE for module alias
    - SAUCE: (no-up) dtbo: genio-350-evk: add camera-ar0430-dual dtbo
    - [Packaging] update camisp dkms version to rity 24.1
    - SAUCE: (no-up) ubuntu/mtk-camisp-driver-dkms: import mtk-camisp-driver
    - [Packaging] allow passing env vars to dkms-build
    - [Packaging] dkms-build: replace PACKAGE_NAME from dkms-versions
    - [Packaging] ubuntu/mtk-camisp-driver-dkms: add dkms.conf
    - [Packaging] ubuntu/mtk-camisp-driver-dkms: add required kernel header files
      for building
    - [Packaging] support dkms in kernel tree building
    - [Packaging] dkms-build: add CROSS_COMPILE to strip

  * Miscellaneous upstream changes
    - Revert "cpufreq: mediatek: add opp notification for SVS support"
    - Revert "cpufreq: mediatek: Add record of previous desired vproc value"
    - Revert "cpufreq: mediatek: Enable clock and regulator"
    - cpufreq: mediatek: Cleanup variables and error handling in
      mtk_cpu_dvfs_info_init()
    - cpufreq: mediatek: Remove unused headers
    - cpufreq: mediatek: Enable clocks and regulators
    - cpufreq: mediatek: Use device print to show logs
    - cpufreq: mediatek: Replace old_* with pre_*
    - cpufreq: mediatek: Record previous target vproc value
    - cpufreq: mediatek: Make sram regulator optional
    - cpufreq: mediatek: Fix NULL pointer dereference in mediatek-cpufreq
    - cpufreq: mediatek: Move voltage limits to platform data
    - cpufreq: mediatek: Refine mtk_cpufreq_voltage_tracking()
    - cpufreq: mediatek: Add opp notification support
    - cpufreq: mediatek: Fix potential deadlock problem in mtk_cpufreq_set_target
    - GENIO: cpufreq: mediatek: correct proc/sram voltage for MT8365
    - GENIO: media: i2c: ap1302: Add read-only V4L2 controls for ISP params
    - GENIO: media: platform: mtk-mdp3: fix the cropping padding method after
      aligning in specific format.
    - GENIO: memory: mtk-smi: add clamp function to protect ISP SW reset
    - GENIO: arm64: dts: mt8188: add smi-sub-comm of larb for clamp
    - GENIO: arm64: dts: mt8370: add smi-sub-comm of larb for clamp
    - GENIO: arm64: dts: mt8195: add smi-sub-comm of larb for clamp
    - UPSTREAM: soc: mediatek: pm-domains: Add buck isolation offset and mask to
      power domain data
    - BACKPORT: UPSTREAM: soc: mediatek: pm-domains: Add buck isolation setting in
      power domain
    - GENIO: soc: mediatek: pm-domains: add smi clamp and larb reset step
    - GENIO: cpufreq: mediatek: correct max sram voltage for MT8365
    - Revert "GENIO: net: stmmac: disable stop rxc when enable EEE"
    - net: stmmac: mediatek: Disable the RX EEE function of the RTL PHY
    - arm: dts: mt8188: enable cec module
    - arm: dts: mt8195: enable cec module
    - arm: dts: mt8370: enable cec module
    - GENIO: media: platform: mtk-mdp3: Register media device
    - Revert "BACKPORT: FROMLIST: media: v4l2-core: extend the v4l2 format to
      support request"
    - GENIO: soc: mediatek: hdmirx: mt8195: Add query avi info API
    - GENIO: media: platform: mtk-mdp3: Add HDR R2Y for HDRMIRX RGB in
    - GENIO: dt-bindings: iio: adc: Add mt635x-auxadc to compatible list
    - GENIO: dt-bindings: iio: Add mt635x-auxadc
    - GENIO: dt-bindings: iio: Add 8188 auxadc compatible list
    - GENIO: dt-bindings: thermal: Add pmic_temp to compatible list
    - GENIO: dt-bindings: nvmem: Add mt635x-efuse to compatible list
    - GENIO: drivers: auxadc: add auxadc driver
    - GENIO: drivers: thermal: add pmic_temp driver
    - GENIO: drivers: pmic: add pmic 6359p auxadc driver
    - GENIO: drivers: pmic: add pmic 6359p efuse driver
    - GENIO: drivers: pmic: add pmic 6359p auxadc config
    - GENIO: drivers: pmic: add pmic 6359p efuse config
    - GENIO: arm64: dts: mt6359: pmic: add pmic 6359p auxadc and efuse dtsi
    - GENIO: arm64: dts: mediatek: genio-700-evk: add pmic and ap_ntc thermal zone
    - GENIO: arm64: dts: mediatek: genio-510-evk: add pmic and ap_ntc thermal zone
    - GENIO: arm64: dts: mediatek: genio-1200-evk: add pmic and ap_ntc thermal
      zone
    - GENIO: arm64: dts: mt8195: Fixup smi-sub-comm for larb9/10/11/12
    - BACKPORT: firmware_loader: move firmware sysctl to its own files
    - UPSTREAM: firmware_loader: Check fw_state_is_done in loading_store
    - UPSTREAM: firmware_loader: Split sysfs support from fallback
    - BACKPORT: firmware_loader: Add firmware-upload support
    - BACKPORT: media: Add MIPI CCI register access helper functions
    - BACKPORT: device property: Add fwnode_name_eq()
    - BACKPORT: media: v4l: subdev: Rename sub-device state information access
      functions
    - BACKPORT: media: v4l: subdev: Store the sub-device in the sub-device state
    - BACKPORT: media: subdev: add subdev state locking
    - GENIO: arm64: dts: mediatek: Add vsys_v4p2 and camera61_clk
    - BACKPORT: media: uapi: Add controls for the THP7312 ISP
    - BACKPORT: media: i2c: Add driver for THine THP7312
    - GENIO: arm64: dts: mt8195: add i2c aliases
    - GENIO: arm64: dts: mt8188: add i2c aliases
    - GENIO: arm64: dts: mt8370: add i2c aliases
    - GENIO: arm64: dts: mt8385: add i2c aliases
    - FIXUP: BACKPORT: media: subdev: add subdev state locking
    - FIXUP: BACKPORT: media: i2c: Fix locking mechanism in THP7312 driver
    - GENIO: arm64: dts: mt8365: fix the occasional boot hang issue
    - FROMGIT: Bluetooth: btmtksdio: enable bluetooth wakeup in system suspend
    - GENIO: media: i2c: Kconfig: Add config VIDEO_DECODER
    - GENIO: media: platform: mtk-mdp3: expanded critical section to prevent race
      conditions when getting VPU
    - UPSTREAM: ieee80211: add power type definition for 6 GHz
    - GENIO: media: i2c: max9271: Add MAX96705 chip ID to max9271
    - GENIO: dt-bindings: media: i2c: Add compatible abeo ag190c to imi rdacm2x
    - GENIO: media: i2c: rdacm21: Add compatible for ABEO AG190C
    - GENIO: media: i2c: max9286: Fix the chan amplitude source from DTS
    - UPSTREAM: ipc: debug: Add shared memory heap to memory scan
    - UPSTREAM: mailbox: mediatek: add support for adsp mailbox controller
    - UPSTREAM: dt-bindings: mailbox: mtk,adsp-mbox: add mtk adsp-mbox document
    - UPSTREAM: firmware: mediatek: Add adsp ipc protocol interface
    - UPSTREAM: mailbox: mediatek: support mt8186 adsp mailbox
    - UPSTREAM: dt-bindings: mailbox: mtk,adsp-mbox: add mt8186 compatible name
    - UPSTREAM: dt-bindings: dsp: mediatek: Add mt8186 dsp document
    - UPSTREAM: firmware: mediatek: Use meaningful names for mbox
    - UPSTREAM: dt-bindings: dsp: mediatek: Add mt8188 dsp compatible
    - BACKPORT: arm64: dts: mt8195: Add adsp node and adsp mailbox nodes
    - GENIO: arm64: dts: mediatek: genio-1200-evk: add reserved memory for adsp
    - BACKPORT: CHROMIUM: arm64: dts: mediatek: mt8188-geralt: add adsp node
    - GENIO: arm64: dts: mediatek: genio-700-evk: add reserved memory for adsp
    - GENIO: arm64: dts: mediatek: mt8370: add adsp node
    - GENIO: arm64: dts: mediatek: genio-510-evk: add reserved memory for adsp
    - GENIO: media: i2c: rdacm21: Fix the i2c transfer issue after system reboot
    - GENIO: media: platform: mtk-mdp3: Add RGBA format support
    - GENIO: arm64: dts: mediatek: genio-700-evk: add reserved memory for afe
    - GENIO: arm64: dts: mediatek: genio-510-evk: add reserved memory for afe
    - GENIO: arm64: dts: mediatek: genio-700-evk: Correct the reserved memory size
      for the DSP
    - GENIO: arm64: dts: mediatek: genio-510-evk: Correct the reserved memory size
      for the DSP
    - GENIO: media: platform: mtk-mdp3: fix using null pointer during probe
    - GENIO: scsi: ufs: adjust log level for optional settings
    - UPSTREAM: wifi: mt76: mt7921: add mt7921_mutex_acquire at mt7921_[start,
      stop]_ap
    - UPSTREAM: wifi: mt76: connac: add mt76_connac_mcu_uni_set_chctx
    - UPSTREAM: wifi: mt76: mt7921: add chanctx parameter to
      mt76_connac_mcu_uni_add_bss signature
    - UPSTREAM: wifi: mt76: mt7921: add unified ROC cmd/event support
    - UPSTREAM: wifi: mt76: mt7921: drop ieee80211_[start, stop]_queues in driver
    - UPSTREAM: wifi: mt76: connac: accept hw scan request at a time
    - UPSTREAM: wifi: mt76: mt7921: introduce remain_on_channel support
    - BACKPORT: wifi: mt76: mt7921: introduce chanctx support
    - Revert "BACKPORT: wifi: mt76: mt7921: introduce chanctx support"
    - Revert "UPSTREAM: wifi: mt76: mt7921: introduce remain_on_channel support"
    - Revert "UPSTREAM: wifi: mt76: connac: accept hw scan request at a time"
    - Revert "UPSTREAM: wifi: mt76: mt7921: drop ieee80211_ [start, stop]_queues
      in driver"
    - Revert "UPSTREAM: wifi: mt76: mt7921: add unified ROC cmd/event support"
    - Revert "UPSTREAM: wifi: mt76: mt7921: add chanctx parameter to
      mt76_connac_mcu_uni_add_bss signature"
    - Revert "UPSTREAM: wifi: mt76: connac: add mt76_connac_mcu_uni_set_chctx"
    - Revert "UPSTREAM: wifi: mt76: mt7921: add mt7921_mutex_acquire at
      mt7921_[start, stop]_ap"
    - UPSTREAM: wifi: mt76: mt7921: add mt7921_mutex_acquire at mt7921_[start,
      stop]_ap
    - UPSTREAM: wifi: mt76: connac: add mt76_connac_mcu_uni_set_chctx
    - UPSTREAM: wifi: mt76: mt7921: add chanctx parameter to
      mt76_connac_mcu_uni_add_bss signature
    - UPSTREAM: wifi: mt76: mt7921: add unified ROC cmd/event support
    - UPSTREAM: wifi: mt76: mt7921: drop ieee80211_[start, stop]_queues in driver
    - UPSTREAM: wifi: mt76: connac: accept hw scan request at a time
    - UPSTREAM: wifi: mt76: mt7921: introduce remain_on_channel support
    - BACKPORT: wifi: mt76: mt7921: introduce chanctx support
    - UPSTREAM: wifi: mt76: mt7921: fix deadlock in mt7921_abort_roc
    - BACKPORT: wifi: mt76: mt7921: fix channel switch fail in monitor mode
    - BACKPORT: FROMLIST: wifi: mt76: move struct ieee80211_chanctx_conf up to
      struct mt76_vif
    - BACKPORT: FROMLIST: wifi: mt76: mt7921: fix the wrong rate pickup for the
      chanctx driver
    - UPSTREAM: wifi: mt76: mt7921: fix wrong command to set STA channel
    - UPSTREAM: wifi: mt76: mt7921: fix fw used for offload check for mt7922
    - UPSTREAM: wifi: mt76: mt7921: resource leaks at
      mt7921_check_offload_capability()
    - UPSTREAM: wifi: mt76: mt7921: fix invalid remain_on_channel duration
    - UPSTREAM: wifi: mt76: mt7921e: fix init command fail with enabled device
    - UPSTREAM: wifi: mt76: mt7921: Fix use-after-free in fw features query.
    - wifi: mt76: mt7615: do not advertise 5 GHz on first phy of MT7615D (DBDC)
    - wifi: mt76: mt7921: do not support one stream on secondary antenna only
    - FROMLIST: wifi: mt76: mt7921: fix the wrong rate selected in fw for the
      chanctx driver
    - wifi: mt76: testmode: add nla_policy for MT76_TM_ATTR_TX_LENGTH
    - wifi: mt76: mt7915: fix power-limits while chan_switch
    - wifi: mt76: mt76x02: fix MT76x0 external LNA gain handling
    - FROMLIST: wifi: mt76: reduce spin_lock_bh held up in mt76_dma_rx_cleanup
    - UPSTREAM: wifi: mt76: mt7915: fix beamforming availability check
    - wifi: mt76: mt7603: rework/fix rx pse hang check
    - wifi: mt76: mt7603: improve stuck beacon handling
    - BACKPORT: UPSTREAM: wifi: mt76: mt7921: move connac nic capability handling
      to mt7921
    - UPSTREAM: wifi: mt76: mt7921: enable set txpower for UNII-4
    - BACKPORT: UPSTREAM: wifi: mt76: mt7921: add 6GHz power type support for clc
    - BACKPORT: UPSTREAM: wifi: mt76: mt7921: get regulatory information from the
      clc event
    - BACKPORT: UPSTREAM: wifi: mt76: mt7921: update the channel usage when the
      regd domain changed
    - BACKPORT: FROMGIT: wifi: mt76: mt7921: support 5.9/6GHz channel config in
      acpi
    - UPSTREAM: wifi: mt76: mt7921: fix kernel panic by accessing invalid 6GHz
      channel info
    - UPSTREAM: wifi: mt76: mt7921: fix 6GHz disabled by the missing default CLC
      config
    - FROMGIT: wifi: mt76: mt7921: fix country count limitation for CLC
    - BACKPORT: FROMGIT: wifi: mt76: mt7921: fix CLC command timeout when
      suspend/resume
    - FROMGIT: wifi: mt76: mt7921: fix wrong 6Ghz power type
    - FROMLIST: wifi: mt76: mt7921: fix incorrect type conversion for CLC command
    - BACKPORT: FROMLIST: wifi: mt76: mt7921: fix the unfinished command of
      regd_notifier before suspend
    - BACKPORT: FROMLIST: wifi: mt76: mt792x: fix a potential loading failure of
      the 6Ghz channel config from ACPI
    - FROMLIST: wifi: mt76: mt792x: update the country list of EU for ACPI SAR
    - UPSTREAM: wifi: mt76: mt7921s: fix workqueue problem causes STA association
      fail
    - FROMLIST: wifi: mt76: mt792x: add the illegal value check for mtcl table of
      acpi
    - Revert "BACKPORT: FROMLIST: wifi: mt76: mt7921: fix the unfinished command
      of regd_notifier before suspend"
    - BACKPORT: FROMLIST: wifi: mt76: mt7921: fix the unfinished command of
      regd_notifier before suspend
    - wifi: mt76: fix broken precal loading from MTD for mt7915
    - BACKPORT: FROMLIST: wifi: mt76: mt7921: fix a potential association failure
      upon resuming
    - BACKPORT: wifi: mt76: mt7921: reduce the size of MCU firmware download Rx
      queue
    - FROMLIST: wifi: mt76: fix the issue of missing txpwr settings from ch153 to
      ch177
    - FROMLIST: wifi: mt76: mt7921s: fix potential hung tasks during chip recovery
    - Revert "FIXUP: media: v4l2-core: extend the v4l2 format to support request"
    - UPSTREAM: ASoC: SOF: core: allow module parameter to override dma trace
      Kconfig
    - UPSTREAM: ASoC: SOF: control: fix a typo in put operations for kcontrol
    - UPSTREAM: ASoC: SOF: Handle control change notification from firmware
    - UPSTREAM: ASoC: SOF: Drop resindex_dma_base, dma_engine, dma_size from
      sof_dev_desc
    - UPSTREAM: ASoC: SOF: loader: load_firmware callback is mandatory, treat it
      like that
    - UPSTREAM: ASoC: SOF: ipc: Remove snd_sof_dsp_mailbox_init()
    - UPSTREAM: ASoC: SOF: loader: No need to export snd_sof_fw_parse_ext_data()
    - UPSTREAM: ASoC: SOF: core: Do not use 'bar' as parameter for
      block_read/write
    - UPSTREAM: ASoC: SOF: debug: Add generic API and ops for DSP regions
    - UPSTREAM: ASoC: SOF: loader: Use the generic ops for region debugfs handling
    - UPSTREAM: ASoC: SOF: debug: No need to export the snd_sof_debugfs_io_item()
    - UPSTREAM: ASoC: SOF: ipc: Add probe message logging to ipc_log_header()
    - UPSTREAM: ASoC: SOF: pcm: Remove non existent CONFIG_SND_SOC_SOF_COMPRESS
      reference
    - BACKPORT: ASoC: SOF: compress: move and export sof_probe_compr_ops
    - BACKPORT: ASoC: SOF: probe: Merge and clean up the probe and compress files
    - UPSTREAM: ASoC: SOF: core: Move probe work related code under a single if ()
      branch
    - UPSTREAM: ASoC: SOF: ipc: Clarify the parameter name for ipc_trace_message()
    - UPSTREAM: ASoC: SOF: ipc: Print 0x prefix for errors in
      ipc_trace/stream_message()
    - UPSTREAM: ASoC: SOF: ipc: Remove redundant error check from
      sof_ipc_tx_message_unlocked
    - UPSTREAM: ASoC: SOF: Rename sof_arch_ops to dsp_arch_ops
    - UPSTREAM: ASoC: soc-component: Convert the mark_module to void*
    - UPSTREAM: ASoC: compress/component: Use module_get_when_open/put_when_close
      for cstream
    - UPSTREAM: ASoC: soc-pcm: Don't reconnect an already active BE
    - UPSTREAM: ASoC: SOF: Remove struct sof_ops_table and sof_get_ops() macro
    - UPSTREAM: ASoC: SOF: pm: fix a stale comment
    - BACKPORT: ASoC: SOF: add error handling to snd_sof_ipc_msg_data()
    - UPSTREAM: ASoC: SOF: prefix some terse and cryptic dev_dbg() with __func__
    - UPSTREAM: ASoC: SOF: ipc: Make the error prints consistent in tx_wait_done()
    - UPSTREAM: ASoC: SOF: Change SND_SOC_SOF_TOPLEVEL from config to menuconfig
    - UPSTREAM: ASoC: soc-component: Remove conditional definition of debugfs data
      members
    - UPSTREAM: ASoC: topology: change the complete op in snd_soc_tplg_ops to
      return int
    - UPSTREAM: ASoC: SOF: control: Add access field in struct snd_sof_control
    - UPSTREAM: ASoC: SOF: topology: Add new token for dynamic pipeline
    - UPSTREAM: ASoC: SOF: sof-audio: add helpers for widgets, kcontrols and dai
      config set up
    - UPSTREAM: AsoC: dapm: export a couple of functions
    - UPSTREAM: ASoC: SOF: Add new fields to snd_sof_route
    - UPSTREAM: ASoC: SOF: restore kcontrols for widget during set up
    - UPSTREAM: ASoC: SOF: Don't set up widgets during topology parsing
    - UPSTREAM: ASoC: SOF: Introduce widget use_count
    - BACKPORT: ASoC: SOF: Intel: hda: make sure DAI widget is set up before IPC
    - BACKPORT: ASoC: SOF: Add support for dynamic pipelines
    - UPSTREAM: ASoC: SOF: topology: Add kernel parameter for topology
      verification
    - UPSTREAM: ASoC: SOF: dai: mirror group_id definition added in firmware
    - UPSTREAM: ASoC: SOF: dai: include new flags for DAI_CONFIG
    - BACKPORT: ASoC: SOF: Intel: hda: add new flags for DAI_CONFIG
    - UPSTREAM: ASoC: SOF: topology: allow for dynamic pipelines override for
      debug
    - UPSTREAM: ASoC: SOF: OF: Add fw_path and tplg_path parameters
    - UPSTREAM: ASoC: SOF: core: debug: force all processing on primary core
    - UPSTREAM: ASoC: SOF: debug: Swap the dsp_dump and ipc_dump sequence for
      fw_exception
    - UPSTREAM: ASoC: SOF: ipc and dsp dump: Add markers for better visibility
    - UPSTREAM: ASoC: SOF: Print the dbg_dump and ipc_dump once to reduce kernel
      log noise
    - UPSTREAM: ASoC: SOF: loader: Print the DSP dump if boot fails
    - UPSTREAM: ASoC: SOF: debug/ops: Move the IPC and DSP dump functions out from
      the header
    - UPSTREAM: ASoC: SOF: debug: Add SOF_DBG_DUMP_OPTIONAL flag for DSP dumping
    - BACKPORT: ASoC: SOF: Drop SOF_DBG_DUMP_FORCE_ERR_LEVEL and
      sof_dev_dbg_or_err
    - UPSTREAM: ASoC: SOF: debug: Print out the fw_state along with the DSP dump
    - UPSTREAM: ASoC: SOF: ipc: Re-enable dumps after successful IPC tx
    - UPSTREAM: ASoC: SOF: ops: Force DSP panic dumps to be printed
    - UPSTREAM: ASoC: SOF: Introduce macro to set the firmware state
    - UPSTREAM: ASoC: SOF: core: Clean up snd_sof_get_status() prints
    - UPSTREAM: ASoC: SOF: loader: Drop SOF_DBG_DUMP_REGS flag when firmware start
      fails
    - UPSTREAM: ASoC: SOF: pipelines: Harmonize all functions to use struct
      snd_sof_dev
    - BACKPORT: ASoC: SOF: Introduce snd_sof_mailbox_read / snd_sof_mailbox_write
      callbacks
    - BACKPORT: ASoC: SOF: Make Intel IPC stream ops generic
    - UPSTREAM: ASoC: SOF: Introduce fragment elapsed notification API
    - UPSTREAM: ASoC: soc-pcm: restore mixer functionality
    - UPSTREAM: ASoC: SOF: prepare code to allocate IPC messages in fw_ready
    - UPSTREAM: ALSA: pcm: Unify snd_pcm_delay() and snd_pcm_hwsync()
    - UPSTREAM: ALSA: memalloc: Support for non-contiguous page allocation
    - UPSTREAM: ALSA: memalloc: Support for non-coherent page allocation
    - UPSTREAM: ASoC: soc-pcm: tidyup soc_pcm_hw_clean() - step1
    - UPSTREAM: ASoC: soc-pcm: tidyup soc_pcm_hw_clean() - step2
    - UPSTREAM: ASoC: soc-component: add snd_soc_component_is_codec()
    - UPSTREAM: ASoC: SOF:control: Fix variable type in snd_sof_refresh_control()
    - UPSTREAM: ASoC: SOF: build compression interface into snd_sof.ko
    - UPSTREAM: ASoC: SOF: IPC: Add new IPC command to free trace DMA
    - UPSTREAM: ASoC: SOF: IPC: update ipc_log_header()
    - UPSTREAM: ASoC: SOF: trace: send DMA_TRACE_FREE IPC during release
    - UPSTREAM: ASoC: SOF: core: Unregister machine driver before IPC and debugfs
    - UPSTREAM: ASoC: SOF: i.MX: simplify Kconfig
    - UPSTREAM: ASoC: SOF: utils: Add generic function to get the reply for a tx
      message
    - UPSTREAM: ASoC: SOF: debug: Add support for IPC message injection
    - UPSTREAM: ASoC: SOF: topology: Add support for AMD ACP DAIs
    - UPSTREAM: ASoC: SOF: mediatek: Add mt8195 hardware support
    - UPSTREAM: ASoC: SOF: tokens: add token for Mediatek AFE
    - UPSTREAM: ASoC: SOF: topology: Add support for Mediatek AFE DAI
    - UPSTREAM: ASoC: SOF: mediatek: Add fw loader and mt8195 dsp ops to load
      firmware
    - UPSTREAM: ASoC: SOF: Add mt8195 device descriptor
    - UPSTREAM: ASoC: SOF: mediatek: Add dai driver dsp ops callback for mt8195
    - UPSTREAM: ASoC: SOF: mediatek: Add mt8195 dsp clock support
    - UPSTREAM: ASoC: SOF: mediatek: Add DSP system PM callback for mt8195
    - UPSTREAM: ASoC: SOF: Introduce num_cores and ref count per core
    - UPSTREAM: ASoC: SOF: Add ops for core_get and core_put
    - UPSTREAM: ASoC: SOF: topology: remove sof_load_pipeline_ipc()
    - UPSTREAM: ASoC: SOF: free widgets in sof_tear_down_pipelines() for static
      pipelines
    - BACKPORT: ASoC: SOF: add support for dynamic pipelines with multi-core
    - UPSTREAM: ASoC: SOF: pcm: add .ack callback support
    - UPSTREAM: ASoC: SOF: sof-audio: setup sched widgets during pipeline complete
      step
    - UPSTREAM: ASoC: SOF: topology: don't use list_for_each_entry_reverse()
    - UPSTREAM: ASoC: SOF: handle paused streams during system suspend
    - UPSTREAM: ASoC: SOF: mediatek: Add missing of_node_put() in
      platform_parse_resource()
    - UPSTREAM: ASoC: SOF: pcm: invoke platform hw_free for STOP/SUSPEND triggers
    - UPSTREAM: ASoC: SOF: call platform hw_free for paused streams during suspend
    - UPSTREAM: ASoC: SOF: Add a helper for freeing PCM stream
    - UPSTREAM: ASoC: SOF: pcm: move the check for prepared flag
    - UPSTREAM: ASoC: SOF: align the hw_free sequence with stop
    - BACKPORT: ASoC: SOF: IPC: dai: Expand DAI_CONFIG IPC flags
    - UPSTREAM: ASoC: SOF: mediatek: Use %pR/%pa to print resources/physical
      addresses
    - UPSTREAM: ASoC: soc-dai: update snd_soc_dai_delay() to
      snd_soc_pcm_dai_delay()
    - UPSTREAM: ASoC: soc-component: add snd_soc_pcm_component_delay()
    - UPSTREAM: ASoC: SOF: Remove pm_runtime_put_autosuspend() for SOF OF device
    - BACKPORT: ASoC: SOF: OF: Avoid reverse module dependency
    - UPSTREAM: ASoC: SOF: ipc: Rename send parameter in
      snd_sof_ipc_set_get_comp_data()
    - UPSTREAM: ASoC: SOF: Drop ipc_cmd parameter for
      snd_sof_ipc_set_get_comp_data()
    - UPSTREAM: ASoC: SOF: topology: Set control_data->cmd alongside scontrol->cmd
    - UPSTREAM: ASoC: SOF: Drop ctrl_cmd parameter for
      snd_sof_ipc_set_get_comp_data()
    - UPSTREAM: ASoC: SOF: sof-audio: Drop the `cmd` member from struct
      snd_sof_control
    - UPSTREAM: ASoC: SOF: control: Do not handle control notification with
      component type
    - UPSTREAM: ASoC: SOF: Drop ctrl_type parameter for
      snd_sof_ipc_set_get_comp_data()
    - UPSTREAM: ASoC: SOF: topology: read back control data from DSP
    - UPSTREAM: ASoC: SOF: pcm: remove support for RESUME trigger
    - BACKPORT: ASoC: SOF: avoid casting "const" attribute away
    - UPSTREAM: ASoC: SOF: ipc: Add null pointer check for substream->runtime
    - UPSTREAM: ASoC: SOF: Kconfig: Make the SOF_DEVELOPER_SUPPORT depend on
      SND_SOC_SOF
    - UPSTREAM: ASoC: SOF: ops: Use dev_warn() if the panic offsets differ
    - UPSTREAM: ASoC: SOF: core: Add simple wrapper to check flags in
      sof_core_debug
    - UPSTREAM: ASoC: SOF: Use sof_debug_check_flag() instead of sof_core_debug
      directly
    - BACKPORT: ASoC: SOF: Add 'non_recoverable' parameter to snd_sof_dsp_panic()
    - BACKPORT: ASoC: SOF: Add a 'message' parameter to snd_sof_dsp_dbg_dump()
    - UPSTREAM: ASoC: SOF: Introduce new firmware state: SOF_FW_CRASHED
    - UPSTREAM: ASoC: SOF: Introduce new firmware state: SOF_FW_BOOT_READY_OK
    - UPSTREAM: ASoC: SOF: Move the definition of enum snd_sof_fw_state to global
      header
    - UPSTREAM: ASoC: SOF: Rename 'enum snd_sof_fw_state' to 'enum sof_fw_state'
    - UPSTREAM: ASoC: SOF: ipc: Only allow sending of an IPC in
      SOF_FW_BOOT_COMPLETE state
    - UPSTREAM: ASoC: SOF: Set SOF_FW_BOOT_FAILED in case we have failure during
      boot
    - UPSTREAM: ASoC: SOF: pm: Force DSP off on suspend in BOOT_FAILED state also
    - UPSTREAM: ASoc: SOF: core: Update the FW boot state transition diagram
    - UPSTREAM: ASoC: SOF: ops: Always print DSP Panic message but use different
      message
    - UPSTREAM: ASoC: SOF: dsp_arch_ops: add kernel log level parameter for oops
      and stack
    - BACKPORT: ASoC: SOF: Rename snd_sof_get_status() and add kernel log level
      parameter
    - UPSTREAM: ASoC: SOF: Add clarifying comments for sof_core_debug and DSP dump
      flags
    - UPSTREAM: ASoC: SOF: add _D3_PERSISTENT flag to fw_ready message
    - BACKPORT: ASoC: SOF: add flag to disable IMR restore to sof_debug
    - UPSTREAM: ASoC: SOF: trace: Simplify count adjustment in trace_read
    - UPSTREAM: ASoC: SOF: ipc: Drop header parameter from
      sof_ipc_tx_message_unlocked()
    - UPSTREAM: ASoC: SOF: ipc: Do not allocate buffer for msg_data
    - BACKPORT: ASoC: SOF: dma-trace: Pass pointer to params_ext struct in
      trace_init()
    - UPSTREAM: ASoC: SOF: compr: Add compress ops implementation
    - UPSTREAM: ASoC: SOF: Drop unused DSP power states: D3_HOT and D3_COLD
    - UPSTREAM: ASoC: SOF: Move the definition of enum sof_dsp_power_states to
      global header
    - UPSTREAM: ASoC: SOF: ipc: Read and pass the whole message to handlers for
      IPC events
    - UPSTREAM: ASoC: SOF: Split up utils.c into sof-utils and iomem-utils
    - UPSTREAM: ASoC: SOF: Introduce IPC SOF client support
    - UPSTREAM: ASoC: SOF: sof-client: Add support for clients not managed by pm
      framework
    - UPSTREAM: ASoC: SOF: Convert the generic IPC flood test into SOF client
    - UPSTREAM: ASoC: SOF: Convert the generic IPC message injector into SOF
      client
    - BACKPORT: ASoC: SOF: Convert the generic probe support to SOF client
    - UPSTREAM: ASoC: SOF: compr: Mark snd_compress_ops static
    - UPSTREAM: ASoC: SOF: Makefile: Fix randconfig sof-client build when
      SND_SOC_SOF=y
    - UPSTREAM: ASoC: SOF: Replace zero-length array with flexible-array member
    - UPSTREAM: ASoC: SOF: pcm: Add compress_ops for SOF platform component driver
    - UPSTREAM: ASoC: SOF: Declare sof_compress_ops in sof-priv.h
    - UPSTREAM: ASoC: SOF: sof-priv: Drop duplicate sof_compressed_ops declaration
    - UPSTREAM: ASoC: SOF: fix 32 signed bit overflow
    - UPSTREAM: ASoC: SOF: remove snd_sof_pipeline_find()
    - UPSTREAM: ASoC: SOF: simplify snd_sof_device_remove()
    - UPSTREAM: ASoC: SOF: set swidget's core for scheduler widget
    - UPSTREAM: ASoC: SOF: sof-audio: removed unused function
    - UPSTREAM: ASoC: SOF: topology: remove redundant code in sof_link_afe_load()
    - UPSTREAM: ASoC: SOF: topology: remove redundant code
    - UPSTREAM: ASoC: SOF: topology: Drop the size parameter from struct
      sof_topology_token
    - UPSTREAM: ASoC: SOF: topology: Modify the get_token op for string tokens
    - UPSTREAM: ASoC: SOF: topology: expose some get_token ops
    - UPSTREAM: ASoC: SOF: change comp_dai to a pointer in struct snd_sof_dai
    - UPSTREAM: ASoC: SOF: make struct snd_sof_widget IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: make sof_route_load() IPC agnostic
    - UPSTREAM: ASoC: SOF: Add a tuples array to struct snd_sof_widget
    - UPSTREAM: ASoC: SOF: topology: Modify signature for token parsing functions
    - UPSTREAM: ASoC: SOF: topology: Rename arguments in sof_parse_token_sets()
    - UPSTREAM: ASoC: SOF: topology: Rename arguments in sof_parse_tokens()
    - BACKPORT: ASoC: SOF: make struct snd_sof_dai IPC agnostic
    - UPSTREAM: ASoC: SOF: move definition of snd_sof_ipc to header file
    - UPSTREAM: ASoC: SOF: ipc-msg-injector: Use devm_kzalloc() for the rx_buffer
    - UPSTREAM: ASoC: SOF: compress: fix null check after dereference
    - UPSTREAM: ASoC: SOF: trace: Use proper DMA direction for the trace data
      buffer
    - UPSTREAM: ASoC: SOF: sof-priv: Remove stale snd_sof_ipc_stream_pcm_params()
      declaration
    - BACKPORT: ASoC: SOF: Make pcm_hw_params snd_sof_dsp_ops callback IPC neutral
    - UPSTREAM: ASoC: SOF: pcm: Remove sof_pcm_dsp_params() wrapper
    - UPSTREAM: ASoC: SOF: Introduce optional callback to configure stream data
      offset
    - UPSTREAM: ASoC: SOF: Mark snd_sof_dsp_ops.ipc_pcm_params() callback optional
    - UPSTREAM: ASoC: SOF: stream-ipc: Add sof_set_stream_data_offset()
    - UPSTREAM: ASoC: SOF: Remove ipc_pcm_params() ops
    - UPSTREAM: ASoC: Export DAI register and widget ctor and dctor functions
    - UPSTREAM: ASoC: SOF: Introduce struct snd_sof_dai_link
    - UPSTREAM: ASoC: SOF: IPC: Introduce IPC ops
    - UPSTREAM: ASoC: SOF: topology: Add helper function for processing tuple
      arrays
    - UPSTREAM: ASoC: SOF: Introduce IPC3 ops
    - UPSTREAM: ASoC: SOF: topology: Make scheduler widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make buffer widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make pga widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make mixer widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make mux/demux widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make src widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make asrc widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make siggen widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make effect widget parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make route setup IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: return error if sof_connect_dai_widget()
      fails
    - UPSTREAM: ASoC: SOF: topology: Make route setup IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make control parsing IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: Make widget binding IPC agnostic
    - UPSTREAM: ASoC: SOF: topology: remove snd_sof_complete_pipeline()
    - UPSTREAM: ASoC: SOF: topology: Use kmemdup() to replace kzalloc + memcpy
    - UPSTREAM: ASoC: SOF: set up scheduler widget before all other widgets in the
      pipeline
    - BACKPORT: ASoC: SOF: Make sof_widget_setup/free IPC agnostic
    - UPSTREAM: ASoC: SOF: Make sof_suspend/resume IPC agnostic
    - UPSTREAM: ASoC: SOF: Introduce IPC ops for kcontrol IO
    - UPSTREAM: ASoC: SOF: Add IPC3 topology control ops
    - UPSTREAM: ASoC: SOF: Add volume_get/put IPC3 ops
    - UPSTREAM: ASoC: SOF: Add switch get/put IPC3 ops
    - UPSTREAM: ASoC: SOF: Add enum_get/put control ops for IPC3
    - UPSTREAM: ASoC: SOF: Add bytes_get/put control IPC ops for IPC3
    - UPSTREAM: ASoC: SOF: Add bytes_ext control IPC ops for IPC3
    - UPSTREAM: ASoC: SOF: Introduce IPC-specific PCM ops
    - UPSTREAM: ASoC: SOF: pcm: expose the sof_pcm_setup_connected_widgets()
      function
    - UPSTREAM: ASoC: SOF: Introduce IPC3 PCM hw_free op
    - UPSTREAM: ASoC: SOF: Define hw_params PCM op for IPC3
    - UPSTREAM: ASoC: SOF: Add trigger PCM op for IPC3
    - UPSTREAM: ASoC: SOF: Add dai_link_fixup PCM op for IPC3
    - UPSTREAM: ASoC: SOF: expose sof_route_setup()
    - UPSTREAM: ASoC: SOF: topology: Add ops for setting up and tearing down
      pipelines
    - UPSTREAM: ASoC: SOF: Add a new dai_get_clk topology IPC op
    - UPSTREAM: ASoC: SOF: Remove dmab and dmab_bdl from snd_sof_dev struct
    - UPSTREAM: ASoC: SOF: ipc: Add max_payload_size field in struct snd_sof_ipc
    - UPSTREAM: ASoC: SOF: ipc: Use ipc->max_payload_size for message/reply size
      checking
    - UPSTREAM: ASoC: SOF: Drop support for mapped control data
    - UPSTREAM: ASoC: SOF: extend the interface to stop DMA trace
    - UPSTREAM: ASoC: SOF: disable dma trace in s0ix
    - UPSTREAM: ASoC: SOF: ipc: Use msg->reply_data directly in
      snd_sof_ipc_get_reply()
    - BACKPORT: ASoC: SOF: Drop 'header' parameter from tx_message() API
    - UPSTREAM: ASoC: SOF: Remove header from struct snd_sof_ipc_msg
    - UPSTREAM: ASoC: SOF: Remove redundant return statements
    - UPSTREAM: ASoC: SOF: topology: Fix memory leak of scontrol->name
    - UPSTREAM: ASoC: SOF: topology: use new sound control LED layer
    - UPSTREAM: ASoC: SOF: ipc3-topology: Set scontrol->priv to NULL after freeing
      it
    - UPSTREAM: ASoC: SOF: topology: Avoid open coded arithmetic in memory
      allocation
    - UPSTREAM: ASoC: SOF: topology: cleanup dailinks on widget unload
    - UPSTREAM: ASoC: SOF: topology: Fix memory leak in sof_control_load()
    - UPSTREAM: ASoC: SOF: OF: Add shutdown callback for SOF OF device
    - UPSTREAM: ASoC: SOF: mediatek: mt8195 add shutdown callback
    - UPSTREAM: ASoC: SOF: Add helper function to prepare and send an IPC message
    - UPSTREAM: ASoC: SOF: Add high level IPC IO callback definitions to ipc_ops
    - UPSTREAM: ASoC: SOF: ipc3: Implement the tx_msg IPC ops
    - UPSTREAM: ASoC: SOF: ipc3: Use sof_ipc3_tx_msg() internally for message
      sending
    - UPSTREAM: ASoC: SOF: ipc3: Implement the set_get_data IPC ops
    - UPSTREAM: ASoC: SOF: ipc3: Implement the get_reply IPC ops
    - UPSTREAM: ASoC: SOF: ipc3: Implement rx_msg IPC ops
    - UPSTREAM: ASoC: SOF: ipc: Separate the ops checks by functions/topics
    - UPSTREAM: ASoC: SOF: ipc: Add check for mandatory IPC message handling ops
    - UPSTREAM: ASoC: SOF: ipc: Use the get_reply ops in snd_sof_ipc_get_reply()
    - UPSTREAM: ASoC: SOF: ipc: Switch over to use the tx_msg and set_get_data ops
    - UPSTREAM: ASoC: SOF: ipc: Switch over to use the rx_msg ops
    - UPSTREAM: ASoC: SOF: Add widget_kcontrol_setup control ops for IPC3
    - UPSTREAM: ASoC: SOF: sof-audio: Use the widget_kcontrol_setup ops for
      kcontrol set up
    - UPSTREAM: ASoC: SOF: ipc: Move the ipc_set_get_comp_data() local to
      ipc3-control
    - UPSTREAM: ASoC: SOF: add definitions for different IPC types
    - BACKPORT: ASoC: SOF: add path indirection to each IPC type
    - BACKPORT: ASoC: SOF: add default IPC capability and file paths
    - BACKPORT: ASoC: SOF: add IPC-dependent file names
    - UPSTREAM: ASoC: SOF: sof-pci-dev: add parameter to override firmware
      filename
    - UPSTREAM: ASoC: SOF: sof-audio: preserve topology filename override in
      nocodec mode
    - BACKPORT: ASoC: SOF: remove const qualifier for 'struct snd_sof_dsp_ops'
    - BACKPORT: ASoC: SOF: Intel: hda: use common ops across platforms
    - UPSTREAM: ASoC: SOF: using pm_runtime_resume_and_get to simplify the code
    - UPSTREAM: ASOC: SOF: pci: add ipc_type override for Intel IPC4 tests
    - UPSTREAM: ASoC: SOF: sof-audio: remove useless assignment
    - UPSTREAM: ASoC: SOF: topology: Check w->sname validity once in
      sof_connect_dai_widget()
    - UPSTREAM: ASoC: SOF: remove incorrect clearing of prepared flag
    - UPSTREAM: ASoC: SOF: sof-audio: flag errors on pipeline teardown
    - UPSTREAM: ASoC: SOF: ipc3: Add local implementation for handling fw_ready
      message
    - UPSTREAM: ASoC: SOF: Do not check for the fw_ready callback
    - UPSTREAM: ASoC: SOF: loader: Remove the old fw_ready related code
    - UPSTREAM: ASoC: SOF: mediatek: Add mt8186 hardware support
    - UPSTREAM: ASoC: SOF: mediatek: Add mt8186 sof fw loader and dsp ops
    - UPSTREAM: ASoC: SOF: mediatek: Add mt8186 dsp clock support
    - UPSTREAM: ASoC: SOF: mediatek: Add DSP system PM callback for mt8186
    - UPSTREAM: ASoC: SOF: control: use pm_runtime_resume_and_get()
    - UPSTREAM: ASoC: SOF: debug: use pm_runtime_resume_and_get()
    - UPSTREAM: ASoC: SOF: sof-client-ipc-msg-injector: use
      pm_runtime_resume_and_get()
    - UPSTREAM: ASoC: SOF: mediatek: mt8195 change ipc timeout as 1 second
    - UPSTREAM: ASoC: SOF: mediatek: Fix allyesconfig build error
    - UPSTREAM: ASoC: SOF: Add a new op to set up volume table
    - UPSTREAM: ASoC: SOF: sof-audio: reset route status before freeing widget
    - UPSTREAM: ASoC: SOF: sof-audio: Set up widgets from source to sink
    - UPSTREAM: ASoC: SOF: pcm: Move the call to snd_sof_pcm_platform_hw_params()
    - UPSTREAM: ASoC: SOF: expose a couple of functions
    - UPSTREAM: ASoC: SOF: Add a route_free op in struct sof_ipc_tplg_ops
    - UPSTREAM: ASoC: SOF: Add two new fields to struct snd_sof_widget
    - UPSTREAM: ASoC: SOF: pcm: remove unnecessary function declaration
    - UPSTREAM: ASoC: SOF: topology: Skip parsing DAI link tokens if not needed
    - UPSTREAM: ASoC: SOF: clarify use of widget complete flag
    - UPSTREAM: ASoC: SOF: Add a prepare op to IPC topology widget ops
    - UPSTREAM: ASoC: SOF: Introduce IPC dependent ops for firmware handling,
      loading
    - UPSTREAM: ASoC: SOF: ipc3-loader: Implement firmware parsing and loading
    - UPSTREAM: ASoC: SOF: ipc: Add check for fw_loader ops
    - UPSTREAM: ASoC: SOF: loader: Switch to use the fw_loader ops
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Do not set the load_module ops
    - UPSTREAM: ASoC: SOF: loader: Remove snd_sof_parse_module_memcpy() as it is
      not used
    - UPSTREAM: ASoC: SOF: loader: Call optional query_fw_configuration on first
      boot
    - UPSTREAM: ASoC: SOF: sof-pci-dev: fix missing pci_release_regions() on error
      in sof_pci_probe()
    - UPSTREAM: ASoC: dsp: mediatek: add mt8195 dsp document
    - UPSTREAM: ASoC: SOF: ipc3-topology: Correct get_control_data for non bytes
      payload
    - UPSTREAM: ASoC: SOF: ipc3: Remove the ipc3-ops.h header file
    - UPSTREAM: ASoC: SOF: Add rx_data pointer to snd_sof_ipc_msg struct
    - UPSTREAM: ASoC: SOF: sof-client: Add API to get the maximum IPC payload size
    - UPSTREAM: ASoC: SOF: ipc-msg-injector: Query the maximum IPC payload size
    - UPSTREAM: ASoC: SOF: sof-client-probes: Query the maximum IPC payload size
    - UPSTREAM: ASoC: SOF: sof-client: Add API to get the ipc_type
    - BACKPORT: ASoC: SOF: sof-client: Add support IPC4 message sending
    - UPSTREAM: ASoC: SOF: ipc-msg-injector: Separate the message sending
    - UPSTREAM: ASoC: SOF: sof-client: IPC flood test can only work with SOF_IPC
    - UPSTREAM: ASoC: SOF: trace: The dtrace is only available with SOF_IPC
    - BACKPORT: ASoC: SOF: ipc: introduce cont_update_posn in
      sof_ipc_stream_params struct
    - UPSTREAM: ASoC: SOF: mediatek: Add ipc support for mt8195
    - UPSTREAM: ASoC: SOF: mediatek: Add mt8186 ipc support
    - UPSTREAM: ASoC: SOF: Introduce IPC independent ops for firmware tracing
      support
    - UPSTREAM: ASoC: SOF: Rename dtrace_is_supported flag to
      fw_trace_is_supported
    - BACKPORT: ASoC: SOF: Clone the trace code to ipc3-dtrace as fw_tracing
      implementation
    - UPSTREAM: ASoC: SOF: Switch to IPC generic firmware tracing
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: Move host ops wrappers from generic header
      to private
    - BACKPORT: ASoC: SOF: Modify the host trace_init parameter list to include
      dmab
    - UPSTREAM: ASoC: SOF: Introduce opaque storage of private data for firmware
      tracing
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: Move dtrace related variables local from
      sof_dev
    - UPSTREAM: ASoC: SOF: mediatek: Add mediatek common debug dump
    - UPSTREAM: ASoC: SOF: mediatek: Add mt8195 debug dump
    - UPSTREAM: ASoC: SOF: mediatek: remove duplicate include in mt8195.c
    - UPSTREAM: ASoC: SOF: Fix potential NULL pointer dereference
    - BACKPORT: ASoC: SOF: ipc-msg-injector: Propagate write errors correctly
    - UPSTREAM: ASoC: SOF: mediatek: revise mt8195 clock sequence
    - UPSTREAM: ASoC: SOF: mediatek: Add shared_size for mediatek common chip
      information
    - UPSTREAM: ASoC: SOF: mediatek: mt8195 modify dram type as non-cache
    - UPSTREAM: ASoC: SOF: mediatek: mt8195 suspend check dsp idle
    - UPSTREAM: ASoC: SOF: make ctx_store and ctx_restore as optional
    - UPSTREAM: ASoC: SOF: sof_ipc_pm_ops: Add support for DSP core power
      management
    - UPSTREAM: ASoC: SOF: ipc3: Add set_core_state pm_ops implementation
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: Introduce SOF_DTRACE_INITIALIZING state
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: Add helper function to update the
      sdev->host_offset
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: Return from dtrace_read if there is no new
      data available
    - UPSTREAM: ASoC: SOF: Add topology tokens for IPC4
    - BACKPORT: ASoC: SOF: ipc4-topology: Add support for parsing AIF_IN/AIF_OUT
      widgets
    - UPSTREAM: ASoC: SOF: Add ops_free
    - BACKPORT: ASoC: SOF: Add a new IPC op for parsing topology manifest
    - UPSTREAM: ASoC: SOF: debug: Clarify the IPC timeout handling path
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: use pm_runtime_resume_and_get()
    - UPSTREAM: ASoC: SOF: reduce default verbosity of IPC logs
    - UPSTREAM: ASoC: SOF: topology: add code to parse config params for ACPDMIC
      dai
    - BACKPORT: ASoC: SOF: Compile and runtime IPC version selection
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: remove use of __func__ in dev_dbg
    - UPSTREAM: ASoC: SOF: ipc3-loader: remove use of __func__ in dev_dbg
    - UPSTREAM: ASoC: SOF: ipc3-topology: remove use of __func__ in dev_dbg
    - UPSTREAM: ASoC: SOF: sof-client: remove use of __func__ in dev_dbg
    - UPSTREAM: ASoC: SOF: pcm: use pm_resume_and_get() on component probe
    - UPSTREAM: dt-bindings: dsp: mediatek: Use meaningful names for mbox
    - UPSTREAM: ASoC: SOF: mediatek: Align mt8186 clock names with dt-bindings
    - UPSTREAM: ASoC: SOF: ipc3-topology: Move and correct size checks in
      sof_ipc3_control_load_bytes()
    - UPSTREAM: ASoC: SOF: mediatek: Fix error code in probe
    - UPSTREAM: ASoC: SOF: pm: add explicit behavior for ACPI S1 and S2
    - UPSTREAM: ASoC: SOF: pm: add definitions for S4 and S5 states
    - UPSTREAM: ASoC: SOF: mediatek: Revise mt8195 boot flow
    - UPSTREAM: ASoC: SOF: mediatek: fix mt8195 StatvectorSel wrong setting
    - UPSTREAM: ASoC: SOF: remove warning on ABI checks
    - UPSTREAM: ASoC: SOF: topology: remove unused variable
    - UPSTREAM: ASoC: SOF: compress: Dynamically allocate pcm params struct
    - UPSTREAM: ASoC: SOF: Copy compress parameters into extended data
    - UPSTREAM: ASoC: SOF: compress: Prevent current kernel running with older FW
    - UPSTREAM: ASoC: SOF: sof-client-probes: Only load the driver if IPC3 is used
    - UPSTREAM: ASoC: SOF: ipc3-topology: Prevent double freeing of
      ipc_control_data via load_bytes
    - UPSTREAM: ASoC: SOF: ipc3-loader: Print out the non matching ext_man magic
      number
    - BACKPORT: ASoC: SOF: probes: rename assign/free callbacks as
      startup/shutdown
    - BACKPORT: ASoC: mediatek: mt8195: extract SOF common code
    - UPSTREAM: ASoC: SOF: Add cont_update_posn to platform parameters
    - UPSTREAM: ASoC: SOF: ipc3-topology: Fix clang -Wformat warning
    - UPSTREAM: ASoC: SOF: compress: Remove byte offset computation
    - UPSTREAM: ASoC: SOF: compress: Introduce sof_compr_stream
    - UPSTREAM: ASoC: SOF: compress: Save channel count and sample bytes
    - UPSTREAM: ASoC: SOF: compress: Add support for computing timestamps
    - UPSTREAM: ASoC: SOF: compress: Remove dai_posn variable
    - UPSTREAM: ASoC: SOF: Kconfig: Make IPC_FLOOD_TEST depend on SND_SOC_SOF
    - UPSTREAM: ASoC: SOF: Kconfig: Make IPC_MESSAGE_INJECTOR depend on
      SND_SOC_SOF
    - UPSTREAM: ASoC: SOF: mediatek: Add sof_mt8186_machs for mt8186
    - UPSTREAM: ASoC: SOF: mediatek: Add dai driver for mt8186
    - UPSTREAM: ASoC: SOF: mediatek: add snd_sof_dsp_ops callbacks for pcm and
      mail box
    - UPSTREAM: ASoC: SOF: mediatek: Use generic implementation for .ipc_msg_data
      field
    - UPSTREAM: ASoC: SOF: compress: Move sof_compr_copy functionality
    - UPSTREAM: ASoC: SOF: compress: Add copy function for capture case
    - UPSTREAM: ASoC: SOF: Introduce function sof_of_machine_select
    - UPSTREAM: ASoC: SOF: Introduce function sof_of_machine_select
    - UPSTREAM: ASoC: SOF: Remove strsplit_u32() and tokenize_input()
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Import namespace
      SND_SOC_SOF_MTK_COMMON
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Add mailbox generic callbacks for IPC
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Add generic pcm_{open,close}
      callbacks
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Add devicetree support to select
      topologies
    - UPSTREAM: ASoC: SOF: add widget setup/free tracing
    - UPSTREAM: ASoC: SOF: remove unneeded dev_vdbg
    - UPSTREAM: ASoC: SOF: replace dev_vdbg with tracepoints
    - BACKPORT: ASoC: SOF: add quirk to override topology mclk_id
    - UPSTREAM: ASoC: SOF: mediatek: add pcm_hw_params callback for mt8186
    - BACKPORT: ASoC: soc.h: remove num_cpus/codecs
    - UPSTREAM: ASoC: SOF: clear prepare state when widget is unprepared
    - UPSTREAM: ASoC: SOF: don't unprepare widget used other pipelines
    - UPSTREAM: ASoC: SOF: mediatek: add pcm_pointer callback for mt8186
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Add pcm_hw_params callback
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Add pcm_pointer callback
    - UPSTREAM: ASoC: SOF: ipc3: Log the tx message before sending it
    - UPSTREAM: ASoC: soc-dapm.c: replace snd_soc_dapm_wcache to
      snd_soc_dapm_widget
    - UPSTREAM: ASoC: SOF: loader: Set complete state before post_fw_run op
    - BACKPORT: ASoC: SOF: Introduce container struct for SOF firmware
    - UPSTREAM: ASoC: SOF: Drop the firmware and fw_offset from snd_sof_pdata
    - UPSTREAM: ASoC: SOF: ipc: ops: Add support for optional init and exit
      callbacks
    - BACKPORT: ASoC: SOF: Add path definition for external firmware libraries
    - UPSTREAM: ASoC: SOF: loader: Add support for IPC dependent post firmware
      boot ops
    - UPSTREAM: ASoC: SOF: loader: Remove the query_fw_configuration ops
    - UPSTREAM: ASoC: SOF: ops: fallback to mmio in helpers
    - UPSTREAM: ASoC: SOF: ops: add readb/writeb helpers
    - UPSTREAM: ASoC: SOF: ops: add snd_sof_dsp_updateb() helper
    - BACKPORT: ASoC: SOF: introduce new DEBUG_NOCODEC mode
    - UPSTREAM: ASoC: SOF: probes: Replace [0] union members with
      DECLARE_FLEX_ARRAY()
    - UPSTREAM: ASoC: SOF: probes: Separate IPC3 operations to a separate file
    - UPSTREAM: ASoC: SOF: client: Add sof_client_ipc_set_get_data()
    - BACKPORT: ASoC: SOF: IPC4: probes: Implement IPC4 ops for probes client
      device
    - BACKPORT: ASoC: SOF: fix compilation issue with readb/writeb helpers
    - UPSTREAM: ASoC: SOF: ipc3-topology: use old pipeline teardown flow with
      SOF2.1 and older
    - UPSTREAM: ASoC: SOF: topology: No need to assign core ID if token parsing
      failed
    - UPSTREAM: ASoC: SOF: Add support for parsing the number of sink/source pins
    - UPSTREAM: ASoC: SOF: Add support to parse pin binding array from topology
    - BACKPORT: ASoC: SOF: topology: Add helper to get/put widget queue id
    - UPSTREAM: ASoC: SOF: probes: Check ops before memory allocation
    - UPSTREAM: ASoC: SOF: Drop obsolete dependency on COMPILE_TEST
    - UPSTREAM: ASoC: SOF: mediatek: add shutdown callback
    - UPSTREAM: ASoC: SOF: mediatek: initialize panic_info to zero
    - UPSTREAM: ASoC: SOF: pm: Set target state earlier
    - UPSTREAM: ASoC: SOF: pm: Always tear down pipelines before DSP suspend
    - UPSTREAM: ASoC: SOF: Add FW state to debugfs
    - UPSTREAM: ASoC: SOF: sof-audio: Treat tplg_ops->route_setup() as optional
    - UPSTREAM: ASoC: SOF: sof-audio: Update documentation for sof_ipc_tplg_ops
    - UPSTREAM: ASoC: SOF: Add helper macro to be used to get an IPC ops
    - UPSTREAM: ASoC: SOF: pcm: Extend the optionality of IPC ops to IPC as well
    - UPSTREAM: ASoC: SOF: topology: Extend the optionality of IPC ops to IPC as
      well
    - UPSTREAM: ASoC: SOF: pm: Extend the optionality of IPC ops to IPC as well
    - UPSTREAM: ASoC: SOF: sof-priv: Mark fw_tracing ops optional in documentation
    - UPSTREAM: ASoC: SOF: core: Print out the value of sof_debug if it is set
    - UPSTREAM: ASoC: SOF: IPC3 topology: Print the conflicting bytes sizes
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: remove a redundant comparison of sram
    - UPSTREAM: ASoC: SOF: mediatek: Support mt8188 platform
    - UPSTREAM: ASoC: SOF: mediatek: Provide debugfs_add_region_item ops for core
    - BACKPORT: ASoC: SOF: Prepare ipc_msg_data to be used with compress API
    - BACKPORT: ASoC: SOF: Prepare set_stream_data_offset for compress API
    - UPSTREAM: ASoC: SOF: Add support for compress API for stream data/offset
    - UPSTREAM: ASoC: SOF: compress: Set compress data offset
    - UPSTREAM: ASoC: SOF: sof-audio: start with the right widget type
    - UPSTREAM: ASoC: SOF: sof-audio: unprepare when swidget->use_count > 0
    - UPSTREAM: ASoC: SOF: sof-audio: skip prepare/unprepare if swidget is NULL
    - UPSTREAM: ASoC: SOF: keep prepare/unprepare widgets in sink path
    - UPSTREAM: ASoC: SOF: sof-audio: Extend the optionality of IPC ops to IPC as
      well
    - UPSTREAM: ASoC: SOF: sof-audio: prepare_widgets: Check swidget for NULL on
      sink failure
    - UPSTREAM: ASoC: soc-pcm: Export widget_in_list()
    - UPSTREAM: ASoC: SOF: sof-audio: Set up/free DAI/AIF widgets only once
    - UPSTREAM: ASoC: SOF: sof-audio: Only process widgets in the connected widget
      list
    - BACKPORT: ASoC: SOF: pcm: do not free widgets during suspend trigger
    - BACKPORT: ASoC: SOF: topology: Set IPC-specific trigger order for DAI links
    - UPSTREAM: ASoC: SOF: Introduce PCM setup/free PCM IPC ops
    - BACKPORT: ASoC: SOF: ipc4-pcm: Define pcm_setup/free ops
    - UPSTREAM: ASoC: SOF: sof-audio: Populate the PCM stream pipeline_info
    - BACKPORT: ASoC: SOF: Introduce struct snd_sof_pipeline
    - UPSTREAM: ASoC: SOF: Avoid double decrementing use_count in sof_widget_setup
      on error
    - BACKPORT: ASoC: SOF: Protect swidget->use_count with mutex for kcontrol
      access race
    - UPSTREAM: ASoC: soc-dai.h: add missing snd_soc_dai_set_widget()
    - UPSTREAM: ASoC: sof: use helper function
    - UPSTREAM: ASoC: SOF: topology: Add missed "else" in sof_connect_dai_widget
    - BACKPORT: ASoC: SOF: add fw_info_box support
    - UPSTREAM: ASoC: SOF: add delay function support in sof framework
    - UPSTREAM: ASoC: SOF: add get_stream_position ops for pcm delay
    - UPSTREAM: ASoC: SOF: ops: refine parameters order in function
      snd_sof_dsp_update8
    - BACKPORT: ASoC: SOF: Introduce a new set_pm_gate() IPC PM op
    - UPSTREAM: ASoC: SOF: ipc3: Check for upper size limit for the received
      message
    - UPSTREAM: ASoC: SOF: topology: Fix error handling in sof_widget_ready()
    - BACKPORT: ASoC: SOF: sof-audio: Fix broken early bclk feature for SSP
    - UPSTREAM: ASoC: SOF: sof-audio: don't squelch errors in WIDGET_SETUP phase
    - UPSTREAM: ASoC: SOF: loader: Remove log prefixes for snd_sof_run_firmware
    - UPSTREAM: ASoC: SOF: ipc3-control: Rename snd_sof_refresh_control()
    - UPSTREAM: ASoC: SOF: ipc3-control: Merge functions to handle bytes_ext get
      variants
    - BACKPORT: ASoC: SOF: Use input/output pin consistently
    - UPSTREAM: ASoC: SOF: sof-audio: add support for setting up loopback routes
    - UPSTREAM: ASoC: SOF: topology: Set pipeline widget before updating IPC
      structures
    - UPSTREAM: ASoC: SOF: pcm: Make hw_params reset conditional for IPC3
    - BACKPORT: ASoC: SOF: pcm: Improve the pcm trigger sequence
    - UPSTREAM: ASoC: SOF: Add flag and state which will be used for DSP-less mode
    - BACKPORT: ASoC: SOF: Add support for DSPless mode
    - UPSTREAM: ASoC: SOF: pm: Tear down pipelines only if DSP was active
    - UPSTREAM: ASoC: SOF: ipc: Add no reply inline calls
    - BACKPORT: ASoC: SOF: Use no_reply calls for TX
    - BACKPORT: ASoC: SOF: pcm: Add an option to skip platform trigger during stop
    - UPSTREAM: ASoC: SOF: mediatek: mt8195: Use snd_sof_ipc_process_reply()
      helper
    - UPSTREAM: ASoC: SOF: mediatek: mt8186: Use snd_sof_ipc_process_reply()
      helper
    - UPSTREAM: ASoC: SOF: debug: conditionally bump runtime_pm counter on
      exceptions
    - UPSTREAM: ASoC: SOF: pcm: fix pm_runtime imbalance in error handling
    - UPSTREAM: ASoC: SOF: sof-client-probes: fix pm_runtime imbalance in error
      handling
    - UPSTREAM: ASoC: SOF: ipc3-topology: Make sure that only one cmd is sent in
      dai_config
    - UPSTREAM: ASoC: SOF: pm: save io region state in case of errors in resume
    - UPSTREAM: ASoC: SOF: topology: Fix logic for copying tuples
    - UPSTREAM: ASoC: SOF: Simplify the calculation of variables
    - UPSTREAM: ASoC: sof: Improve sof_ipc3_bytes_ext_put function
    - UPSTREAM: ASoC: SOF: mediatek: add mt8188 audio support
    - UPSTREAM: ASoC: SOF: topology: Use partial match for connecting DAI link and
      DAI widget
    - UPSTREAM: ASoC: SOF: mediatek: add adsp debug dump
    - UPSTREAM: ASoC: SOF: Refactor rx function for fuzzing
    - BACKPORT: ASoC: SOF: Add IPC3 Kernel Injector
    - UPSTREAM: ASoC: SOF: sof-audio: add is_virtual_widget helper
    - UPSTREAM: ASoC: SOF: sof-audio: test virtual widget in
      sof_walk_widgets_in_order
    - UPSTREAM: ASoC: SOF: core: Free the firmware trace before calling
      snd_sof_shutdown()
    - UPSTREAM: ASoC: SOF: Add new sof_debug flag to request message payload dump
    - UPSTREAM: ASoC: SOF: ipc3: Dump IPC message payload
    - UPSTREAM: ASoC: SOF: pm: Remove duplicated code in sof_suspend
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: uninitialized data in
      dfsentry_trace_filter_write()
    - UPSTREAM: ASoC: SOF: Add acp-probe id to sof probe client driver for
      registration.
    - UPSTREAM: ASoC: SOF: ipc3: add checks to prevent static analysis warnings
    - UPSTREAM: ASoC: SOF: topology: simplify code to prevent static analysis
      warnings
    - UPSTREAM: ASoC: SOF: ipc3: update dai_link_fixup for SOF_DAI_MEDIATEK_AFE
    - UPSTREAM: ASoC: SOF: Deprecate invalid enums in IPC3
    - UPSTREAM: ASoC: SOF: mediatek: mt8186 modify dram type as non-cache
    - UPSTREAM: ASoC: SOF: Fix incorrect use of sizeof in sof_ipc3_do_rx_work()
    - UPSTREAM: ASoC: SOF: ipc3-dtrace: Switch to memdup_user_nul() helper
    - UPSTREAM: ASoC: sof: merge DAI call back functions into ops
    - UPSTREAM: ASoC: SOF: ipc3: Use devm_kmemdup to replace devm_kmalloc + memcpy
    - UPSTREAM: ASoC: SOF: sof-audio: Fix DSP core put imbalance on widget setup
      failure
    - UPSTREAM: ASoC: SOF: core: Only call sof_ops_free() on remove if the probe
      was successful
    - UPSTREAM: ASoC: mediatek: common: revise SOF common code
    - UPSTREAM: ASoC: mediatek: sof-common: Add NULL check for normal_link string
    - GENIO: ASoC: mediatek: mt8195: add sof support on mt8395-evk
    - GENIO: ASoC: mediatek: mt8390-evk: add SOF support
    - GENIO: ASoC: mediatek: mt8395-evk: Log with dev_err_probe when waiting for
      codec
    - mdla: Fix stdbool.h references
    - mdla: Use get_random_u32 instead of get_random_int
    - reviser: Fix LOG_DEBUG
    - apusys_core: Fix unused variable build error
    - power: Fix print format warning
    - apu-dbg: Fix sched_clock build error
    - logger: Fix bad_copy_to error
    - util: Add apusys_ver_compat.h
    - GENIO: mtk-mdp-driver: mt8365: Fix the null pointer access
    - GENIO: vcodec: mt8395: venc: trasfer color aspect info to venc driver
    - GENIO: vcodec: mt8395: venc: Correct RGB32/BGR32 format mapping
    - GENIO: vcodec: mt8395: venc: set up profile and level for h264 and h265
      separately
    - GENIO: vcodec: mt8395: venc: Set CBR as default bitrate mode
    - GENIO: vcodec: mt8395: venc: venc add support rgba8888
    - GENIO: vcodec: mt8395: fix check snprintf return value issue
    - GENIO: vcodec: mt8395: fix check dst_vb2_v4l2 null pointer
    - GENIO: vcodec: mt8395: fix check null ptr check on ctx
    - GENIO: vcodec: mt8395: fix check erturn value of sprintf
    - GENIO: vcodec: mt8395: fix check dst_vb2_v4l2 null pointer
    - GENIO: vpud: mt8395: add check NULL pointer before use
    - GENIO: vcodec: mt8395: vdec: revise the device probe flow
    - GENIO: vcodec: mt8395: venc: revise the device probe flow
    - GENIO: vcodec: mt8395: modify max supportted bitrate
    - GENIO: vcodec: mt8395: fix dereferencing null pointer
    - GENIO: mtk-vcu-driver: mt8395: Create mbox only when GCE property is set
    - GENIO: mtk-vcu-driver: mt8395: Add error handling on writing null cmdq pkt
    - GENIO: mtk-vcu-driver: mt8395: Add error handle on cmd flush
    - gpu: move mtk-mali-gpu-driver to mtk-mali-gpu-driver-r43
    - gpu: Add r48 DDK kernel driver codebase
    - GPUCORE-41385 Fix small memory aliases of large memory allocations
    - GPUCORE-41458 Unpin pages when last reference to phy alloc is released
    - WORKAROUND: gpu/arm: don't execute probe asynchronously
    - CHROMIUM: MALI: Mali core changes for platform
    - GENIO: gpu/arm: Add support for Mediatek SoC
    - GENIO: gpu/arm: Use mediatek platform code
    - GENIO: gpu/arm: Default Enable the Mali base extra modules
    - GENIO: gpu/arm: Add GPL2 license file
    - GENIO: gpu/arm: Add makefile to build gpu kernel drvier
    - GENIO: gpu/arm: midgard: Add sysfs attribute to show gpu utilization
    - GENIO: gpu/arm: Support supply-names for mali_sram-supply
    - GENIO: gpu/arm: midgard: add GPU ID for MT819x based GPUs
    - GENIO: gpu/arm: detect G-57 variant on mt8195 and mt8188
    - GENIO: gpu/arm: mediatek: Add mechanism to setup active GPU cores numbers by
      platform
    - GENIO: gpu/arm: midgard: Fix memory fault in set_voltages
    - GENIO: gpu/arm: mediatek: Fix unsigned_compare: less-than-zero comparison of
      an unsigned value is never true
    - GENIO: gpu/arm: Fix invalid_type: expect unsigned long but has type int
    - GENIO: gpu/arm: Fix the error status of function call is not checked.
    - GENIO: gpu/arm: mediatek: Fix Event leaked_storage: Variable "mfg" going out
      of scope leaks the storage it points to.
    - GPUCORE-41945 Failed page migration can lead to use after free
    - GPUCORE-41547 Improve handling of page metadata after migration
    - gpu: compile r48 DDK kernel driver by default
    - GENIO: drm: mediatek: cec: add mtk_cec_v2 driver
    - GENIO: drm/mediatek: dsi: add has_cmdq_size_select
    - GENIO: drm: mediatek: hdcp: add hdcp and ca porting
    - Update annotations
    - dtbo: genio-700-evk: disable cec module for non-hdmi display dtbos
    - dtbo: genio-510-evk: disable cec module for non-hdmi display dtbos
    - dtbo: genio-1200-evk: disable cec module for non-hdmi display dtbos
    - dtbo: mt8390/mt8370: Add isp71 imgsys node
    - dtbo: genio-700-evk: Add imgsensor imx214 overlay
    - dtbo: genio-510-evk: Add imgsensor imx214 overlay
    - dtbo: genio-700-evk: Disable partial ISP module in standard v4l2 dtbo
    - dtbo: genio-510-evk: Disable partial ISP module in standard v4l2 dtbo
    - dtbo: genio-700-evk: Locate ISP larb node through target-path
    - dtbo: genio-510-evk: Locate ISP larb node through target-path
    - dtbo: mt8365-pumpkin: Add THP7312 single/dual overlays
    - dtbo: genio-1200-evk: support multi-camera
    - dtbo: genio-700-evk: support multi-camera
    - dtbo: genio-510-evk: support multi-camera
    - dtbo: genio-510-evk: Add lontium lt6911uxe dtbo
    - dtbo: genio-700-evk: Add lontium lt6911uxe dtbo
    - dtbo: genio-1200-evk: Add lontium lt6911uxe dtbo
    - dtbo: genio-700-evk: Remove plugin tag from camera common dtsi
    - dtbo: genio-510-evk: Remove plugin tag from camera common dtsi
    - dtbo: genio-1200-evk-p1v1: Sync camera DTBO from genio-1200-evk
    - dtbo: genio-1200-evk: Add sof dtbo
    - dtbo: genio-700-evk: Add sof dtbo
    - dtbo: genio-510-evk: Add sof dtbo
    - dtbo: genio-510-evk: Add standard AG190C + MAX9286 dtbo
    - dtbo: genio-700-evk: Add standard AG190C + MAX9286 dtbo
    - dtbo: genio-1200-evk: Add standard AG190C + MAX9286 dtbo
    - dtbo: genio-1200-evk-p1v1: Add standard AG190C + MAX9286 dtbo
    - dtbo: genio-510-evk: Move out the mtkcam node from common dtsi
    - dtbo: genio-700-evk: Move out the mtkcam node from common dtsi
    - dtbo: genio-1200-evk: Move out the mtkcam node from common dtsi
    - dtbo: genio-1200-evk-p1v1: Move out the mtkcam node from common dtsi
    - dtbo: genio-510-evk: Fix the indent in ag190c-max9286 dts
    - GENIO: usb: xhci-mtk: fix random remote wakeup
    - GENIO: ASoC: mediatek: mt8188: add SOF DMIC support
    - GENIO: ASoC: mediatek: mt8195: add SOF DMIC support
    - GENIO: media: platform: mtk-mdp3: Add frame size enumeration support
    - GENIO: ASoC: mediatek: mt6359-accdet: Add compatible property
    - GENIO: drivers: mfd: mt6359: Add mt6359-accdet registration
    - GENIO: ASoC: mediatek: mt6359-accdet: Modify the way components are obtained
    - GENIO: ASoC: mediatek: mt6359-accdet: Add IRQ level setting
    - GENIO: arm64: dts: mt6359: Add accessory detect node
    - GENIO: arm64: dts: mediatek: genio-510-evk: Add accdet support
    - GENIO: arm64: dts: mediatek: genio-700-evk: Add accdet support
    - GENIO: arm64: dts: mediatek: genio-1200-evk: Add accdet support
    - GENIO: ASoC: mediatek: mt8188: Add headset jack detect support for
      mt8390-evk
    - GENIO: ASoC: mediatek: mt8195: Add headset jack detect support for
      mt8395-evk
    - FIXUP: GENIO: ASoC: mediatek: Fix accdet support for mt8390-evk and
      mt8395-evk
    - GENIO: media: i2c: ap1302: Set regmap name
    - GENIO: arm64: dts: mt8195: ethernet: drop hardcode MAC address
    - GENIO: arm64: dts: mt8188: ethernet: drop hardcode MAC address
    - GENIO: arm64: dts: mt8370: ethernet: drop hardcode MAC address
    - GENIO: dt-bindings: media: Add bindings for Onsemi AR0430 camera sensor
    - GENIO: media: i2c: Add Onsemi AR0430 driver
    - GENIO: soc: mediatek: pm-domains: mt8188: Add external buck iso
    - GENIO: dt-bindings: fuse: mediatek: add document for mtk-fsource
    - GENIO: memory: mtk-smi: fix getting smi parent syscon error.
    - GENIO: iommu/mediatek: Fix exit logic in mtk_iommu_attach_device
    - GENIO: drm/mediatek: panel: add drm_mode_set_name to AUO G156XTN010 LVDS
      panel
    - GENIO: media: platform: mtk-mdp3: fix not check error return value
    - Revert "GENIO: media: platform: mtk-mdp3: fix not check error return value"
    - GENIO: media: platform: mtk-mdp3: fix not check error return value
    - BACKPORT: dt-bindings: display: mediatek: add vdosys1 RDMA definition for
      mt8195 and mt8188
    - GENIO: drm: mediatek: ovl adaptor: add BR swap mechanism
    - apusys: Set ENABLE_SW_BUCK_CTL to 0
    - Revert "apusys: Set ENABLE_SW_BUCK_CTL to 0"
    - apusys: power: Disable noisy LOCAL_DBG
    - apusys: Reduce IPI debug logs
    - GENIO: vcodec: mt8395: add mutex to protect power switch and bypass the
      return value of pm_runtime_put_sync
    - GENIO: vcodec: mt8395: venc: limit max gop size to 1023
    - GENIO: vcodec: mt8395: venc: Deprecate unsupported controls
    - GENIO: media: platform: mtk-mdp3: Set V4L2_FRMSIZE_TYPE to stepwise
    - GENIO: arm64: dts: mediatek: mt8188: use mediatek,mt8188-vdo1-rdma for VDO1
      RDMA
    - GENIO: media: platform: mtk-mdp3: adjust driver unwind flow
    - BACKPORT: dt-bindings: media: mediatek: mdp3: add compatible for MT8195 WROT
    - GENIO: arm64: dts: mediatek: mt8195: add mdp3-wrot compatible name
    - GENIO: arm64: dts: mediatek: mt8188: add mdp3-wrot compatible name
    - GENIO: arm64: dts: mediatek: mt8370: add mdp3-wrot compatible name
    - GENIO: media: platform: mtk-mdp3: add mdp3-wrot compatible name
    - dtbo: mt8365-evk: Add standard ar0430 csi0/1 overlays
    - GENIO: soc: mediatek: hdmirx: mt8195: Add set user EDID interface
    - UPSTREAM: usb: typec: tcpm: try to get role switch from tcpc fwnode
    - GENIO: drm: mediatek: dpi: add dpix clock control for lvds
    - GENIO: drm: mediatek: lvds: remove dpix clock control
    - GENIO: phy: mediatek: remove mtk_lvds_tx_power_off_signal
    - GENIO: arm64: dts: mediatek: genio-350-evk: remove dpix clock from lvds
    - Revert "UPSTREAM: usb: typec: tcpm: try to get role switch from tcpc fwnode"
    - GENIO: scsi: ufs: fix UNINIT violation
    - GENIO: arm64: dts: mediatek: mt8370: use mediatek,mt8188-vdo1-rdma for VDO1
      RDMA
    - GENIO: media: platform: mtk-mdp3: Fix media controller registration
    - GENIO: gpu/arm: midgard: Fix power leakage during suspend
    - GENIO: mtk-mdp-driver: mt8365: Adjust buffer alignment for venc
    - GENIO: vcodec: mt8395: vdec: Set default bitstream buffer size to 4MB
    - GENIO: vcodec: mt8395: venc: Add platform data
    - GENIO: mtk-vcu-driver: mt8395: Fix vcu_cmdq_pkt_write issues
    - GENIO: mtk-vcu-driver: mt8395: Fix vcu_cmdq_pkt_write return value
    - BL_INTERNAL: usb: typec: altmodes/displayport: favor pin C/D over E
    - BL_INTERNAL: usb: mtu3: support ip-sleep wakeup for MT8365
    - dtbo: genio-700-evk: Add standard imx214 csi0/1 overlays
    - dtbo: genio-510-evk: Add standard imx214 csi0/1 overlays
    - dtbo: genio-1200-evk: Add standard imx214 csi0/1/2 overlays
    - GENIO: ASoC: mediatek: mt8188: Refine sound card init flow
    - GENIO: ASoC: mediatek: mt8195: Refine sound card init flow
    - GENIO: mtk-vcodec-driver: mt8167: venc: Set frame size stepwise to 2
    - camsys: Add NULL entity check in mtk_cam_start_ctx()
    - BACKPORT: arm64: dts: mediatek: mt8188: Move vdec1 power domain under vdec0
    - GENIO: arm64: dts: mediatek: mt8370: Move vdec1 power domain under vdec0
    - GENIO: panel: startek-kd070fhfid015: fix setting brightness failure during
      early stage booting
    - GENIO: drm/mediatek: dp: Make dp_tx_clk optional
    - GENIO: soc: mediatek: hdmirx: mt8195: Revise remove flow
    - GENIO: media: i2c: Fix dereferencing NULL pointer in ap1302
    - GENIO: media: i2c: Fix dereferencing NULL pointer in ar0430
    - GENIO: media: platform: mtk-mdp3: fix incorrect cleanup in HDMI-RX capture
      device
    - GENIO: serial: 8250_mtk: Fix UART TX fail during startup
    - dtbo: apusys.dts: Set always-on for apusys power supplies
    - dtbo: mt8370: Add property mediatek,camsv-top in camsv node
    - dtbo: mt8390: Add property mediatek,camsv-top in camsv node
    - dtbo: mt8395: Add property mediatek,camsv-top in camsv node
    - camsys: Fix the error in running_s_data_cnt under camsv flow
    - camsys: Add stream on seninf error handling
    - camsys: camsv: add reset_msgfifo
    - camsys: Fix condition in set_fmt
    - camsys: Add support for RAW8 formats
    - camsys: Add YUV cases to sensor format convert function
    - camsys: Add YUV 2X8 cases to sensor format convert function
    - camsys: Fix to prevent HW from writing an empty buffer.
    - GENIO: mtk-mdp-driver: mt8365: Add buffer sequence number
    - GENIO: mtk-mdp-driver: mt8365: Fix row_depth of multi-plane format
    - GENIO: mtk-mdp-driver: mt8365: fix the missing unregistration.

  [ Ubuntu: 5.15.0-139.149 ]

  * jammy/linux: 5.15.0-139.149 -proposed tracker (LP: #2107038)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
  * CVE-2023-52664
    - net: atlantic: eliminate double free in error handling logic
  * CVE-2023-52927
    - netfilter: allow exp not to be removed in nf_ct_find_expectation

  [ Ubuntu: 5.15.0-138.148 ]

  * jammy/linux: 5.15.0-138.148 -proposed tracker (LP: #2102587)
  * ipsec_offload in rtnetlink.sh from ubunsu_kselftests_net fails on O/J
    (LP: #2096976)
    - SAUCE: selftest: netfilter: fix null IP field in kci_test_ipsec_offload
  * CVE-2025-21756
    - vsock: Keep the binding until socket destruction
    - vsock: Orphan socket after transport release
  * CVE-2024-50256
    - netfilter: nf_reject_ipv6: fix potential crash in nf_send_reset6()
  * CVE-2025-21702
    - pfifo_tail_enqueue: Drop new packet when sch->limit == 0
  * CVE-2025-21703
    - netem: Update sch->q.qlen before qdisc_tree_reduce_backlog()
  * CVE-2025-21700
    - net: sched: Disallow replacing of child qdisc from one parent to another
  * CVE-2024-46826
    - ELF: fix kernel.randomize_va_space double read
  * CVE-2024-56651
    - can: hi311x: hi3110_can_ist(): fix potential use-after-free
  * iBFT iSCSI out-of-bounds shift UBSAN warning (LP: #2097824)
    - iscsi_ibft: Fix UBSAN shift-out-of-bounds warning in ibft_attr_show_nic()
  * CVE-2024-50248
    - ntfs3: Add bounds checking to mi_enum_attr()
    - fs/ntfs3: Sequential field availability check in mi_enum_attr()
  * CVE-2022-0995
    - watch_queue: Use the bitmap API when applicable
  * CVE-2024-26837
    - net: bridge: switchdev: Skip MDB replays of deferred events on offload
  * CVE-2025-21701
    - net: avoid race between device unregistration and ethnl ops
  * CVE-2024-57798
    - drm/dp_mst: Skip CSN if topology probing is not done yet
    - drm/dp_mst: Ensure mst_primary pointer is valid in
      drm_dp_mst_handle_up_req()
  * CVE-2024-56658
    - net: defer final 'struct net' free in netns dismantle
  * CVE-2024-35864
    - smb: client: fix potential UAF in smb2_is_valid_lease_break()
  * CVE-2024-35864/CVE-2024-26928
    - smb: client: fix potential UAF in cifs_debug_files_proc_show()

  [ Ubuntu: 5.15.0-135.146 ]

  * jammy/linux: 5.15.0-135.146 -proposed tracker (LP: #2098300)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.02.10)
  * Jammy update: v5.15.178 upstream stable release (LP: #2098441)
    - ASoC: wm8994: Add depends on MFD core
    - ASoC: samsung: Add missing selects for MFD_WM8994
    - seccomp: Stub for !CONFIG_SECCOMP
    - scsi: iscsi: Fix redundant response for ISCSI_UEVENT_GET_HOST_STATS request
    - irqchip/sunxi-nmi: Add missing SKIP_WAKE flag
    - ASoC: samsung: Add missing depends on I2C
    - regmap: detach regmap from dev on regmap_exit
    - mptcp: don't always assume copied data in mptcp_cleanup_rbuf()
    - gfs2: Truncate address space when flipping GFS2_DIF_JDATA flag
    - net: sched: fix ets qdisc OOB Indexing
    - vfio/platform: check the bounds of read/write syscalls
    - fs/ntfs3: Additional check in ntfs_file_release
    - platform/chrome: cros_ec_typec: Check for EC driver
    - ipv4: ip_tunnel: Fix suspicious RCU usage warning in ip_tunnel_find()
    - scsi: storvsc: Ratelimit warning logs to prevent VM denial of service
    - wifi: iwlwifi: add a few rate index validity checks
    - USB: serial: quatech2: fix null-ptr-deref in qt2_process_read_urb()
    - ALSA: usb-audio: Add delay quirk for USB Audio Device
    - Input: atkbd - map F23 key to support default copilot shortcut
    - Input: xpad - add unofficial Xbox 360 wireless receiver clone
    - Input: xpad - add support for wooting two he (arm)
    - drm/v3d: Assign job pointer to NULL before signaling the fence
    - Linux 5.15.178
  * CVE-2024-49925
    - fbdev: efifb: Register sysfs groups through driver core
  * Jammy update: v5.15.177 upstream stable release (LP: #2097298)
    - ceph: give up on paths longer than PATH_MAX
    - jbd2: flush filesystem device before updating tail sequence
    - dm array: fix releasing a faulty array block twice in dm_array_cursor_end
    - dm array: fix unreleased btree blocks on closing a faulty array cursor
    - dm array: fix cursor index when skipping across block boundaries
    - exfat: fix the infinite loop in exfat_readdir()
    - exfat: fix the infinite loop in __exfat_free_cluster()
    - ASoC: mediatek: disable buffer pre-allocation
    - ieee802154: ca8210: Add missing check for kfifo_alloc() in ca8210_probe()
    - net: 802: LLC+SNAP OID:PID lookup on start of skb data
    - tcp/dccp: complete lockless accesses to sk->sk_max_ack_backlog
    - tcp/dccp: allow a connection when sk_max_ack_backlog is zero
    - net_sched: cls_flow: validate TCA_FLOW_RSHIFT attribute
    - bnxt_en: Fix possible memory leak when hwrm_req_replace fails
    - cxgb4: Avoid removal of uninserted tid
    - tls: Fix tls_sw_sendmsg error handling
    - netfilter: nf_tables: imbalance in flowtable binding
    - netfilter: conntrack: clamp maximum hashtable size to INT_MAX
    - drm/mediatek: Add support for 180-degree rotation in the display driver
    - ksmbd: fix a missing return value check bug
    - afs: Fix the maximum cell name length
    - dm thin: make get_first_thin use rcu-safe list first function
    - dm-ebs: don't set the flag DM_TARGET_PASSES_INTEGRITY
    - sctp: sysctl: cookie_hmac_alg: avoid using current->nsproxy
    - sctp: sysctl: rto_min/max: avoid using current->nsproxy
    - sctp: sysctl: auth_enable: avoid using current->nsproxy
    - sctp: sysctl: udp_port: avoid using current->nsproxy
    - sctp: sysctl: plpmtud_probe_interval: avoid using current->nsproxy
    - drm/amd/display: Add check for granularity in dml ceil/floor helpers
    - riscv: Fix sleeping in invalid context in die()
    - ACPI: resource: Add TongFang GM5HG0A to irq1_edge_low_force_override[]
    - ACPI: resource: Add Asus Vivobook X1504VAP to irq1_level_low_skip_override[]
    - drm/amd/display: increase MAX_SURFACES to the value supported by hw
    - scripts/sorttable: fix orc_sort_cmp() to maintain symmetry and transitivity
    - USB: serial: option: add MeiG Smart SRM815
    - USB: serial: option: add Neoway N723-EA support
    - staging: iio: ad9834: Correct phase range check
    - staging: iio: ad9832: Correct phase range check
    - usb-storage: Add max sectors quirk for Nokia 208
    - USB: serial: cp210x: add Phoenix Contact UPS Device
    - usb: dwc3: gadget: fix writing NYET threshold
    - topology: Keep the cpumask unchanged when printing cpumap
    - USB: usblp: return error when setting unsupported protocol
    - USB: core: Disable LPM only for non-suspended ports
    - usb: fix reference leak in usb_new_device()
    - usb: gadget: f_uac2: Fix incorrect setting of bNumEndpoints
    - usb: gadget: f_fs: Remove WARN_ON in functionfs_bind
    - iio: pressure: zpa2326: fix information leak in triggered buffer
    - iio: dummy: iio_simply_dummy_buffer: fix information leak in triggered
      buffer
    - iio: light: vcnl4035: fix information leak in triggered buffer
    - iio: imu: kmx61: fix information leak in triggered buffer
    - iio: adc: ti-ads8688: fix information leak in triggered buffer
    - iio: gyro: fxas21002c: Fix missing data update in trigger handler
    - iio: adc: ti-ads124s08: Use gpiod_set_value_cansleep()
    - iio: adc: at91: call input_free_device() on allocated iio_dev
    - iio: inkern: call iio_device_put() only on mapped devices
    - iio: adc: ad7124: Disable all channels at probe time
    - block, bfq: fix waker_bfqq UAF after bfq_split_bfqq()
    - arm64: dts: rockchip: add hevc power domain clock to rk3328
    - of: unittest: Add bus address range parsing tests
    - of/address: Add support for 3 address cell bus
    - of: address: Fix address translation when address-size is greater than 2
    - of: address: Remove duplicated functions
    - of: address: Store number of bus flag cells rather than bool
    - of: address: Preserve the flags portion on 1:1 dma-ranges mapping
    - phy: usb: Add "wake on" functionality for newer Synopsis XHCI controllers
    - phy: usb: Toggle the PHY power during init
    - ocfs2: correct return value of ocfs2_local_free_info()
    - ocfs2: fix slab-use-after-free due to dangling pointer dqi_priv
    - mptcp: drop port parameter of mptcp_pm_add_addr_signal
    - mptcp: fix TCP options overflow.
    - phy: usb: Use slow clock for wake enabled suspend
    - phy: usb: Fix clock imbalance for suspend/resume
    - net: ethernet: ti: cpsw_ale: Fix cpsw_ale_get_field()
    - bpf: Fix bpf_sk_select_reuseport() memory leak
    - pktgen: Avoid out-of-bounds access in get_imix_entries
    - net: add exit_batch_rtnl() method
    - gtp: use exit_batch_rtnl() method
    - gtp: Use for_each_netdev_rcu() in gtp_genl_dump_pdp().
    - gtp: Destroy device along with udp socket's netns dismantle.
    - nfp: bpf: prevent integer overflow in nfp_bpf_event_output()
    - net: xilinx: axienet: Fix IRQ coalescing packet count overflow
    - net/mlx5: Add priorities for counters in RDMA namespaces
    - net/mlx5: Refactor mlx5_get_flow_namespace
    - net/mlx5: Fix RDMA TX steering prio
    - drm/v3d: Ensure job pointer is set to NULL after job completion
    - Revert "mtd: spi-nor: core: replace dummy buswidth from addr to data"
    - i2c: mux: demux-pinctrl: check initial mux selection, too
    - i2c: rcar: fix NACK handling when being a target
    - mac802154: check local interfaces before deleting sdata list
    - hfs: Sanity check the root record
    - fs: fix missing declaration of init_files
    - kheaders: Ignore silly-rename files
    - ACPI: resource: acpi_dev_irq_override(): Check DMI match last
    - poll_wait: add mb() to fix theoretical race between waitqueue_active() and
      .poll()
    - nvmet: propagate npwg topology
    - net: ethernet: xgbe: re-add aneg to supported features in PHY quirks
    - vsock/virtio: cancel close work in the destructor
    - vsock: reset socket state when de-assigning the transport
    - vsock: prevent null-ptr-deref in vsock_*[has_data|has_space]
    - filemap: avoid truncating 64-bit offset to 32 bits
    - fs/proc: fix softlockup in __read_vmcore (part 2)
    - gpiolib: cdev: Fix use after free in lineinfo_changed_notify
    - irqchip/gic-v3: Handle CPU_PM_ENTER_FAILED correctly
    - hrtimers: Handle CPU state correctly on hotplug
    - drm/i915/fb: Relax clear color alignment to 64 bytes
    - iio: imu: inv_icm42600: fix spi burst write not supported
    - iio: imu: inv_icm42600: fix timestamps after suspend if sensor is on
    - iio: adc: rockchip_saradc: fix information leak in triggered buffer
    - Revert "drm/amdgpu: rework resume handling for display (v2)"
    - Revert "regmap: detach regmap from dev on regmap_exit"
    - vsock/virtio: discard packets if the transport changes
    - ipv6: avoid possible NULL deref in rt6_uncached_list_flush_dev()
    - nfsd: add list_head nf_gc to struct nfsd_file
    - x86/xen: fix SLS mitigation in xen_hypercall_iret()
    - scsi: sg: Fix slab-use-after-free read in sg_release()
    - net: fix data-races around sk->sk_forward_alloc
    - xhci: use pm_ptr() instead of #ifdef for CONFIG_PM conditionals
    - Partial revert of xhci: use pm_ptr() instead #ifdef for CONFIG_PM
      conditionals
    - Linux 5.15.177
  * CVE-2024-46784
    - net: mana: Fix error handling in mana_create_txq/rxq's NAPI cleanup
  * CVE-2024-44938
    - jfs: Fix shift-out-of-bounds in dbDiscardAG
  * CVE-2024-43900
    - media: xc2028: avoid use-after-free in load_firmware_cb()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327)
    - ALSA: usb: Fix UBSAN warning in parse_audio_unit()
    - usb: cdns3: Add quirk flag to enable suspend residency
    - ASoC: Intel: sof_sdw: fix jack detection on ADL-N variant RVP
    - PCI: vmd: Create domain symlink before pci_bus_add_devices()
    - PCI: Add ACS quirk for Broadcom BCM5760X NIC
    - MIPS: Loongson64: DTS: Fix msi node for ls7a
    - usb: dwc2: gadget: Don't write invalid mapped sg entries into dma_desc with
      iommu enabled
    - i2c: pnx: Fix timeout in wait functions
    - erofs: fix incorrect symlink detection in fast symlink
    - net/smc: check sndbuf_space again after NOSPACE flag is set in smc_poll
    - ionic: use ee->offset when returning sprom data
    - net: hinic: Fix cleanup in create_rxqs/txqs()
    - net: ethernet: bgmac-platform: fix an OF node reference leak
    - netfilter: ipset: Fix for recursive locking warning
    - net: mdiobus: fix an OF node reference leak
    - mmc: sdhci-tegra: Remove SDHCI_QUIRK_BROKEN_ADMA_ZEROLEN_DESC quirk
    - chelsio/chtls: prevent potential integer overflow on 32bit
    - i2c: riic: Always round-up when calculating bus period
    - efivarfs: Fix error on non-existent file
    - USB: serial: option: add TCL IK512 MBIM & ECM
    - USB: serial: option: add MeiG Smart SLM770A
    - USB: serial: option: add Netprisma LCUK54 modules for WWAN Ready
    - USB: serial: option: add MediaTek T7XX compositions
    - USB: serial: option: add Telit FE910C04 rmnet compositions
    - hwmon: (tmp513) Don't use "proxy" headers
    - hwmon: (tmp513) Simplify with dev_err_probe()
    - hwmon: (tmp513) Use SI constants from units.h
    - hwmon: (tmp513) Fix interpretation of values of Shunt Voltage and Limit
      Registers
    - hwmon: (tmp513) Fix Current Register value interpretation
    - hwmon: (tmp513) Fix interpretation of values of Temperature Result and Limit
      Registers
    - hwmon: (tmp513) Fix division of negative numbers
    - sh: clk: Fix clk_enable() to return 0 on NULL clk
    - zram: refuse to use zero sized block device as backing device
    - btrfs: tree-checker: reject inline extent items with 0 ref count
    - tracing: Fix test_event_printk() to process entire print argument
    - tracing: Add missing helper functions in event pointer dereference check
    - tracing: Add "%s" check in test_event_printk()
    - NFS/pnfs: Fix a live lock between recalled layouts and layoutget
    - of/irq: Fix using uninitialized variable @addr_len in API of_irq_parse_one()
    - udmabuf: also check for F_SEAL_FUTURE_WRITE
    - of: Fix error path in of_parse_phandle_with_args_map()
    - of: Fix refcount leakage for OF node returned by __of_get_dma_parent()
    - ceph: validate snapdirname option length when mounting
    - epoll: Add synchronous wakeup support for ep_poll_callback
    - drm/amdgpu: Handle NULL bo->tbo.resource (again) in amdgpu_vm_bo_update
    - mm/vmstat: fix a W=1 clang compiler warning
    - tcp_bpf: Charge receive socket buffer in bpf_tcp_ingress()
    - tcp_bpf: Add sk_rmem_alloc related logic for tcp_bpf ingress redirection
    - bpf: Check negative offsets in __bpf_skb_min_len()
    - nfsd: restore callback functionality for NFSv4.0
    - mtd: diskonchip: Cast an operand to prevent potential overflow
    - mtd: rawnand: arasan: Fix double assertion of chip-select
    - mtd: rawnand: arasan: Fix missing de-registration of NAND
    - phy: core: Fix an OF node refcount leakage in _of_phy_get()
    - phy: core: Fix an OF node refcount leakage in of_phy_provider_lookup()
    - phy: core: Fix that API devm_phy_put() fails to release the phy
    - phy: core: Fix that API devm_of_phy_provider_unregister() fails to
      unregister the phy provider
    - phy: core: Fix that API devm_phy_destroy() fails to destroy the phy
    - dmaengine: mv_xor: fix child node refcount handling in early exit
    - dmaengine: dw: Select only supported masters for ACPI devices
    - mtd: rawnand: fix double free in atmel_pmecc_create_user()
    - tracing/kprobe: Make trace_kprobe's module callback called after jump_label
      update
    - watchdog: it87_wdt: add PWRGD enable quirk for Qotom QCML04
    - scsi: qla1280: Fix hw revision numbering for ISP1020/1040
    - ALSA: hda/conexant: fix Z60MR100 startup pop issue
    - regmap: Use correct format specifier for logging range errors
    - platform/x86: asus-nb-wmi: Ignore unknown event 0xCF
    - scsi: mpt3sas: Diag-Reset when Doorbell-In-Use bit is set during driver load
      time
    - scsi: storvsc: Do not flag MAINTENANCE_IN return of SRB_STATUS_DATA_OVERRUN
      as an error
    - virtio-blk: don't keep queue frozen during system suspend
    - vmalloc: fix accounting with i915
    - MIPS: Probe toolchain support of -msym32
    - arm64: mm: Rename asid2idx() to ctxid2asid()
    - arm64: Ensure bits ASID[15:8] are masked out when the kernel uses 8-bit
      ASIDs
    - drm/dp_mst: Verify request type in the corresponding down message reply
    - lib: stackinit: hide never-taken branch from compiler
    - ksmbd: fix racy issue from session lookup and expire
    - tracing: Constify string literal data member in struct trace_event_call
    - btrfs: avoid monopolizing a core when activating a swap file
    - x86/hyperv: Fix hv tsc page based sched_clock for hibernation
    - selinux: ignore unknown extended permissions
    - tracing: Have process_string() also allow arrays
    - thunderbolt: Add support for Intel Raptor Lake
    - thunderbolt: Add support for Intel Meteor Lake
    - thunderbolt: Add Intel Barlow Ridge PCI ID
    - thunderbolt: Add support for Intel Lunar Lake
    - thunderbolt: Add support for Intel Panther Lake-M/P
    - xhci: retry Stop Endpoint on buggy NEC controllers
    - usb: xhci: Limit Stop Endpoint retries
    - xhci: Turn NEC specific quirk for handling Stop Endpoint errors generic
    - RDMA/mlx5: Enforce same type port association for multiport RoCE
    - RDMA/bnxt_re: Add check for path mtu in modify_qp
    - RDMA/bnxt_re: Fix reporting hw_ver in query_device
    - RDMA/bnxt_re: Fix max_qp_wrs reported
    - RDMA/bnxt_re: Fix the locking while accessing the QP table
    - drm/bridge: adv7511_audio: Update Audio InfoFrame properly
    - RDMA/hns: Remove redundant 'attr_mask' in modify_qp_init_to_init()
    - RDMA/hns: Remove redundant 'bt_level' for hem_list_alloc_item()
    - RDMA/hns: Fix mapping error of zero-hop WQE buffer
    - RDMA/hns: Fix warning storm caused by invalid input in IO path
    - RDMA/hns: Fix missing flush CQE for DWQE
    - net: stmmac: platform: provide devm_stmmac_probe_config_dt()
    - net: stmmac: don't create a MDIO bus if unnecessary
    - net: stmmac: restructure the error path of stmmac_probe_config_dt()
    - drm/i915/dg1: Fix power gate sequence.
    - net: llc: reset skb->transport_header
    - ALSA: usb-audio: US16x08: Initialize array before use
    - eth: bcmsysport: fix call balance of priv->clk handling routines
    - net: mv643xx_eth: fix an OF node reference leak
    - net: wwan: iosm: Properly check for valid exec stage in ipc_mmio_init()
    - btrfs: rename and export __btrfs_cow_block()
    - btrfs: sysfs: convert scnprintf and snprintf to sysfs_emit
    - btrfs: sysfs: fix direct super block member reads
    - wifi: mac80211: wake the queues in case of failure in resume
    - sound: usb: enable DSD output for ddHiFi TC44C
    - sound: usb: format: don't warn that raw DSD is unsupported
    - bpf: fix potential error return
    - net: usb: qmi_wwan: add Telit FE910C04 compositions
    - irqchip/gic: Correct declaration of *percpu_base pointer in union gic_base
    - ARC: build: Try to guess GCC variant of cross compiler
    - usb: xhci: Avoid queuing redundant Stop Endpoint commands
    - modpost: fix input MODULE_DEVICE_TABLE() built for 64-bit on 32-bit host
    - modpost: fix the missed iteration for the max bit in do_input()
    - kcov: mark in_softirq_really() as __always_inline
    - sky2: Add device ID 11ab:4373 for Marvell 88E8075
    - net/sctp: Prevent autoclose integer overflow in sctp_association_init()
    - drm: adv7511: Drop dsi single lane support
    - dt-bindings: display: adi,adv7533: Drop single lane support
    - Linux 5.15.176
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57884
    - mm: vmscan: account for free pages to prevent infinite Loop in
      throttle_direct_reclaim()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57889
    - pinctrl: mcp23s08: Fix sleeping in atomic context due to regmap locking
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57890
    - RDMA/uverbs: Prevent integer overflow issue
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57896
    - btrfs: flush delalloc workers queue before stopping cleaner kthread during
      unmount
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57897
    - drm/amdkfd: Correct the migration DMA map direction
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56759
    - btrfs: fix use-after-free when COWing tree bock and tracing is enabled
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57900
    - ila: serialize calls to nf_register_net_hooks()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57901
    - af_packet: fix vlan_get_protocol_dgram() vs MSG_PEEK
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57902
    - af_packet: fix vlan_get_tci() vs MSG_PEEK
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57903
    - net: restrict SO_REUSEPORT to inet sockets
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-36476
    - RDMA/rtrs: Ensure 'ib_sge list' is accessible
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57802
    - netrom: check buffer length before accessing it
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57841
    - net: fix memory leak in tcp_conn_request()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-49998
    - net: dsa: improve shutdown sequence
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-50121
    - nfsd: cancel nfsd_shrinker_work using sync mode in nfs4_state_shutdown_net
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57792
    - power: supply: gpio-charger: Fix set charge current limits
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56763
    - tracing: Prevent bad count for tracing_cpumask_write
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56626
    - ksmbd: fix Out-of-Bounds Write in ksmbd_vfs_stream_write
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56627
    - ksmbd: fix Out-of-Bounds Read in ksmbd_vfs_stream_read
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56616
    - drm/dp_mst: Fix MST sideband message body length check
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-53099
    - bpf: Check validity of link->type in bpf_link_show_fdinfo()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57807
    - scsi: megaraid_sas: Fix for a potential deadlock
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56767
    - dmaengine: at_xdmac: avoid null_prt_deref in at_xdmac_prep_dma_memset
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56769
    - media: dvb-frontends: dib3000mb: fix uninit-value in dib3000_write_reg
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-53690
    - nilfs2: prevent use of deleted inode
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-55881
    - KVM: x86: Play nice with protected guests in complete_hypercall_exit()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-55916
    - Drivers: hv: util: Avoid accessing a ringbuffer not initialized yet
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56369
    - drm/modes: Avoid divide by zero harder in drm_mode_vrefresh()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56715
    - ionic: Fix netdev notifier unregister on failure
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-56716
    - netdevsim: prevent bad user input in nsim_dev_health_break_write()
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-57791
    - net/smc: check return value of sock_recvmsg when draining clc data
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-47408
    - net/smc: check smcd_v2_ext_offset when receiving proposal msg
  * Jammy update: v5.15.176 upstream stable release (LP: #2095327) //
    CVE-2024-49571
    - net/smc: check iparea_offset and ipv6_prefixes_cnt when receiving proposal
      msg
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302)
    - tcp: check space before adding MPTCP SYN options
    - ALSA: usb-audio: Add implicit feedback quirk for Yamaha THR5
    - usb: host: max3421-hcd: Correctly abort a USB request.
    - ata: sata_highbank: fix OF node reference leak in highbank_initialize_phys()
    - usb: dwc2: Fix HCD resume
    - usb: dwc2: hcd: Fix GetPortStatus & SetPortFeature
    - usb: dwc2: Fix HCD port connection race
    - usb: ehci-hcd: fix call balance of clocks handling routines
    - drm/i915: Fix memory leak by correcting cache object name in error handler
    - xfs: update btree keys correctly when _insrec splits an inode root block
    - xfs: don't drop errno values when we fail to ficlone the entire range
    - xfs: return from xfs_symlink_verify early on V4 filesystems
    - xfs: fix scrub tracepoints when inode-rooted btrees are involved
    - bpf, sockmap: Fix update element with same
    - batman-adv: Do not send uninitialized TT changes
    - batman-adv: Remove uninitialized data in full table TT response
    - batman-adv: Do not let TT changes list grows indefinitely
    - tipc: fix NULL deref in cleanup_bearer()
    - selftests: mlxsw: sharedbuffer: Remove h1 ingress test case
    - selftests: mlxsw: sharedbuffer: Remove duplicate test cases
    - ptp: kvm: Use decrypted memory in confidential guest on x86
    - ptp: kvm: x86: Return EOPNOTSUPP instead of ENODEV from kvm_arch_ptp_init()
    - net: sparx5: fix FDMA performance issue
    - net: sparx5: fix the maximum frame length register
    - ACPI: resource: Fix memory resource type union access
    - cxgb4: use port number to set mac addr
    - qca_spi: Fix clock speed for multiple QCA7000
    - qca_spi: Make driver probing reliable
    - Documentation: PM: Clarify pm_runtime_resume_and_get() return value
    - bonding: Fix feature propagation of NETIF_F_GSO_ENCAP_ALL
    - team: Fix feature propagation of NETIF_F_GSO_ENCAP_ALL
    - ACPICA: events/evxfregn: don't release the ContextMutex that was never
      acquired
    - blk-iocost: Avoid using clamp() on inuse in __propagate_weights()
    - tracing/kprobes: Skip symbol counting logic for module symbols in
      create_local_trace_kprobe()
    - xen/netfront: fix crash when removing device
    - x86: make get_cpu_vendor() accessible from Xen code
    - objtool/x86: allow syscall instruction
    - x86/static-call: provide a way to do very early static-call updates
    - x86/static-call: Remove early_boot_irqs_disabled check to fix Xen PVH dom0
    - x86/asm: Make serialize() always_inline
    - x86/xen: don't do PV iret hypercall through hypercall page
    - x86/xen: add central hypercall functions
    - x86/xen: use new hypercall functions instead of hypercall page
    - x86/xen: remove hypercall page
    - ALSA: usb-audio: Fix a DMA to stack memory bug
    - x86/static-call: fix 32-bit build
    - Linux 5.15.175
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302) //
    CVE-2024-53125
    - bpf: sync_linked_regs() must preserve subreg_def
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302) //
    CVE-2024-56770
    - net/sched: netem: account for backlog updates from child qdisc
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302) //
    CVE-2024-56659
    - net: lapb: increase LAPB_HEADER_LEN
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302) //
    CVE-2024-56662
    - acpi: nfit: vmalloc-out-of-bounds Read in acpi_nfit_ctl
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302) //
    CVE-2024-42315
    - exfat: fix potential deadlock on __exfat_get_dentry_set
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302) //
    CVE-2024-53119
    - virtio/vsock: Fix accept_queue memory leak
  * Jammy update: v5.15.175 upstream stable release (LP: #2095302) //
    CVE-2024-56670
    - usb: gadget: u_serial: Fix the issue that gs_start_io crashed due to
      accessing null pointer
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283)
    - arm64: dts: allwinner: pinephone: Add mount matrix to accelerometer
    - media: venus: Fix pm_runtime_set_suspended() with runtime pm enabled
    - media: gspca: ov534-ov772x: Fix off-by-one error in set_frame_rate()
    - media: uvcvideo: Stop stream during unregister
    - vmstat: call fold_vm_zone_numa_events() before show per zone NUMA event
    - iommu/io-pgtable-arm: Fix stage-2 map/unmap for concatenated tables
    - leds: lp55xx: Remove redundant test for invalid channel number
    - clk: qcom: gcc-qcs404: fix initial rate of GPLL3
    - samples: pktgen: correct dev to DEV
    - ARM: 9419/1: mm: Fix kernel memory mapping for xip kernels
    - x86/mm: Fix a kdump kernel failure on SME system when CONFIG_IMA_KEXEC=y
    - vdpa/mlx5: Fix PA offset with unaligned starting iotlb map
    - KVM: nVMX: Treat vpid01 as current if L2 is active, but with VPID disabled
    - ocfs2: fix UBSAN warning in ocfs2_verify_volume()
    - drm/bridge: tc358768: Fix DSI command tx
    - mmc: sunxi-mmc: Add D1 MMC variant
    - mmc: sunxi-mmc: Fix A100 compatible description
    - lib/buildid: Fix build ID parsing logic
    - media: dvbdev: fix the logic when DVB_DYNAMIC_MINORS is not set
    - NFSD: initialize copy->cp_clp early in nfsd4_copy for use by trace point
    - NFSD: Async COPY result needs to return a write verifier
    - NFSD: Initialize struct nfsd4_copy earlier
    - NFSD: Never decrement pending_async_copies on error
    - mm: revert "mm: shmem: fix data-race in shmem_getattr()"
    - mm: avoid unsafe VMA hook invocation when error arises on mmap hook
    - mm: unconditionally close VMAs on error
    - mm: refactor arch_calc_vm_flag_bits() and arm64 MTE handling
    - NFS: nfs_async_write_reschedule_io must not recurse into the writeback code
    - ASoC: Intel: bytcr_rt5640: Add support for non ACPI instantiated codec
    - ASoC: Intel: bytcr_rt5640: Add DMI quirk for Vexia Edu Atla 10 tablet
    - ASoC: Intel: sst: Support LPE0F28 ACPI HID
    - wifi: iwlwifi: mvm: Use the sync timepoint API in suspend
    - mac80211: fix user-power when emulating chanctx
    - usb: add support for new USB device ID 0x17EF:0x3098 for the r8152 driver
    - selftests/watchdog-test: Fix system accidentally reset after watchdog-test
    - ALSA: hda/realtek: Add subwoofer quirk for Infinix ZERO BOOK 13
    - x86/amd_nb: Fix compile-testing without CONFIG_AMD_NB
    - net: usb: qmi_wwan: add Quectel RG650V
    - soc: qcom: Add check devm_kasprintf() returned value
    - regulator: rk808: Add apply_bit for BUCK3 on RK809
    - platform/x86: dell-smbios-base: Extends support to Alienware products
    - platform/x86: dell-wmi-base: Handle META key Lock/Unlock events
    - can: j1939: fix error in J1939 documentation.
    - ASoC: stm: Prevent potential division by zero in stm32_sai_mclk_round_rate()
    - ASoC: stm: Prevent potential division by zero in stm32_sai_get_clk_div()
    - proc/softirqs: replace seq_printf with seq_put_decimal_ull_width
    - ALSA: usb-audio: Fix Yamaha P-125 Quirk Entry
    - ARM: 9420/1: smp: Fix SMP for xip kernels
    - ipmr: Fix access to mfc_cache_list without lock held
    - nvme: fix metadata handling in nvme-passthrough
    - x86/barrier: Do not serialize MSR accesses on AMD
    - kselftest/arm64: mte: fix printf type warnings about longs
    - s390/cio: Do not unregister the subchannel based on DNV
    - brd: remove brd_devices_mutex mutex
    - mips: asm: fix warning when disabling MIPS_FP_SUPPORT
    - m68k: mvme147: Fix SCSI controller IRQ numbers
    - m68k: mvme16x: Add and use "mvme16x.h"
    - m68k: mvme147: Reinstate early console
    - arm64: fix .data.rel.ro size assertion when CONFIG_LTO_CLANG
    - acpi/arm64: Adjust error handling procedure in gtdt_parse_timer_block()
    - s390/syscalls: Avoid creation of arch/arch/ directory
    - firmware: google: Unregister driver_info on failure
    - crypto: qat - remove faulty arbiter config reset
    - thermal: core: Initialize thermal zones before registering them
    - EDAC/fsl_ddr: Fix bad bit shift operations
    - crypto: cavium - Fix the if condition to exit loop after timeout
    - ACPI: CPPC: Fix _CPC register setting issue
    - crypto: caam - add error check to caam_rsa_set_priv_key_form
    - crypto: cavium - Fix an error handling path in cpt_ucode_load_fw()
    - time: Fix references to _msecs_to_jiffies() handling of values
    - timekeeping: Consolidate fast timekeeper
    - seqlock/latch: Provide raw_read_seqcount_latch_retry()
    - kcsan, seqlock: Support seqcount_latch_t
    - kcsan, seqlock: Fix incorrect assumption in read_seqbegin()
    - clocksource/drivers:sp804: Make user selectable
    - spi: spi-fsl-lpspi: downgrade log level for pio mode
    - spi: spi-fsl-lpspi: Use IRQF_NO_AUTOEN flag in request_irq()
    - soc: ti: smartreflex: Use IRQF_NO_AUTOEN flag in request_irq()
    - mmc: mmc_spi: drop buggy snprintf()
    - tpm: fix signed/unsigned bug when checking event logs
    - arm64: dts: mt8183: krane: Fix the address of eeprom at i2c4
    - arm64: dts: mt8183: kukui: Fix the address of eeprom at i2c4
    - arm64: dts: mediatek: mt8173-elm-hana: Add vdd-supply to second source
      trackpad
    - Revert "cgroup: Fix memory leak caused by missing cgroup_bpf_offline"
    - cgroup/bpf: only cgroup v2 can be attached by bpf programs
    - arm64: dts: mt8183: fennel: add i2c2's i2c-scl-internal-delay-ns
    - arm64: dts: mt8183: burnet: add i2c2's i2c-scl-internal-delay-ns
    - arm64: dts: mt8183: Damu: add i2c2's i2c-scl-internal-delay-ns
    - pwm: imx27: Workaround of the pwm output bug when decrease the duty cycle
    - ARM: dts: cubieboard4: Fix DCDC5 regulator constraints
    - pmdomain: ti-sci: Add missing of_node_put() for args.np
    - spi: tegra210-quad: Avoid shift-out-of-bounds
    - spi: zynqmp-gqspi: Undo runtime PM changes at driver exit time​
    - regmap: irq: Set lockdep class for hierarchical IRQ domains
    - arm64: dts: mt8183: jacuzzi: remove unused ddc-i2c-bus
    - arm64: dts: mt8183: jacuzzi: Move panel under aux-bus
    - arm64: dts: mediatek: mt8183-kukui-jacuzzi: Fix DP bridge supply names
    - arm64: dts: mediatek: mt8183-kukui-jacuzzi: Add supplies for fixed
      regulators
    - selftests/resctrl: Protect against array overrun during iMC config parsing
    - media: venus: venc: Use pmruntime autosuspend
    - media: venus: vdec: decoded picture buffer handling during reconfig sequence
    - media: venus : Addition of EOS Event support for Encoder
    - media: venus : Addition of support for VIDIOC_TRY_ENCODER_CMD
    - venus: venc: add handling for VIDIOC_ENCODER_CMD
    - media: venus: provide ctx queue lock for ioctl synchronization
    - media: atomisp: remove #ifdef HAS_NO_HMEM
    - platform/x86: panasonic-laptop: Replace snprintf in show functions with
      sysfs_emit
    - platform/x86: panasonic-laptop: Return errno correctly in show callback
    - drm/mm: Mark drm_mm_interval_tree*() functions with __maybe_unused
    - drm/omap: Fix possible NULL dereference
    - drm/omap: Fix locking in omap_gem_new_dmabuf()
    - wifi: p54: Use IRQF_NO_AUTOEN flag in request_irq()
    - wifi: mwifiex: Use IRQF_NO_AUTOEN flag in request_irq()
    - drm/imx/dcss: Use IRQF_NO_AUTOEN flag in request_irq()
    - drm/imx/ipuv3: Use IRQF_NO_AUTOEN flag in request_irq()
    - drm/v3d: Address race-condition in MMU flush
    - wifi: ath10k: fix invalid VHT parameters in supported_vht_mcs_rate_nss1
    - wifi: ath10k: fix invalid VHT parameters in supported_vht_mcs_rate_nss2
    - dt-bindings: vendor-prefixes: Add NeoFidelity, Inc
    - ASoC: fsl_micfil: Drop unnecessary register read
    - ASoC: fsl_micfil: do not define SHIFT/MASK for single bits
    - ASoC: fsl_micfil: use GENMASK to define register bit fields
    - ASoC: fsl_micfil: fix regmap_write_bits usage
    - ASoC: dt-bindings: mt6359: Update generic node name and dmic-mode
    - drm/bridge: anx7625: Drop EDID cache on bridge power off
    - libbpf: Fix output .symtab byte-order during linking
    - bpf: Fix the xdp_adjust_tail sample prog issue
    - libbpf: fix sym_is_subprog() logic for weak global subprogs
    - xfrm: rename xfrm_state_offload struct to allow reuse
    - xfrm: store and rely on direction to construct offload flags
    - netdevsim: rely on XFRM state direction instead of flags
    - netdevsim: copy addresses for both in and out paths
    - drm/bridge: tc358767: Fix link properties discovery
    - selftests/bpf: Fix msg_verify_data in test_sockmap
    - selftests/bpf: Fix txmsg_redir of test_txmsg_pull in test_sockmap
    - drm: fsl-dcu: enable PIXCLK on LS1021A
    - drm/panfrost: Remove unused id_mask from struct panfrost_model
    - drm/msm/adreno: Use IRQF_NO_AUTOEN flag in request_irq()
    - drm/etnaviv: Request pages from DMA32 zone on addressing_limited
    - drm/etnaviv: fix power register offset on GC300
    - drm/etnaviv: hold GPU lock across perfmon sampling
    - wifi: wfx: Fix error handling in wfx_core_init()
    - drm/msm/dpu: cast crtc_clk calculation to u64 in _dpu_core_perf_calc_clk()
    - netfilter: nf_tables: skip transaction if update object is not implemented
    - netfilter: nf_tables: must hold rcu read lock while iterating object type
      list
    - netlink: typographical error in nlmsg_type constants definition
    - selftests/bpf: Add txmsg_pass to pull/push/pop in test_sockmap
    - selftests/bpf: Fix SENDPAGE data logic in test_sockmap
    - selftests, bpf: Add one test for sockmap with strparser
    - selftests/bpf: Fix total_bytes in msg_loop_rx in test_sockmap
    - selftests/bpf: Add push/pop checking for msg_verify_data in test_sockmap
    - bpf, sockmap: Several fixes to bpf_msg_push_data
    - bpf, sockmap: Fix sk_msg_reset_curr
    - selftests: net: really check for bg process completion
    - drm/amdkfd: Fix wrong usage of INIT_WORK()
    - net: rfkill: gpio: Add check for clk_enable()
    - driver core: Introduce device_find_any_child() helper
    - netpoll: Use rcu_access_pointer() in netpoll_poll_lock
    - wireguard: selftests: load nf_conntrack if not present
    - trace/trace_event_perf: remove duplicate samples on the first tracepoint
      event
    - pinctrl: zynqmp: drop excess struct member description
    - powerpc/vdso: Flag VDSO64 entry points as functions
    - mfd: tps65010: Use IRQF_NO_AUTOEN flag in request_irq() to fix race
    - mfd: da9052-spi: Change read-mask to write-mask
    - mfd: intel_soc_pmic_bxtwc: Use dev_err_probe()
    - cpufreq: loongson2: Unregister platform_driver on failure
    - mtd: rawnand: atmel: Fix possible memory leak
    - RDMA/bnxt_re: Check cqe flags to know imm_data vs inv_irkey
    - clk: imx: lpcg-scu: SW workaround for errata (e10858)
    - clk: imx: clk-scu: fix clk enable state save and restore
    - mfd: rt5033: Fix missing regmap_del_irq_chip()
    - scsi: fusion: Remove unused variable 'rc'
    - RDMA/hns: Fix out-of-order issue of requester when setting FENCE
    - powerpc/sstep: make emulate_vsx_load and emulate_vsx_store static
    - powerpc/kexec: Fix return of uninitialized variable
    - fbdev/sh7760fb: Alloc DMA memory from hardware device
    - dt-bindings: clock: axi-clkgen: include AXI clk
    - clk: clk-axi-clkgen: make sure to enable the AXI bus clock
    - pinctrl: k210: Undef K210_PC_DEFAULT
    - mailbox: arm_mhuv2: clean up loop in get_irq_chan_comb()
    - perf cs-etm: Don't flush when packet_queue fills up
    - perf probe: Fix libdw memory leak
    - perf probe: Correct demangled symbols in C++ program
    - PCI: cpqphp: Use PCI_POSSIBLE_ERROR() to check config reads
    - PCI: cpqphp: Fix PCIBIOS_* return value confusion
    - f2fs: fix the wrong f2fs_bug_on condition in f2fs_do_replace_block
    - f2fs: remove struct segment_allocation default_salloc_ops
    - f2fs: open code allocate_segment_by_default
    - f2fs: remove the unused flush argument to change_curseg
    - f2fs: check curseg->inited before write_sum_page in change_curseg
    - perf trace: avoid garbage when not printing a trace event's arguments
    - m68k: mcfgpio: Fix incorrect register offset for CONFIG_M5441x
    - m68k: coldfire/device.c: only build FEC when HW macros are defined
    - perf trace: Do not lose last events in a race
    - perf trace: Avoid garbage when not printing a syscall's arguments
    - rpmsg: glink: Add TX_DATA_CONT command while sending
    - rpmsg: glink: Send READ_NOTIFY command in FIFO full case
    - rpmsg: glink: Fix GLINK command prefix
    - rpmsg: glink: use only lower 16-bits of param2 for CMD_OPEN name length
    - remoteproc: qcom_q6v5_mss: Re-order writes to the IMEM region
    - NFSD: Cap the number of bytes copied by nfs4_reset_recoverydir()
    - sunrpc: simplify two-level sysctl registration for svcrdma_parm_table
    - NFSD: Fix nfsd4_shutdown_copy()
    - hwmon: (tps23861) Fix reporting of negative temperatures
    - vdpa/mlx5: Fix suboptimal range on iotlb iteration
    - selftests/mount_setattr: Fix failures on 64K PAGE_SIZE kernels
    - fs_parser: update mount_api doc to match function signature
    - power: supply: core: Remove might_sleep() from power_supply_put()
    - power: supply: bq27xxx: Fix registers of bq27426
    - net: usb: lan78xx: Fix memory leak on device unplug by freeing PHY device
    - tg3: Set coherent DMA mask bits to 31 for BCM57766 chipsets
    - net: usb: lan78xx: Fix refcounting and autosuspend on invalid WoL
      configuration
    - net: mdio-ipq4019: add missing error check
    - marvell: pxa168_eth: fix call balance of pep->clk handling routines
    - net: stmmac: dwmac-socfpga: Set RX watchdog interrupt as broken
    - octeontx2-af: RPM: Fix mismatch in lmac type
    - spi: atmel-quadspi: Fix register name in verbose logging function
    - net: hsr: fix hsr_init_sk() vs network/transport headers.
    - bnxt_en: Reserve rings after PCIe AER recovery if NIC interface is down
    - iio: light: al3010: Fix an error handling path in al3010_probe()
    - usb: using mutex lock and supporting O_NONBLOCK flag in iowarrior_read()
    - usb: yurex: make waiting on yurex_write interruptible
    - USB: chaoskey: fail open after removal
    - USB: chaoskey: Fix possible deadlock chaoskey_list_lock
    - misc: apds990x: Fix missing pm_runtime_disable()
    - counter: stm32-timer-cnt: Add check for clk_enable()
    - ALSA: hda/realtek: Update ALC256 depop procedure
    - apparmor: fix 'Do simple duplicate message elimination'
    - usb: ehci-spear: fix call balance of sehci clk handling routines
    - Revert "drivers: clk: zynqmp: update divider round rate logic"
    - ASoC: Intel: sst: Fix used of uninitialized ctx to log an error
    - soc: qcom: socinfo: fix revision check in qcom_socinfo_probe()
    - ext4: supress data-race warnings in ext4_free_inodes_{count,set}()
    - ext4: fix FS_IOC_GETFSMAP handling
    - jfs: xattr: check invalid xattr size more strictly
    - ASoC: codecs: Fix atomicity violation in snd_soc_component_get_drvdata()
    - perf/x86/intel/pt: Fix buffer full but size is 0 case
    - crypto: x86/aegis128 - access 32-bit arguments as 32-bit
    - powerpc/pseries: Fix KVM guest detection for disabling hardlockup detector
    - KVM: arm64: Ignore PMCNTENSET_EL0 while checking for overflow status
    - fsnotify: fix sending inotify event with unexpected filename
    - tty: ldsic: fix tty_ldisc_autoload sysctl's proc_handler
    - locking/lockdep: Avoid creating new name string literals in
      lockdep_set_subclass()
    - exfat: fix uninit-value in __exfat_get_dentry_set
    - Bluetooth: Fix type of len in rfcomm_sock_getsockopt{,_old}()
    - usb: xhci: Fix TD invalidation under pending Set TR Dequeue
    - Revert "usb: gadget: composite: fix OS descriptors w_value logic"
    - serial: sh-sci: Clean sci_ports[0] after at earlycon exit
    - Revert "serial: sh-sci: Clean sci_ports[0] after at earlycon exit"
    - gpio: exar: set value when external pull-up or pull-down is present
    - spi: Fix acpi deferred irq probe
    - mtd: spi-nor: core: replace dummy buswidth from addr to data
    - cpufreq: mediatek-hw: Fix wrong return value in mtk_cpufreq_get_cpu_power()
    - platform/chrome: cros_ec_typec: fix missing fwnode reference decrement
    - ubi: wl: Put source PEB into correct list if trying locking LEB failed
    - serial: 8250: omap: Move pm_runtime_get_sync
    - arm64: tls: Fix context-switching of tpidrro_el0 when kpti is enabled
    - block: fix ordering between checking BLK_MQ_S_STOPPED request adding
    - HID: wacom: Interpret tilt data from Intuos Pro BT as signed values
    - soc: fsl: rcpm: fix missing of_node_put() in copy_ippdexpcr1_setting()
    - media: v4l2-core: v4l2-dv-timings: check cvt/gtf result
    - ALSA: hda/realtek: Update ALC225 depop procedure
    - ALSA: hda/realtek: Set PCBeep to default value for ALC274
    - ALSA: hda/realtek: Fix Internal Speaker and Mic boost of Infinix Y4 Max
    - ALSA: hda/realtek: Apply quirk for Medion E15433
    - usb: dwc3: gadget: Fix checking for number of TRBs left
    - lib: string_helpers: silence snprintf() output truncation warning
    - rpmsg: glink: Propagate TX failures in intentless mode as well
    - um: Fix the return value of elf_core_copy_task_fpregs
    - um: Always dump trace for specified task in show_stack
    - rtc: st-lpc: Use IRQF_NO_AUTOEN flag in request_irq()
    - rtc: abx80x: Fix WDT bit position of the status register
    - ubifs: Correct the total block count by deducting journal reservation
    - jffs2: fix use of uninitialized variable
    - block: return unsigned int from bdev_io_min
    - 9p/xen: fix init sequence
    - rtc: ab-eoz9: don't fail temperature reads on undervoltage notification
    - modpost: remove incorrect code in do_eisa_entry()
    - nfs: ignore SB_RDONLY when mounting nfs
    - sunrpc: remove unnecessary test in rpc_task_set_client()
    - SUNRPC: Replace internal use of SOCKWQ_ASYNC_NOSPACE
    - ASoC: fsl_micfil: fix the naming style for mask definition
    - xfs: fix log recovery when unknown rocompat bits are set
    - xfs: remove unknown compat feature check in superblock write validation
    - btrfs: add might_sleep() annotations
    - util_macros.h: fix/rework find_closest() macros
    - scsi: ufs: exynos: Fix hibern8 notify callbacks
    - PCI: keystone: Add link up check to ks_pcie_other_map_bus()
    - ovl: properly handle large files in ovl_security_fileattr
    - dm thin: Add missing destroy_work_on_stack()
    - PCI: rockchip-ep: Fix address translation unit programming
    - drm/etnaviv: flush shader L1 cache after user commandstream
    - iTCO_wdt: mask NMI_NOW bit for update_no_reboot_bit() call
    - watchdog: mediatek: Make sure system reset gets asserted in
      mtk_wdt_restart()
    - can: peak_usb: CANFD: store 64-bits hw timestamps
    - can: do not increase rx statistics when generating a CAN rx error message
      frame
    - can: c_can: c_can_handle_bus_err(): update statistics if skb allocation
      fails
    - can: sun4i_can: sun4i_can_err(): call can_change_state() even if cf is NULL
    - can: m_can: m_can_handle_lec_err(): fix {rx,tx}_errors statistics
    - can: ifi_canfd: ifi_canfd_handle_lec_err(): fix {rx,tx}_errors statistics
    - can: sun4i_can: sun4i_can_err(): fix {rx,tx}_errors statistics
    - can: ems_usb: ems_usb_rx_err(): fix {rx,tx}_errors statistics
    - ipvs: fix UB due to uninitialized stack access in ip_vs_protocol_init()
    - ptp: Add error handling for adjfine callback in ptp_clock_adjtime
    - net/sched: tbf: correct backlog statistic for GSO packets
    - net/smc: Limit backlog connections
    - net/qed: allow old cards not supporting "num_images" to work
    - net: sched: fix erspan_opt settings in cls_flower
    - netfilter: nft_set_hash: skip duplicated elements pending gc run
    - netfilter: nft_set_hash: unaligned atomic read on struct nft_set_ext
    - ethtool: Fix wrong mod state in case of verbose and no_mask bitset
    - gpio: grgpio: use a helper variable to store the address of ofdev->dev
    - dt_bindings: rs485: Correct delay values
    - dt-bindings: serial: rs485: Fix rs485-rts-delay property
    - serial: amba-pl011: Use port lock wrappers
    - serial: amba-pl011: Fix RX stall when DMA is used
    - bpftool: Remove asserts from JIT disassembler
    - bpftool: fix potential NULL pointer dereferencing in prog_dump()
    - drm/sti: Add __iomem for mixer_dbg_mxn's parameter
    - ALSA: pcm: Add more disconnection checks at file ops
    - ALSA: pcm: Avoid reference to status->state
    - ALSA: usb-audio: Notify xrun for low-latency mode
    - tools: Override makefile ARCH variable if defined, but empty
    - drm/v3d: Enable Performance Counters before clearing them
    - bpf: Handle BPF_EXIST and BPF_NOEXIST for LPM trie
    - bpf: Fix exact match conditions in trie_get_next_key()
    - watchdog: rti: of: honor timeout-sec property
    - tracing: Fix cmp_entries_dup() to respect sort() comparison rules
    - ALSA: usb-audio: add mixer mapping for Corsair HS80
    - ALSA: hda/realtek: Enable mute and micmute LED on HP ProBook 430 G8
    - ALSA: hda/realtek: Add support for Samsung Galaxy Book3 360 (NP730QFG)
    - scsi: qla2xxx: Fix abort in bsg timeout
    - scsi: qla2xxx: Fix NVMe and NPIV connect issue
    - scsi: qla2xxx: Supported speed displayed incorrectly for VPorts
    - scsi: qla2xxx: Remove check req_sg_cnt should be equal to rsp_sg_cnt
    - dma-buf: fix dma_fence_array_signaled v4
    - regmap: detach regmap from dev on regmap_exit
    - mmc: sdhci-pci: Add DMI quirk for missing CD GPIO on Vexia Edu Atla 10
      tablet
    - mmc: core: Further prevent card detect during shutdown
    - ocfs2: update seq_file index in ocfs2_dlm_seq_next
    - epoll: annotate racy check
    - btrfs: avoid unnecessary device path update for the same device
    - kselftest/arm64: Don't leak pipe fds in pac.exec_sign_all()
    - media: uvcvideo: Add a quirk for the Kaiweets KTI-W02 infrared camera
    - media: cx231xx: Add support for Dexatek USB Video Grabber 1d19:6108
    - drm/vc4: hvs: Set AXI panic modes for the HVS
    - drm: panel-orientation-quirks: Add quirk for AYA NEO 2 model
    - drm/mcde: Enable module autoloading
    - drm/radeon/r600_cs: Fix possible int overflow in r600_packet3_check()
    - r8169: don't apply UDP padding quirk on RTL8126A
    - samples/bpf: Fix a resource leak
    - net: fec_mpc52xx_phy: Use %pa to format resource_size_t
    - net: ethernet: fs_enet: Use %pa to format resource_size_t
    - net/sched: cbs: Fix integer overflow in cbs_set_port_rate()
    - Bluetooth: L2CAP: handle NULL sock pointer in l2cap_sock_alloc
    - wifi: ath5k: add PCI ID for SX76X
    - wifi: ath5k: add PCI ID for Arcadyan devices
    - drm/panel: simple: Add Microchip AC69T88A LVDS Display panel
    - drm/amdgpu: clear RB_OVERFLOW bit when enabling interrupts for vega20_ih
    - drm/amdgpu: Dereference the ATCS ACPI buffer
    - drm/amdgpu: refine error handling in amdgpu_ttm_tt_pin_userptr
    - drm/amdgpu: skip amdgpu_device_cache_pci_state under sriov
    - wifi: ipw2x00: libipw_rx_any(): fix bad alignment
    - ASoC: hdmi-codec: reorder channel allocation list
    - rocker: fix link status detection in rocker_carrier_init()
    - net/neighbor: clear error in case strict check is not set
    - netpoll: Use rcu_access_pointer() in __netpoll_setup
    - pinctrl: freescale: fix COMPILE_TEST error with PINCTRL_IMX_SCU
    - tracing: Use atomic64_inc_return() in trace_clock_counter()
    - scsi: st: Don't modify unknown block number in MTIOCGET
    - scsi: st: Add MTIOCGET and MTLOAD to ioctls allowed after device reset
    - pinctrl: qcom-pmic-gpio: add support for PM8937
    - nvdimm: rectify the illogical code within nd_dax_probe()
    - PCI: Detect and trust built-in Thunderbolt chips
    - PCI: Add 'reset_subordinate' to reset hierarchy below bridge
    - PCI: Add ACS quirk for Wangxun FF5xxx NICs
    - usb: chipidea: udc: handle USB Error Interrupt if IOC not set
    - misc: eeprom: eeprom_93cx6: Add quirk for extra read clock cycle
    - modpost: Include '.text.*' in TEXT_SECTIONS
    - modpost: Add .irqentry.text to OTHER_SECTIONS
    - sched/core: Remove the unnecessary need_resched() check in nohz_csd_func()
    - sched/fair: Add NOHZ balancer flag for nohz.next_balance updates
    - sched/fair: Check idle_cpu() before need_resched() to detect ilb CPU turning
      busy
    - sched/core: Prevent wakeup of ksoftirqd during idle load balance
    - btrfs: fix missing snapshot drew unlock when root is dead during swap
      activation
    - tracing/eprobe: Fix to release eprobe when failed to add dyn_event
    - Revert "unicode: Don't special case ignorable code points"
    - KVM: arm64: vgic-its: Add a data length check in vgic_its_save_*
    - KVM: arm64: vgic-its: Clear DTE when MAPD unmaps a device
    - KVM: arm64: vgic-its: Clear ITE when DISCARD frees an ITE
    - jffs2: Fix rtime decompressor
    - mm/damon/vaddr-test: split a test function having >1024 bytes frame size
    - mm/damon/vaddr: fix issue in damon_va_evenly_split_region()
    - xhci: dbc: Fix STALL transfer event handling
    - mmc: mtk-sd: Fix error handle of probe function
    - ocfs2: Revert "ocfs2: fix the la space leak when unmounting an ocfs2 volume"
    - Revert "drm/amdgpu: add missing size check in amdgpu_debugfs_gprwave_read()"
    - scsi: core: Fix scsi_mode_select() buffer length handling
    - gve: Fixes for napi_poll when budget is 0
    - arm64: smccc: Remove broken support for SMCCCv1.3 SVE discard hint
    - net: dsa: microchip: correct KSZ8795 static MAC table access
    - drm/amdgpu: rework resume handling for display (v2)
    - serial: amba-pl011: fix build regression
    - media: venus: vdec: fixed possible memory leak issue
    - net/smc: Fix af_ops of child socket pointing to released memory
    - Bluetooth: hci_core: Fix calling mgmt_device_connected
    - Linux 5.15.174
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-46871
    - drm/amd/display: Correct the defined value for AMDGPU_DMUB_NOTIFICATION_MAX
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-49950
    - Bluetooth: L2CAP: Fix uaf in l2cap_connect
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-50275
    - arm64/sve: Discard stale CPU state when handling SVE traps
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-47730
    - crypto: hisilicon/qm - inject error before stopping queue
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-46809
    - drm/amd/display: Check BIOS images before it is used
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-57850
    - jffs2: Prevent rtime decompress memory corruption
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56781
    - powerpc/prom_init: Fixup missing powermac #size-cells
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56785
    - MIPS: Loongson64: DTS: Really fix PCIe port nodes for ls7a
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-43098
    - i3c: Use i3cdev->desc->info instead of calling i3c_device_get_info() to
      avoid deadlock
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-45828
    - i3c: mipi-i3c-hci: Mask ring interrupts before ring stop request
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56586
    - f2fs: fix f2fs_bug_on when uninstalling filesystem call f2fs_evict_inode.
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56587
    - leds: class: Protect brightness_show() with led_cdev->led_access mutex
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56589
    - scsi: hisi_sas: Add cond_resched() for no forced preemption model
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56590
    - Bluetooth: hci_core: Fix not checking skb length on hci_acldata_packet
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56593
    - wifi: brcmfmac: Fix oops due to NULL pointer dereference in
      brcmf_sdiod_sglist_rw()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56594
    - drm/amdgpu: set the right AMDGPU sg segment limitation
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56595
    - jfs: add a check to prevent array-index-out-of-bounds in dbAdjTree
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56596
    - jfs: fix array-index-out-of-bounds in jfs_readdir
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56597
    - jfs: fix shift-out-of-bounds in dbSplit
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56598
    - jfs: array-index-out-of-bounds fix in dtReadFirst
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-47143
    - dma-debug: fix a possible deadlock on radix_lock
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56600
    - net: inet6: do not leave a dangling sk pointer in inet6_create()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56601
    - net: inet: do not leave a dangling sk pointer in inet_create()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56602
    - net: ieee802154: do not leave a dangling sk pointer in ieee802154_create()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56603
    - net: af_can: do not leave a dangling sk pointer in can_create()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56605
    - Bluetooth: L2CAP: do not leave dangling sk pointer on error in
      l2cap_sock_create()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56606
    - af_packet: avoid erroring out after sock_init_data() in packet_create()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56787
    - soc: imx8m: Probe the SoC driver as platform driver
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56610
    - kcsan: Turn report_filterlist_lock into a raw_spinlock
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-57849
    - s390/cpum_sf: Handle CPU hotplug remove during sampling
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56568
    - iommu/arm-smmu: Defer probe of clients after smmu device bound
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56614
    - xsk: fix OOB map writes when deleting elements
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56615
    - bpf: fix OOB devmap writes when deleting elements
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-48881
    - bcache: revert replacing IS_ERR_OR_NULL with IS_ERR again
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56619
    - nilfs2: fix potential out-of-bounds memory access in nilfs_find_entry()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56622
    - scsi: ufs: core: sysfs: Prevent div by zero
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56623
    - scsi: qla2xxx: Fix use after free on unload
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-57874
    - arm64: ptrace: fix partial SETREGSET for NT_ARM_TAGGED_ADDR_CTRL
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56625
    - can: dev: can_set_termination(): allow sleeping GPIOs
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56629
    - HID: wacom: fix when get product name maybe null pointer
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56630
    - ocfs2: free inode when ocfs2_get_init_inode() fails
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-50051
    - spi: mpc52xx: Add cancel_work_sync before module remove
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56633
    - tcp_bpf: Fix the sk_mem_uncharge logic in tcp_bpf_sendmsg
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56634
    - gpio: grgpio: Add NULL check in grgpio_probe
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56636
    - geneve: do not assume mac header is set in geneve_xmit_skb()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56637
    - netfilter: ipset: Hold module reference while requesting a module
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-52332
    - igb: Fix potential invalid memory access in igb_init_module()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56640
    - net/smc: fix LGR and link use-after-free issue
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56642
    - tipc: Fix use-after-free of kernel socket in cleanup_bearer().
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56643
    - dccp: Fix memory leak in dccp_feat_change_recv
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56644
    - net/ipv6: release expired exception dst cached in socket
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56645
    - can: j1939: j1939_session_new(): fix skb reference counting
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56648
    - net: hsr: avoid potential out-of-bound access in fill_frame_info()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56650
    - netfilter: x_tables: fix LED ID check in led_tg_check()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56776
    - drm/sti: avoid potential dereference of error pointers
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56777
    - drm/sti: avoid potential dereference of error pointers in
      sti_gdp_atomic_check
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56778
    - drm/sti: avoid potential dereference of error pointers in
      sti_hqvdp_atomic_check
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-46841
    - btrfs: don't BUG_ON on ENOMEM from btrfs_lookup_extent_info() in
      walk_down_proc()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56779
    - nfsd: fix nfs4_openowner leak when concurrent nfsd4_open occur
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56558
    - nfsd: make sure exp active before svc_export_show
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56562
    - i3c: master: Fix miss free init_dyn_addr at i3c_master_put_i3c_addrs()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-57838
    - s390/entry: Mark IRQ entries to fix stack depot warnings
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56567
    - ad7780: fix division by zero in ad7780_write_raw()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56581
    - btrfs: ref-verify: fix use-after-free after invalid ref action
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56774
    - btrfs: add a sanity check for btrfs root in btrfs_search_slot()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56780
    - quota: flush quota_release_work upon quota writeback
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53165
    - sh: intc: Fix use-after-free bug in register_intc_controller()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56688
    - sunrpc: clear XPRT_SOCK_UPD_TIMEOUT when reset transport
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56704
    - 9p/xen: fix release of IRQ
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53171
    - ubifs: authentication: Fix use-after-free in ubifs_tnc_end_commit
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53172
    - ubi: fastmap: Fix duplicate slab cache names while attaching
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56739
    - rtc: check if __rtc_read_time was successful in rtc_timer_do_work()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53173
    - NFSv4.0: Fix a use-after-free problem in the asynchronous open()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53145
    - um: Fix potential integer overflow during physmem setup
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53174
    - SUNRPC: make sure cache entry active before cache_show
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53146
    - NFSD: Prevent a potential integer overflow
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56698
    - usb: dwc3: gadget: Fix looping of queued SG entries
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53180
    - ALSA: pcm: Add sanity NULL check for the default mmap fault handler
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56700
    - media: wl128x: Fix atomicity violation in fmc_send_cmd()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2022-49034
    - sh: cpuinfo: Fix a warning for CONFIG_CPUMASK_OFFSTACK
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53181
    - um: vector: Do not use drvdata in release
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53183
    - um: net: Do not use drvdata in release
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53184
    - um: ubd: Do not use drvdata in release
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-50055
    - driver core: bus: Fix double free in driver API bus_register()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56741
    - apparmor: test: Fix memory leak for aa_unpack_strdup()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53148
    - comedi: Flush partial mappings in error case
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53194
    - PCI: Fix use-after-free of slot->bus on hot remove
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53197
    - ALSA: usb-audio: Fix potential out-of-bound accesses for Extigy and Mbox
      devices
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53150
    - ALSA: usb-audio: Fix out of bounds reads when finding clock sources
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53198
    - xen: Fix the issue of resource not being properly released in
      xenbus_dev_probe()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-50283
    - ksmbd: fix slab-use-after-free in smb3_preauth_hash_rsp
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53206
    - tcp: Fix use-after-free of nreq in reqsk_timer_handler().
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53214
    - vfio/pci: Properly hide first-in-list PCIe extended capability
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53215
    - svcrdma: fix miss destroy percpu_counter in svc_rdma_proc_init()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53217
    - NFSD: Prevent NULL dereference in nfsd4_process_cb_update()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53151
    - svcrdma: Address an integer overflow
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56745
    - PCI: Fix reset_method_store() memory leak
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56746
    - fbdev: sh7760fb: Fix a possible memory leak in sh7760fb_alloc_mem()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53155
    - ocfs2: fix uninitialized value in ocfs2_file_read_iter()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53226
    - RDMA/hns: Fix NULL pointer derefernce in hns_roce_map_mr_sg()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56747
    - scsi: qedi: Fix a possible memory leak in qedi_alloc_and_init_sb()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56748
    - scsi: qedf: Fix a possible memory leak in qedf_alloc_and_init_sb()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53227
    - scsi: bfa: Fix use-after-free in bfad_im_module_exit()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56701
    - powerpc/pseries: Fix dtl_access_lock to be a rw_semaphore
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56678
    - powerpc/mm/fault: Fix kfence page fault reporting
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56723
    - mfd: intel_soc_pmic_bxtwc: Use IRQ domain for PMIC devices
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56724
    - mfd: intel_soc_pmic_bxtwc: Use IRQ domain for TMU device
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56691
    - mfd: intel_soc_pmic_bxtwc: Use IRQ domain for USB Type-C device
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56694
    - bpf: fix recursive lock when verdict program return SK_PASS
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53237
    - Bluetooth: fix use-after-free in device_for_each_child()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53239
    - ALSA: 6fire: Release resources at card release
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56531
    - ALSA: caiaq: Use snd_card_free_when_closed() at disconnection
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56532
    - ALSA: us122l: Use snd_card_free_when_closed() at disconnection
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56533
    - ALSA: usx2y: Use snd_card_free_when_closed() at disconnection
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56720
    - bpf, sockmap: Several fixes to bpf_msg_pop_data
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56726
    - octeontx2-pf: handle otx2_mbox_get_rsp errors in cn10k.c
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56728
    - octeontx2-pf: handle otx2_mbox_get_rsp errors in otx2_ethtool.c
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56679
    - octeontx2-pf: handle otx2_mbox_get_rsp errors in otx2_common.c
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56539
    - wifi: mwifiex: Fix memcpy() field-spanning write warning in
      mwifiex_config_scan()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53156
    - wifi: ath9k: add range check for conn_rsp_epid in htc_connect_service()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56705
    - media: atomisp: Add check for rgby_data memory allocation failure
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53157
    - firmware: arm_scpi: Check the DVFS OPP count returned by the firmware
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53158
    - soc: qcom: geni-se: fix array underflow in geni_se_clk_tbl_get()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56681
    - crypto: bcm - add error check in the ahash_hmac_init function
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56708
    - EDAC/igen6: Avoid segmentation fault on module unload
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56690
    - crypto: pcrypt - Call crypto layer directly when padata_do_parallel() return
      -EBUSY
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53161
    - EDAC/bluefield: Fix potential integer overflow
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56754
    - crypto: caam - Fix the pointer passed to caam_qi_shutdown()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56548
    - hfsplus: don't query the device logical block size multiple times
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56756
    - nvme-pci: fix freeing of the HMB descriptor table
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53142
    - initramfs: avoid filename buffer overrun
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56693
    - brd: defer automatic disk creation until module initialization succeeds
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-49996
    - cifs: Fix buffer overflow when parsing NFS reparse points
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53096
    - mm: resolve faulty mmap_region() error path behaviour
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53122
    - mptcp: cope racing subflow creation in mptcp_rcv_space_adjust
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-49974
    - NFSD: Limit the number of concurrent async COPY operations
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53127
    - Revert "mmc: dw_mmc: Fix IDMAC operation with pages bigger than 4K"
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53130
    - nilfs2: fix null-ptr-deref in block_dirty_buffer tracepoint
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53131
    - nilfs2: fix null-ptr-deref in block_touch_buffer tracepoint
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53135
    - KVM: VMX: Bury Intel PT virtualization (guest/host mode) behind
      CONFIG_BROKEN
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53112
    - ocfs2: uncache inode which has failed entering the group
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53113
    - mm: fix NULL pointer dereference in alloc_pages_bulk_noprof
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53120
    - net/mlx5e: CT: Fix null-ptr-deref in add rule err flow
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53138
    - net/mlx5e: kTLS, Fix incorrect page refcounting
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53121
    - net/mlx5: fs, lock FTE when checking if active
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53129
    - drm/rockchip: vop: Fix a dereferenced before check warning
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-53140
    - netlink: terminate outstanding dump on socket close
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56569
    - ftrace: Fix regression with module command in stack_trace_filter
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56570
    - ovl: Filter invalid inodes with missing lookup function
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56572
    - media: platform: allegro-dvt: Fix possible memory leak in
      allocate_buffers_internal()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56574
    - media: ts2020: fix null-ptr-deref in ts2020_probe()
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56575
    - media: imx-jpeg: Ensure power suppliers be suspended before detach them
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56576
    - media: i2c: tc358743: Fix crash in the probe error path when using polling
  * Jammy update: v5.15.174 upstream stable release (LP: #2095283) //
    CVE-2024-56578
    - media: imx-jpeg: Set video drvdata before register video device
  * CVE-2024-56672
    - blk-cgroup: Fix UAF in blkcg_unpin_online()

  [ Ubuntu: 5.15.0-133.144 ]

  * CVE-2025-0927
    - SAUCE: fs: hfs/hfsplus: add key_len boundary check to hfs_bnode_read_key

  [ Ubuntu: 5.15.0-132.143 ]

  * jammy/linux: 5.15.0-132.143 -proposed tracker (LP: #2093735)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2025.01.13)
  * KVM: Cache CPUID at KVM.ko module init to reduce latency of VM-Enter and VM-
    Exit (LP: #2093146)
    - kvm: x86: Fix xstate_required_size() to follow XSTATE alignment rule
    - KVM: x86: Cache CPUID.0xD XSTATE offsets+sizes during module init
  * Jammy update: v5.15.173 upstream stable release (LP: #2089541)
    - 9p: Avoid creating multiple slab caches with the same name
    - irqchip/ocelot: Fix trigger register address
    - block: Fix elevator_get_default() checking for NULL q->tag_set
    - HID: multitouch: Add support for B2402FVA track point
    - HID: multitouch: Add quirk for HONOR MagicBook Art 14 touchpad
    - bpf: use kvzmalloc to allocate BPF verifier environment
    - crypto: marvell/cesa - Disable hash algorithms
    - sound: Make CONFIG_SND depend on INDIRECT_IOMEM instead of UML
    - drm/vmwgfx: Limit display layout ioctl array size to
      VMWGFX_NUM_DISPLAY_UNITS
    - powerpc/powernv: Free name on error in opal_event_init()
    - vDPA/ifcvf: Fix pci_read_config_byte() return code handling
    - fs: Fix uninitialized value issue in from_kuid and from_kgid
    - HID: multitouch: Add quirk for Logitech Bolt receiver w/ Casa touchpad
    - HID: lenovo: Add support for Thinkpad X1 Tablet Gen 3 keyboard
    - net: usb: qmi_wwan: add Fibocom FG132 0x0112 composition
    - md/raid10: improve code of mrdev in raid10_sync_request
    - mm/memory: add non-anonymous page check in the copy_present_page()
    - udf: Allocate name buffer in directory iterator on heap
    - udf: Avoid directory type conversion failure due to ENOMEM
    - 9p: fix slab cache name creation for real
    - Linux 5.15.173
  * Jammy update: v5.15.173 upstream stable release (LP: #2089541) //
    CVE-2024-41080
    - io_uring: fix possible deadlock in io_register_iowq_max_workers()
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533)
    - arm64: dts: rockchip: Fix rt5651 compatible value on rk3399-sapphire-
      excavator
    - arm64: dts: rockchip: Remove hdmi's 2nd interrupt on rk3328
    - arm64: dts: rockchip: Fix bluetooth properties on Rock960 boards
    - arm64: dts: rockchip: Remove #cooling-cells from fan on Theobroma lion
    - arm64: dts: rockchip: Fix LED triggers on rk3308-roc-cc
    - arm64: dts: imx8mp: correct sdhc ipg clk
    - ARM: dts: rockchip: fix rk3036 acodec node
    - ARM: dts: rockchip: drop grf reference from rk3036 hdmi
    - ARM: dts: rockchip: Fix the spi controller on rk3036
    - ARM: dts: rockchip: Fix the realtek audio codec on rk3036-kylin
    - NFSv3: only use NFS timeout for MOUNT when protocols are compatible
    - NFS: Add a tracepoint to show the results of nfs_set_cache_invalid()
    - NFSv3: handle out-of-order write replies.
    - nfs: avoid i_lock contention in nfs_clear_invalid_mapping
    - net: enetc: set MAC address to the VF net_device
    - can: c_can: fix {rx,tx}_errors statistics
    - net: phy: ti: add PHY_RST_AFTER_CLK_EN flag
    - net: stmmac: Fix unbalanced IRQ wake disable warning on single irq case
    - Revert "ALSA: hda/conexant: Mute speakers at suspend / shutdown"
    - media: stb0899_algo: initialize cfr before using it
    - media: dvb_frontend: don't play tricks with underflow values
    - media: adv7604: prevent underflow condition when reporting colorspace
    - scsi: sd_zbc: Use kvzalloc() to allocate REPORT ZONES buffer
    - ALSA: firewire-lib: fix return value on fail in amdtp_tscm_init()
    - media: pulse8-cec: fix data timestamp at pulse8_setup()
    - media: v4l2-ctrls-api: fix error handling for v4l2_g_ctrl()
    - pwm: imx-tpm: Use correct MODULO value for EPWM mode
    - drm/amdgpu: Adjust debugfs eviction and IB access permissions
    - drm/amdgpu: prevent NULL pointer dereference if ATIF is not supported
    - thermal/drivers/qcom/lmh: Remove false lockdep backtrace
    - dm cache: correct the number of origin blocks to match the target length
    - dm cache: optimize dirty bit checking with find_next_bit when resizing
    - dm-unstriped: cast an operand to sector_t to prevent potential uint32_t
      overflow
    - ALSA: usb-audio: Add quirk for HP 320 FHD Webcam
    - posix-cpu-timers: Clear TICK_DEP_BIT_POSIX_TIMER on clone
    - io_uring: rename kiocb_end_write() local helper
    - fs: create kiocb_{start,end}_write() helpers
    - io_uring: use kiocb_{start,end}_write() helpers
    - media: uvcvideo: Skip parsing frames of type UVC_VS_UNDEFINED in
      uvc_parse_format
    - fs/proc: fix compile warning about variable 'vmcore_mmap_ops'
    - usb: dwc3: fix fault at system suspend if device was already runtime
      suspended
    - USB: serial: qcserial: add support for Sierra Wireless EM86xx
    - USB: serial: option: add Fibocom FG132 0x0112 composition
    - USB: serial: option: add Quectel RG650V
    - irqchip/gic-v3: Force propagation of the active state with a read-back
    - ucounts: fix counter leak in inc_rlimit_get_ucounts()
    - ALSA: usb-audio: Support jack detection on Dell dock
    - ALSA: usb-audio: Add quirks for Dell WD19 dock
    - ACPI: PRM: Clean up guid type in struct prm_handler_info
    - ALSA: usb-audio: Add endianness annotations
    - Linux 5.15.172
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50265
    - ocfs2: remove entry once instead of null-ptr-dereference in
      ocfs2_xa_remove()
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50267
    - USB: serial: io_edgeport: fix use after free in debug printk
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50268
    - usb: typec: fix potential out of bounds in ucsi_ccg_update_set_new_cam_cmd()
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50269
    - usb: musb: sunxi: Fix accessing an released usb phy
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50036
    - net: do not delay dst_entries_add() in dst_release()
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-42291
    - ice: Add a per-VF limit on number of FDIR filters
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50273
    - btrfs: reinitialize delayed ref list after deleting it from the list
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-53066
    - nfs: Fix KMSAN warning in decode_getfattr_attrs()
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-53052
    - io_uring/rw: fix missing NOWAIT check for O_DIRECT start write
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50278
    - dm cache: fix potential out-of-bounds access on the first resume
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50279
    - dm cache: fix out-of-bounds access to the dirty bitset when resizing
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50282
    - drm/amdgpu: add missing size check in amdgpu_debugfs_gprwave_read()
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50287
    - media: v4l2-tpg: prevent the risk of a division by zero
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50290
    - media: cx24116: prevent overflows on SNR calculus
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-53061
    - media: s5p-jpeg: prevent buffer overflows
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50292
    - ASoC: stm32: spdifrx: fix dma channel release in stm32_spdifrx_remove
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-53063
    - media: dvbdev: prevent the risk of out of memory access
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50295
    - net: arc: fix the device for dma_map_single/dma_unmap_single
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50296
    - net: hns3: fix kernel crash when uninstalling driver
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-53088
    - i40e: fix race condition by adding filter's intermediate sync state
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50299
    - sctp: properly validate chunk size in sctp_sf_ootb()
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50301
    - security/keys: fix slab-out-of-bounds in key_task_permission
  * Jammy update: v5.15.172 upstream stable release (LP: #2089533) //
    CVE-2024-50302
    - HID: core: zero-initialize the report buffer
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405)
    - selftests/mm: fix incorrect buffer->mirror size in hmm2 double_map test
    - ACPI: PRM: Remove unnecessary blank lines
    - ACPI: PRM: Change handler_addr type to void pointer
    - cgroup: Fix potential overflow issue when checking max_depth
    - mac80211: MAC80211_MESSAGE_TRACING should depend on TRACING
    - wifi: mac80211: skip non-uploaded keys in ieee80211_iter_keys
    - wifi: brcm80211: BRCM_TRACING should depend on TRACING
    - RDMA/cxgb4: Dump vendor specific QP details
    - RDMA/mlx5: Round max_rd_atomic/max_dest_rd_atomic up instead of down
    - RDMA/bnxt_re: synchronize the qp-handle table array
    - mac80211: do drv_reconfig_complete() before restarting all
    - mac80211: Add support to trigger sta disconnect on hardware restart
    - wifi: iwlwifi: mvm: disconnect station vifs if recovery failed
    - ASoC: cs42l51: Fix some error handling paths in cs42l51_probe()
    - gtp: allow -1 to be specified as file description from userspace
    - net: skip offload for NETIF_F_IPV6_CSUM if ipv6 header contains extension
    - firmware: arm_sdei: Fix the input parameter of cpuhp_remove_state()
    - fs/ntfs3: Fix warning possible deadlock in ntfs_set_state
    - scsi: scsi_transport_fc: Allow setting rport state to current state
    - net: amd: mvme147: Fix probe banner message
    - NFS: remove revoked delegation from server's delegation list
    - misc: sgi-gru: Don't disable preemption in GRU driver
    - usbip: tools: Fix detach_port() invalid port error path
    - usb: phy: Fix API devm_usb_put_phy() can not release the phy
    - usb: typec: fix unreleased fwnode_handle in typec_port_register_altmodes()
    - xhci: Fix Link TRB DMA in command ring stopped completion event
    - xhci: Use pm_runtime_get to prevent RPM on unsupported systems
    - Revert "driver core: Fix uevent_show() vs driver detach race"
    - iio: light: veml6030: fix microlux value calculation
    - riscv: vdso: Prevent the compiler from inserting calls to memset()
    - riscv: efi: Set NX compat flag in PE/COFF header
    - riscv: Use '%u' to format the output of 'cpu'
    - riscv: Remove unused GENERATING_ASM_OFFSETS
    - riscv: Remove duplicated GET_RM
    - mm/page_alloc: call check_new_pages() while zone spinlock is not held
    - mm/page_alloc: fix tracepoint mm_page_alloc_zone_locked()
    - mm/page_alloc: split out buddy removal code from rmqueue into separate
      helper
    - mm/page_alloc: rename ALLOC_HIGH to ALLOC_MIN_RESERVE
    - mm/page_alloc: treat RT tasks similar to __GFP_HIGH
    - mm/page_alloc: explicitly record high-order atomic allocations in
      alloc_flags
    - mm/page_alloc: explicitly define what alloc flags deplete min reserves
    - mm/page_alloc: explicitly define how __GFP_HIGH non-blocking allocations
      accesses reserves
    - Revert "drm/mipi-dsi: Set the fwnode for mipi_dsi_device"
    - vt: prevent kernel-infoleak in con_font_get()
    - mac80211: always have ieee80211_sta_restart()
    - Linux 5.15.171
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2023-52913
    - drm/i915: Fix potential context UAFs
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50228
    - mm: shmem: fix data-race in shmem_getattr()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-53055
    - wifi: iwlwifi: mvm: fix 6 GHz scan construction
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50230
    - nilfs2: fix kernel bug due to missing clearing of checked flag
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50072
    - x86/bugs: Use code segment selector for VERW operand
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50218
    - ocfs2: pass u64 to ocfs2_truncate_inline maybe overflow
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50219
    - mm/page_alloc: let GFP_ATOMIC order-0 allocs access highatomic reserves
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50229
    - nilfs2: fix potential deadlock with newly created symlinks
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50232
    - iio: adc: ad7124: fix division by zero in ad7124_set_channel_odr()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50233
    - staging: iio: frequency: ad9832: fix division by zero in
      ad9832_calc_freqreg()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50234
    - wifi: iwlegacy: Clear stale interrupts before resuming device
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50236
    - wifi: ath10k: Fix memory leak in management tx
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50237
    - wifi: mac80211: do not pass a stopped vif to the driver in .get_txpower
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50244
    - fs/ntfs3: Additional check in ni_clear()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50245
    - fs/ntfs3: Fix possible deadlock in mi_read
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50247
    - fs/ntfs3: Check if more than chunk-size bytes are written
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50249
    - ACPI: CPPC: Make rmw_lock a raw_spin_lock
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50251
    - netfilter: nft_payload: sanitize offset and length before calling
      skb_checksum()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50257
    - netfilter: Fix use-after-free in get_info()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50262
    - bpf: Fix out-of-bounds write in trie_get_next_key()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50259
    - netdevsim: Add trailing zero to terminate the string in
      nsim_nexthop_bucket_activity_write()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-53042
    - ipv4: ip_tunnel: Fix suspicious RCU usage warning in ip_tunnel_init_flow()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-53058
    - net: stmmac: TSO: Fix unbalanced DMA map/unmap for non-paged SKB data
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-53059
    - wifi: iwlwifi: mvm: Fix response handling in iwl_mvm_send_recovery_cmd()
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50141
    - ACPI: PRM: Find EFI_MEMORY_RUNTIME block for PRM handler and context
  * Jammy update: v5.15.171 upstream stable release (LP: #2089405) //
    CVE-2024-50086
    - ksmbd: fix user-after-free from session log off
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272)
    - RDMA/bnxt_re: Fix incorrect AVID type in WQE structure
    - x86/resctrl: Avoid overflow in MB settings in bw_validate()
    - ARM: dts: bcm2837-rpi-cm3-io3: Fix HDMI hpd-gpio pin
    - RDMA/cxgb4: Fix RDMA_CM_EVENT_UNREACHABLE error for iWARP
    - RDMA/irdma: Fix misspelling of "accept*"
    - ipv4: give an IPv4 dev to blackhole_netdev
    - RDMA/bnxt_re: Return more meaningful error
    - drm/msm/dsi: fix 32-bit signed integer extension in pclk_rate calculation
    - drm/msm: Allocate memory for disp snapshot with kvzalloc()
    - net: usb: usbnet: fix race in probe failure
    - octeontx2-af: Fix potential integer overflows on integer shifts
    - macsec: don't increment counters for an unrelated SA
    - net: ethernet: aeroflex: fix potential memory leak in
      greth_start_xmit_gbit()
    - net/smc: Fix searching in list of known pnetids in smc_pnet_add_pnetid
    - net: xilinx: axienet: fix potential memory leak in axienet_start_xmit()
    - genetlink: hold RCU in genlmsg_mcast()
    - s390: Initialize psw mask in perf_arch_fetch_caller_regs()
    - arm64:uprobe fix the uprobe SWBP_INSN in big-endian
    - KVM: s390: gaccess: Check if guest address is in memslot
    - usb: gadget: Add function wakeup support
    - XHCI: Separate PORT and CAPs macros into dedicated file
    - usb: dwc3: core: Fix system suspend on TI AM62 platforms
    - block, bfq: fix procress reference leakage for bfqq in merge chain
    - ASoC: codecs: lpass-rx-macro: add missing CDC_RX_BCL_VBAT_RF_PROC2 to
      default regs values
    - ASoC: fsl_sai: Enable 'FIFO continue on error' FCONT bit
    - arm64: Force position-independent veneers
    - platform/x86: dell-wmi: Ignore suspend notifications
    - arm64/uprobes: change the uprobe_opcode_t typedef to fix the sparse warning
    - ASoC: qcom: sm8250: add qrb4210-rb2-sndcard compatible string
    - platform/x86: dell-sysman: add support for alienware products
    - jfs: Fix sanity check in dbMount
    - xfrm: extract dst lookup parameters into a struct
    - xfrm: respect ip protocols rules criteria when performing dst lookups
    - net: plip: fix break; causing plip to never transmit
    - net: dsa: mv88e6xxx: Fix error when setting port policy on mv88e6393x
    - net: usb: usbnet: fix name regression
    - r8169: avoid unsolicited interrupts
    - posix-clock: posix-clock: Fix unbalanced locking in pc_clock_settime()
    - bpf,perf: Fix perf_event_detach_bpf_prog error handling
    - ALSA: hda/realtek: Update default depop procedure
    - btrfs: zoned: fix zone unusable accounting for freed reserved extent
    - ACPI: resource: Add LG 16T90SP to irq1_level_low_skip_override[]
    - ACPI: button: Add DMI quirk for Samsung Galaxy Book2 to fix initial lid
      detection issue
    - openat2: explicitly return -E2BIG for (usize > PAGE_SIZE)
    - ALSA: hda/realtek: Add subwoofer quirk for Acer Predator G9-593
    - hv_netvsc: Fix VF namespace also in synthetic NIC NETDEV_REGISTER event
    - selinux: improve error checking in sel_write_load()
    - net: phy: dp83822: Fix reset pin definitions
    - Linux 5.15.170
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50142
    - xfrm: validate new SA's prefixlen using SA family when sel.family is unset
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50103
    - ASoC: qcom: Fix NULL Dereference in asoc_qcom_lpass_cpu_platform_probe()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50058
    - serial: protect uart_port_dtr_rts() in uart_shutdown() too
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50110
    - xfrm: fix one more kernel-infoleak in algo dumping
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50115
    - KVM: nSVM: Ignore nCR3[4:0] when loading PDPTEs from memory
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50116
    - nilfs2: fix kernel bug due to missing clearing of buffer delay flag
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50117
    - drm/amd: Guard against bad data for ATIF ACPI method
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50205
    - ALSA: firewire-lib: Avoid division by zero in apply_constraint_to_size()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50127
    - net: sched: fix use-after-free in taprio_change()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50128
    - net: wwan: fix global oob in wwan_rtnl_policy
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50167
    - be2net: fix potential memory leak in be_xmit()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50168
    - net/sun3_82586: fix potential memory leak in sun3_82586_send_packet()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50131
    - tracing: Consider the NULL character when validating the event length
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50143
    - udf: fix uninit-value use in udf_get_fileshortad
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50134
    - drm/vboxvideo: Replace fake VLA at end of vbva_mouse_pointer_shape with real
      VLA
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50010
    - exec: don't WARN for racy path_noexec check
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50194
    - arm64: probes: Fix uprobes for big-endian kernels
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50148
    - Bluetooth: bnep: fix wild-memory-access in proto_unregister
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50150
    - usb: typec: altmode should keep reference to parent
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50151
    - smb: client: fix OOBs when building SMB2_IOCTL request
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50153
    - scsi: target: core: Fix null-ptr-deref in target_alloc_device()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50154
    - tcp/dccp: Don't use timer_pending() in reqsk_queue_unlink().
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50171
    - net: systemport: fix potential memory leak in bcm_sysport_xmit()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50156
    - drm/msm: Avoid NULL dereference in msm_disp_state_print_regs()
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50208
    - RDMA/bnxt_re: Fix a bug while setting up Level-2 PBL pages
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50160
    - ALSA: hda/cs8409: Fix possible NULL dereference
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50209
    - RDMA/bnxt_re: Add a check for memory allocation
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50162
    - bpf: devmap: provide rxq after redirect
  * Jammy update: v5.15.170 upstream stable release (LP: #2089272) //
    CVE-2024-50163
    - bpf: Make sure internal and UAPI bpf_redirect flags don't overlap
  * kernel:nft "Could not process rule: Device or resource busy" on unreferenced
    chain (LP: #2089699)
    - SAUCE: netfilter: nf_tables: Fix EBUSY on deleting unreferenced chain
  * WARN in trc_wait_for_one_reader about failed IPIs (LP: #2089373)
    - SAUCE: rcu-tasks: fix mismerge in trc_inspect_reader
    - rcu-tasks: Idle tasks on offline CPUs are in quiescent states
  * CVE-2024-35887
    - ax25: fix use-after-free bugs caused by ax25_ds_del_timer
  * CVE-2024-40965
    - clk: Add a devm variant of clk_rate_exclusive_get()
    - clk: Provide !COMMON_CLK dummy for devm_clk_rate_exclusive_get()
    - i2c: lpi2c: Avoid calling clk_get_rate during transfer
  * CVE-2024-40982
    - ssb: Fix potential NULL pointer dereference in ssb_device_uevent()
  * CVE-2024-41066
    - ibmvnic: Add tx check to prevent skb leak
  * CVE-2024-42252
    - closures: Change BUG_ON() to WARN_ON()
  * CVE-2024-53097
    - mm: krealloc: Fix MTE false alarm in __do_krealloc
  * Add list of source files to linux-buildinfo (LP: #2086606)
    - [Packaging] Sort build dependencies alphabetically
    - [Packaging] Add list of used source files to buildinfo package
  * UFS: uspi->s_3apb UBSAN: shift-out-of-bounds (LP: #2087853)
    - ufs: ufs_sb_private_info: remove unused s_{2, 3}apb fields
  * Jammy update: v5.15.169 upstream stable release (LP: #2088231)
    - ALSA: hda/conexant - Fix audio routing for HP EliteOne 1000 G2
    - udf: New directory iteration code
    - udf: Convert udf_expand_dir_adinicb() to new directory iteration
    - udf: Move udf_expand_dir_adinicb() to its callsite
    - udf: Implement searching for directory entry using new iteration code
    - udf: Provide function to mark entry as deleted using new directory iteration
      code
    - udf: Convert udf_rename() to new directory iteration code
    - udf: Convert udf_readdir() to new directory iteration
    - udf: Convert udf_lookup() to use new directory iteration code
    - udf: Convert udf_get_parent() to new directory iteration code
    - udf: Convert empty_dir() to new directory iteration code
    - udf: Convert udf_rmdir() to new directory iteration code
    - udf: Convert udf_unlink() to new directory iteration code
    - udf: Implement adding of dir entries using new iteration code
    - udf: Convert udf_add_nondir() to new directory iteration
    - udf: Convert udf_mkdir() to new directory iteration code
    - udf: Convert udf_link() to new directory iteration code
    - udf: Remove old directory iteration code
    - udf: Handle error when expanding directory
    - udf: Don't return bh from udf_expand_dir_adinicb()
    - udf: Fix bogus checksum computation in udf_rename()
    - net: enetc: remove xdp_drops statistic from enetc_xdp_drop()
    - net: enetc: add missing static descriptor and inline keyword
    - posix-clock: Fix missing timespec64 check in pc_clock_settime()
    - arm64: probes: Remove broken LDR (literal) uprobe support
    - arm64: probes: Fix simulate_ldr*_literal()
    - net: macb: Avoid 20s boot delay by skipping MDIO bus registration for fixed-
      link PHY
    - irqchip/gic-v3-its: Fix VSYNC referencing an unmapped VPE on GIC v4.1
    - fat: fix uninitialized variable
    - mm/swapfile: skip HugeTLB pages for unuse_vma
    - secretmem: disable memfd_secret() if arch cannot set direct map
    - dm-crypt, dm-verity: disable tasklets
    - KVM: Fix a data race on last_boosted_vcpu in kvm_vcpu_on_spin()
    - drm/shmem-helper: Fix BUG_ON() on mmap(PROT_WRITE, MAP_PRIVATE)
    - io_uring/sqpoll: do not allow pinning outside of cpuset
    - io_uring/sqpoll: retain test for whether the CPU is valid
    - io_uring/sqpoll: do not put cpumask on stack
    - iommu/vt-d: Fix incorrect pci_for_each_dma_alias() for non-PCI devices
    - s390/sclp_vt220: Convert newlines to CRLF instead of LFCR
    - KVM: s390: Change virtual to physical address access in diag 0x258 handler
    - x86/cpufeatures: Define X86_FEATURE_AMD_IBPB_RET
    - x86/cpufeatures: Add a IBPB_NO_RET BUG flag
    - x86/entry: Have entry_ibpb() invalidate return predictions
    - x86/bugs: Skip RSB fill at VMEXIT
    - x86/bugs: Do not use UNTRAIN_RET with IBPB on entry
    - blk-rq-qos: fix crash on rq_qos_wait vs. rq_qos_wake_function race
    - io_uring/sqpoll: close race on waiting for sqring entries
    - drm/radeon: Fix encoder->possible_clones
    - drm/vmwgfx: Handle surface check failure correctly
    - iio: dac: ad5770r: add missing select REGMAP_SPI in Kconfig
    - iio: dac: ltc1660: add missing select REGMAP_SPI in Kconfig
    - iio: dac: stm32-dac-core: add missing select REGMAP_MMIO in Kconfig
    - iio: adc: ti-ads8688: add missing select IIO_(TRIGGERED_)BUFFER in Kconfig
    - iio: hid-sensors: Fix an error handling path in
      _hid_sensor_set_report_latency()
    - iio: light: veml6030: fix ALS sensor resolution
    - iio: light: veml6030: fix IIO device retrieval from embedded device
    - iio: light: opt3001: add missing full-scale range value
    - iio: proximity: mb1232: add missing select IIO_(TRIGGERED_)BUFFER in Kconfig
    - iio: adc: ti-ads124s08: add missing select IIO_(TRIGGERED_)BUFFER in Kconfig
    - Bluetooth: Remove debugfs directory on module init failure
    - Bluetooth: btusb: Fix regression with fake CSR controllers 0a12:0001
    - xhci: Fix incorrect stream context type macro
    - xhci: Mitigate failed set dequeue pointer commands
    - USB: serial: option: add support for Quectel EG916Q-GL
    - USB: serial: option: add Telit FN920C04 MBIM compositions
    - parport: Proper fix for array out-of-bounds access
    - x86/resctrl: Annotate get_mem_config() functions as __init
    - x86/apic: Always explicitly disarm TSC-deadline timer
    - x86/entry_32: Do not clobber user EFLAGS.ZF
    - x86/entry_32: Clear CPU buffers after register restore in NMI return
    - pinctrl: ocelot: fix system hang on level based interrupts
    - irqchip/gic-v4: Don't allow a VMOVP on a dying VPE
    - mptcp: track and update contiguous data status
    - mptcp: handle consistently DSS corruption
    - tcp: fix mptcp DSS corruption due to large pmtu xmit
    - mptcp: fallback when MPTCP opts are dropped after 1st data
    - mptcp: pm: fix UaF read in mptcp_pm_nl_rm_addr_or_subflow
    - mptcp: prevent MPC handshake on port-based signal endpoints
    - nilfs2: propagate directory read errors from nilfs_find_entry()
    - powerpc/mm: Always update max/min_low_pfn in mem_topology_setup()
    - ALSA: hda/conexant - Use cached pin control for Node 0x1d on HP EliteOne
      1000 G2
    - Linux 5.15.169

  [ Ubuntu: 5.15.0-131.141 ]

  * jammy/linux: 5.15.0-131.141 -proposed tracker (LP: #2093573)
  * CVE-2024-53164
    - net: sched: fix ordering of qlen adjustment
  * CVE-2024-53141
    - netfilter: ipset: add missing range check in bitmap_ip_uadt
  * CVE-2024-53103
    - hv_sock: Initializing vsk->trans to NULL to prevent a dangling pointer

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Wed, 14 May 2025 17:07:08 +0800

linux-mtk (5.15.0-1038.45) jammy; urgency=medium

  * jammy/linux-mtk: 5.15.0-1038.45 -proposed tracker (LP: #2107431)

  * [g700] Suspend hang during suspend cycles test when no HDMI monitor is
    connected  (LP: #2107430)
    - Revert "UBUNTU: [Config] CONFIG_DRM_MEDIATEK_HDMI=y and
      CONFIG_PHY_MTK_HDMI=y"

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Wed, 16 Apr 2025 11:27:32 +0800

linux-mtk (5.15.0-1037.44) jammy; urgency=medium

  * jammy/linux-mtk: 5.15.0-1037.44 -proposed tracker (LP: #2099348)

  * DSI and eDP panel can't rotate screen to flipped. (LP: #2099371)
    - drm/mediatek: Add support for 180-degree rotation in the display driver

 -- Jian Hui Lee <jianhui.lee@canonical.com>  Fri, 21 Feb 2025 10:48:36 +0800

linux-mtk (5.15.0-1036.43) jammy; urgency=medium

  * jammy/linux-mtk: 5.15.0-1036.43 -proposed tracker (LP: #2088406)

  * [g700] support p1v4 hardware (LP: #2081699)
    - SAUCE: (no-up) dtbo: genio-700-evk: fix touch for display-dsi-p1v4.dts

  * mtk-fsource: ubuntu kernel integration (LP: #2092506)
    - SAUCE: (no-up) ubuntu: mtk-fsource-driver: add mediatek fsource driver

  * [g1200-evk] Call trace appeared when reload mtk_mdp3 module (LP: #2090981)
    - SAUCE: (no-up) GENIO: media: mediatek: mdp3: fix unload module flow

  * [g510] mt8188-mdla-devfreq probe failed message found in dmesg
    (LP: #2090978)
    - SAUCE: (no-up) power: Ignore duplicate OPP entry to fix probe fail

  * Fail to detect card after unplugging DPoC cable and reboot (LP: #2090979)
    - SAUCE: (no-up) GENIO: drm/mediatek: dp: Remove DP enabled check

  * Miscellaneous Ubuntu changes
    - SAUCE: (no-up) drm/mediatek: fix build error for DRM_MODE_ROTATE_0
      declaration

  [ Ubuntu: 5.15.0-130.140 ]

  * jammy/linux: 5.15.0-130.140 -proposed tracker (LP: #2092132)
  * ovs/linuxbridge jobs running on ubuntu jammy broken with latest kernel
    5.15.0-127.137 (LP: #2091990)
    - netfilter: xtables: fix typo causing some targets not to load on IPv6

  [ Ubuntu: 5.15.0-128.138 ]

  * jammy/linux: 5.15.0-128.138 -proposed tracker (LP: #2090163)
  * CVE-2024-50264
    - vsock/virtio: Initialization of the dangling pointer occurring in vsk->trans
  * CVE-2024-53057
    - net/sched: stop qdisc_tree_reduce_backlog on TC_H_ROOT
  * CVE-2024-43904
    - drm/amd/display: Add null checks for 'stream' and 'plane' before
      dereferencing
  * CVE-2024-40973
    - media: mtk-vcodec: potential null pointer deference in SCP
  * CVE-2024-38553
    - net: fec: remove .ndo_poll_controller to avoid deadlocks
  * CVE-2024-26822
    - smb: client: set correct id, uid and cruid for multiuser automounts
  * CVE-2020-12351 // CVE-2020-12352 // CVE-2020-24490
    - [Config] Disable BlueZ highspeed support
  * CVE-2024-40910
    - ax25: Fix refcount imbalance on inbound connections
  * CVE-2024-35963
    - Bluetooth: hci_sock: Fix not validating setsockopt user input
  * CVE-2024-35965
    - Bluetooth: L2CAP: Fix not validating setsockopt user input
  * CVE-2024-35966
    - Bluetooth: RFCOMM: Fix not validating setsockopt user input
  * CVE-2024-35967
    - Bluetooth: SCO: Fix not validating setsockopt user input

  [ Ubuntu: 5.15.0-127.137 ]

  * jammy/linux: 5.15.0-127.137 -proposed tracker (LP: #2086357)
  * Jammy update: v5.15.168 upstream stable release (LP: #2086242)
    - parisc: Fix 64-bit userspace syscall path
    - parisc: Fix stack start for ADDR_NO_RANDOMIZE personality
    - of/irq: Support #msi-cells=<0> in of_msi_get_domain
    - drm: omapdrm: Add missing check for alloc_ordered_workqueue
    - jbd2: stop waiting for space when jbd2_cleanup_journal_tail() returns error
    - jbd2: correctly compare tids with tid_geq function in jbd2_fc_begin_commit
    - mm: krealloc: consider spare memory for __GFP_ZERO
    - ocfs2: fix the la space leak when unmounting an ocfs2 volume
    - ocfs2: fix uninit-value in ocfs2_get_block()
    - ocfs2: reserve space for inline xattr before attaching reflink tree
    - ocfs2: cancel dqi_sync_work before freeing oinfo
    - ocfs2: remove unreasonable unlock in ocfs2_read_blocks
    - ocfs2: fix null-ptr-deref when journal load failed.
    - ocfs2: fix possible null-ptr-deref in ocfs2_set_buffer_uptodate
    - usbnet: ipheth: fix carrier detection in modes 1 and 4
    - net: ethernet: use ip_hdrlen() instead of bit shift
    - net: phy: vitesse: repair vsc73xx autonegotiation
    - powerpc/mm: Fix boot warning with hugepages and CONFIG_DEBUG_VIRTUAL
    - btrfs: update target inode's ctime on unlink
    - Input: ads7846 - ratelimit the spi_sync error message
    - Input: synaptics - enable SMBus for HP Elitebook 840 G2
    - HID: multitouch: Add support for GT7868Q
    - scripts: kconfig: merge_config: config files: add a trailing newline
    - platform/surface: aggregator_registry: Add support for Surface Laptop Go 3
    - drm/msm/adreno: Fix error return if missing firmware-name
    - Input: i8042 - add Fujitsu Lifebook E756 to i8042 quirk table
    - NFSv4: Fix clearing of layout segments in layoutreturn
    - NFS: Avoid unnecessary rescanning of the per-server delegation list
    - platform/x86: panasonic-laptop: Fix SINF array out of bounds accesses
    - platform/x86: panasonic-laptop: Allocate 1 entry extra in the sinf array
    - mptcp: pm: Fix uaf in __timer_delete_sync
    - arm64: dts: rockchip: override BIOS_DISABLE signal via GPIO hog on RK3399
      Puma
    - minmax: reduce min/max macro expansion in atomisp driver
    - net: tighten bad gso csum offset check in virtio_net_hdr
    - mm: avoid leaving partial pfn mappings around in error case
    - fs/ntfs3: Use kvfree to free memory allocated by kvmalloc
    - arm64: dts: rockchip: fix PMIC interrupt pin in pinctrl for ROCK Pi E
    - eeprom: digsy_mtc: Fix 93xx46 driver probe failure
    - selftests/bpf: Support SOCK_STREAM in unix_inet_redir_to_connected()
    - hwmon: (pmbus) Introduce and use write_byte_data callback
    - hwmon: (pmbus) Conditionally clear individual status bits for pmbus rev >=
      1.2
    - ice: fix accounting for filters shared by multiple VSIs
    - igb: Always call igb_xdp_ring_update_tail() under Tx lock
    - net/mlx5e: Add missing link modes to ptys2ethtool_map
    - net/mlx5: Explicitly set scheduling element and TSAR type
    - net/mlx5: Add support to create match definer
    - net/mlx5: Add IFC bits and enums for flow meter
    - net/mlx5: Add missing masks and QoS bit masks for scheduling elements
    - fou: fix initialization of grc
    - octeontx2-af: Set XOFF on other child transmit schedulers during SMQ flush
    - octeontx2-af: Modify SMQ flush sequence to drop packets
    - net: ftgmac100: Enable TX interrupt to avoid TX timeout
    - netfilter: nft_socket: fix sk refcount leaks
    - net: dpaa: Pad packets to ETH_ZLEN
    - spi: nxp-fspi: fix the KASAN report out-of-bounds bug
    - dma-buf: heaps: Fix off-by-one in CMA heap fault handler
    - ASoC: meson: axg-card: fix 'use-after-free'
    - ASoC: allow module autoloading for table db1200_pids
    - ALSA: hda/realtek - Fixed ALC256 headphone no sound
    - ALSA: hda/realtek - FIxed ALC285 headphone no sound
    - scsi: lpfc: Fix overflow build issue
    - pinctrl: at91: make it work with current gpiolib
    - microblaze: don't treat zero reserved memory regions as error
    - net: ftgmac100: Ensure tx descriptor updates are visible
    - wifi: iwlwifi: lower message level for FW buffer destination
    - wifi: iwlwifi: mvm: fix iwl_mvm_scan_fits() calculation
    - wifi: iwlwifi: mvm: pause TCM when the firmware is stopped
    - wifi: iwlwifi: mvm: don't wait for tx queues if firmware is dead
    - wifi: iwlwifi: clear trans->state earlier upon error
    - ASoC: intel: fix module autoloading
    - ASoC: tda7419: fix module autoloading
    - spi: spidev: Add an entry for elgin,jg10309-01
    - drm: komeda: Fix an issue related to normalized zpos
    - spi: bcm63xx: Enable module autoloading
    - x86/hyperv: Set X86_FEATURE_TSC_KNOWN_FREQ when Hyper-V provides frequency
    - spi: spidev: Add missing spi_device_id for jg10309-01
    - ocfs2: add bounds checking to ocfs2_xattr_find_entry()
    - ocfs2: strict bound check before memcmp in ocfs2_xattr_find_entry()
    - cgroup: Make operations on the cgroup root_list RCU safe
    - Revert "wifi: cfg80211: check wiphy mutex is held for wdev mutex"
    - gpio: prevent potential speculation leaks in gpio_device_get_desc()
    - gpiolib: cdev: Ignore reconfiguration without direction
    - cgroup: Move rcu_head up near the top of cgroup_root
    - USB: serial: pl2303: add device id for Macrosilicon MS3020
    - USB: usbtmc: prevent kernel-usb-infoleak
    - EDAC/synopsys: Add support for version 3 of the Synopsys EDAC DDR
    - EDAC/synopsys: Use the correct register to disable the error interrupt on v3
      hw
    - EDAC/synopsys: Re-enable the error interrupts on v3 hw
    - EDAC/synopsys: Fix ECC status and IRQ control race condition
    - EDAC/synopsys: Fix error injection on Zynq UltraScale+
    - wifi: rtw88: always wait for both firmware loading attempts
    - crypto: xor - fix template benchmarking
    - ACPI: PMIC: Remove unneeded check in tps68470_pmic_opregion_probe()
    - wifi: ath9k: fix parameter check in ath9k_init_debug()
    - wifi: ath9k: Remove error checks when creating debugfs entries
    - net: stmmac: dwmac-loongson: Init ref and PTP clocks rate
    - wifi: rtw88: remove CPT execution branch never used
    - fs: explicitly unregister per-superblock BDIs
    - mount: warn only once about timestamp range expiration
    - fs/namespace: fnic: Switch to use %ptTd
    - mount: handle OOM on mnt_warn_timestamp_expiry
    - wifi: iwlwifi: mvm: increase the time between ranging measurements
    - padata: Honor the caller's alignment in case of chunk_size 0
    - can: j1939: use correct function name in comment
    - ACPI: CPPC: Fix MASK_VAL() usage
    - netfilter: nf_tables: elements with timeout below CONFIG_HZ never expire
    - netfilter: nf_tables: reject element expiration with no timeout
    - netfilter: nf_tables: reject expiration higher than timeout
    - netfilter: nf_tables: remove annotation to access set timeout while holding
      lock
    - cpufreq: ti-cpufreq: Introduce quirks to handle syscon fails appropriately
    - x86/sgx: Fix deadlock in SGX NUMA node search
    - wifi: cfg80211: fix UBSAN noise in cfg80211_wext_siwscan()
    - wifi: mt76: mt7915: fix rx filter setting for bfee functionality
    - wifi: cfg80211: fix two more possible UBSAN-detected off-by-one errors
    - wifi: mac80211: use two-phase skb reclamation in ieee80211_do_stop()
    - wifi: wilc1000: fix potential RCU dereference issue in
      wilc_parse_join_bss_param
    - sock_map: Add a cond_resched() in sock_hash_free()
    - can: bcm: Clear bo->bcm_proc_read after remove_proc_entry().
    - can: m_can: m_can_close(): stop clocks after device has been shut down
    - Bluetooth: btusb: Fix not handling ZPL/short-transfer
    - bareudp: Pull inner IP header in bareudp_udp_encap_recv().
    - net: geneve: support IPv4/IPv6 as inner protocol
    - geneve: Fix incorrect inner network header offset when innerprotoinherit is
      set
    - bareudp: Pull inner IP header on xmit.
    - net: enetc: Use IRQF_NO_AUTOEN flag in request_irq()
    - r8169: disable ALDPS per default for RTL8125
    - net: ipv6: rpl_iptunnel: Fix memory leak in rpl_input
    - net: tipc: avoid possible garbage value
    - block, bfq: fix possible UAF for bfqq->bic with merge chain
    - block, bfq: choose the last bfqq from merge chain in bfq_setup_cooperator()
    - block, bfq: don't break merge chain in bfq_split_bfqq()
    - block: print symbolic error name instead of error code
    - block: fix potential invalid pointer dereference in blk_add_partition
    - spi: ppc4xx: handle irq_of_parse_and_map() errors
    - spi: ppc4xx: Avoid returning 0 when failed to parse and map IRQ
    - arm64: dts: renesas: r9a07g044: Correct GICD and GICR sizes
    - ARM: dts: microchip: sam9x60: Fix rtc/rtt clocks
    - ARM: dts: imx7d-zii-rmu2: fix Ethernet PHY pinctrl property
    - ARM: versatile: fix OF node leak in CPUs prepare
    - reset: berlin: fix OF node leak in probe() error path
    - reset: k210: fix OF node leak in probe() error path
    - clocksource/drivers/qcom: Add missing iounmap() on errors in
      msm_dt_timer_init()
    - m68k: Fix kernel_clone_args.flags in m68k_clone()
    - hwmon: (max16065) Fix overflows seen when writing limits
    - i2c: Add i2c_get_match_data()
    - hwmon: (max16065) Remove use of i2c_match_id()
    - hwmon: (max16065) Fix alarm attributes
    - mtd: slram: insert break after errors in parsing the map
    - hwmon: (ntc_thermistor) fix module autoloading
    - power: supply: axp20x_battery: Remove design from min and max voltage
    - power: supply: max17042_battery: Fix SOC threshold calc w/ no current sense
    - fbdev: hpfb: Fix an error handling path in hpfb_dio_probe()
    - mtd: powernv: Add check devm_kasprintf() returned value
    - pmdomain: core: Harden inter-column space in debug summary
    - drm/stm: Fix an error handling path in stm_drm_platform_probe()
    - drm/amd/display: Add null check for set_output_gamma in
      dcn30_set_output_transfer_func
    - drm/amdgpu: Replace one-element array with flexible-array member
    - drm/amdgpu: properly handle vbios fake edid sizing
    - drm/radeon: Replace one-element array with flexible-array member
    - drm/radeon: properly handle vbios fake edid sizing
    - scsi: NCR5380: Add SCp members to struct NCR5380_cmd
    - scsi: NCR5380: Check for phase match during PDMA fixup
    - drm/rockchip: vop: Allow 4096px width scaling
    - drm/rockchip: dw_hdmi: Fix reading EDID when using a forced mode
    - drm/radeon/evergreen_cs: fix int overflow errors in cs track offsets
    - drm/bridge: lontium-lt8912b: Validate mode in drm_bridge_funcs::mode_valid()
    - scsi: elx: libefc: Fix potential use after free in efc_nport_vport_del()
    - jfs: fix out-of-bounds in dbNextAG() and diAlloc()
    - drm/mediatek: Use spin_lock_irqsave() for CRTC event lock
    - powerpc/32: Remove the 'nobats' kernel parameter
    - powerpc/32: Remove 'noltlbs' kernel parameter
    - powerpc/8xx: Fix initial memory mapping
    - powerpc/8xx: Fix kernel vs user address comparison
    - drm/msm: Fix incorrect file name output in adreno_request_fw()
    - drm/msm/a5xx: disable preemption in submits by default
    - drm/msm/a5xx: properly clear preemption records on resume
    - drm/msm/a5xx: fix races in preemption evaluation stage
    - drm/msm: Drop priv->lastctx
    - drm/msm/a5xx: workaround early ring-buffer emptiness check
    - ipmi: docs: don't advertise deprecated sysfs entries
    - drm/msm: fix %s null argument error
    - drivers:drm:exynos_drm_gsc:Fix wrong assignment in gsc_bind()
    - xen: use correct end address of kernel for conflict checking
    - xen/swiotlb: add alignment check for dma buffers
    - tpm: Clean up TPM space after command failure
    - selftests/bpf: Fix compile error from rlim_t in sk_storage_map.c
    - selftests/bpf: Fix error compiling bpf_iter_setsockopt.c with musl libc
    - selftests/bpf: Fix missing ARRAY_SIZE() definition in bench.c
    - selftests/bpf: Fix compiling kfree_skb.c with musl-libc
    - selftests/bpf: Fix compiling flow_dissector.c with musl-libc
    - selftests/bpf: Fix compiling tcp_rtt.c with musl-libc
    - selftests/bpf: Fix compiling core_reloc.c with musl-libc
    - selftests/bpf: Fix errors compiling cg_storage_multi.h with musl libc
    - selftests/bpf: Fix error compiling test_lru_map.c
    - selftests/bpf: Fix C++ compile error from missing _Bool type
    - xz: cleanup CRC32 edits from 2018
    - kthread: fix task state in kthread worker if being frozen
    - ext4: clear EXT4_GROUP_INFO_WAS_TRIMMED_BIT even mount with discard
    - smackfs: Use rcu_assign_pointer() to ensure safe assignment in smk_set_cipso
    - ext4: avoid buffer_head leak in ext4_mark_inode_used()
    - ext4: avoid potential buffer_head leak in __ext4_new_inode()
    - ext4: avoid negative min_clusters in find_group_orlov()
    - ext4: return error on ext4_find_inline_entry
    - ext4: avoid OOB when system.data xattr changes underneath the filesystem
    - nilfs2: fix potential null-ptr-deref in nilfs_btree_insert()
    - nilfs2: determine empty node blocks as corrupted
    - nilfs2: fix potential oob read in nilfs_btree_check_delete()
    - bpf: Fix bpf_strtol and bpf_strtoul helpers for 32bit
    - perf mem: Free the allocated sort string, fixing a leak
    - perf sched timehist: Fix missing free of session in perf_sched__timehist()
    - perf sched timehist: Fixed timestamp error when unable to confirm event
      sched_in time
    - perf time-utils: Fix 32-bit nsec parsing
    - clk: imx: imx8mp: fix clock tree update of TF-A managed clocks
    - clk: imx: imx8qxp: Register dc0_bypass0_clk before disp clk
    - clk: imx: imx8qxp: Parent should be initialized earlier than the clock
    - remoteproc: imx_rproc: Correct ddr alias for i.MX8M
    - remoteproc: imx_rproc: Initialize workqueue earlier
    - clk: rockchip: Set parent rate for DCLK_VOP clock on RK3228
    - Input: ilitek_ts_i2c - avoid wrong input subsystem sync
    - Input: ilitek_ts_i2c - add report id message validation
    - drivers: media: dvb-frontends/rtl2832: fix an out-of-bounds write error
    - drivers: media: dvb-frontends/rtl2830: fix an out-of-bounds write error
    - PCI: keystone: Fix if-statement expression in ks_pcie_quirk()
    - PCI: xilinx-nwl: Fix register misspelling
    - PCI: xilinx-nwl: Clean up clock on probe failure/removal
    - RDMA/iwcm: Fix WARNING:at_kernel/workqueue.c:#check_flush_dependency
    - pinctrl: single: fix missing error code in pcs_probe()
    - RDMA/rtrs: Reset hb_missed_cnt after receiving other traffic from peer
    - RDMA/rtrs-clt: Reset cid to con_num - 1 to stay in bounds
    - clk: ti: dra7-atl: Fix leak of of_nodes
    - nfsd: remove unneeded EEXIST error check in nfsd_do_file_acquire
    - nfsd: fix refcount leak when file is unhashed after being found
    - pinctrl: mvebu: Use devm_platform_get_and_ioremap_resource()
    - pinctrl: mvebu: Fix devinit_dove_pinctrl_probe function
    - IB/core: Fix ib_cache_setup_one error flow cleanup
    - watchdog: imx_sc_wdt: Don't disable WDT in suspend
    - RDMA/hns: Don't modify rq next block addr in HIP09 QPC
    - RDMA/hns: Fix the overflow risk of hem_list_calc_ba_range()
    - RDMA/hns: Fix spin_unlock_irqrestore() called with IRQs enabled
    - RDMA/hns: Remove unused abnormal interrupt of type RAS
    - RDMA/hns: Fix the wrong type of return value of the interrupt handler
    - RDMA/hns: Refactor the abnormal interrupt handler function
    - RDMA/hns: Fix VF triggering PF reset in abnormal interrupt handler
    - RDMA/hns: Optimize hem allocation performance
    - riscv: Fix fp alignment bug in perf_callchain_user()
    - RDMA/cxgb4: Added NULL check for lookup_atid
    - RDMA/irdma: fix error message in irdma_modify_qp_roce()
    - ntb: intel: Fix the NULL vs IS_ERR() bug for debugfs_create_dir()
    - ntb_perf: Fix printk format
    - nfsd: call cache_put if xdr_reserve_space returns NULL
    - nfsd: return -EINVAL when namelen is 0
    - f2fs: fix typo
    - f2fs: fix to update i_ctime in __f2fs_setxattr()
    - f2fs: remove unneeded check condition in __f2fs_setxattr()
    - f2fs: reduce expensive checkpoint trigger frequency
    - f2fs: optimize error handling in redirty_blocks
    - f2fs: fix to wait page writeback before setting gcing flag
    - f2fs: introduce F2FS_IPU_HONOR_OPU_WRITE ipu policy
    - f2fs: clean up w/ dotdot_name
    - f2fs: get rid of online repaire on corrupted directory
    - spi: lpspi: Silence error message upon deferred probe
    - spi: lpspi: release requested DMA channels
    - spi: spi-fsl-lpspi: Undo runtime PM changes at driver exit time
    - iio: adc: ad7606: fix oversampling gpio array
    - iio: adc: ad7606: fix standby gpio state to match the documentation
    - coresight: tmc: sg: Do not leak sg_table
    - interconnect: qcom: sm8250: Enable sync_state
    - vdpa: Add eventfd for the vdpa callback
    - vhost_vdpa: assign irq bypass producer token correctly
    - Revert "dm: requeue IO if mapping table not yet available"
    - net: axienet: Clean up device used for DMA calls
    - net: axienet: Clean up DMA start/stop and error handling
    - net: axienet: don't set IRQ timer when IRQ delay not used
    - net: axienet: implement NAPI and GRO receive
    - net: axienet: reduce default RX interrupt threshold to 1
    - net: axienet: add coalesce timer ethtool configuration
    - net: axienet: Be more careful about updating tx_bd_tail
    - net: axienet: Use NAPI for TX completion path
    - net: axienet: Switch to 64-bit RX/TX statistics
    - net: xilinx: axienet: Fix packet counting
    - netfilter: nf_reject_ipv6: fix nf_reject_ip6_tcphdr_put()
    - net: seeq: Fix use after free vulnerability in ether3 Driver Due to Race
      Condition
    - net: ipv6: select DST_CACHE from IPV6_RPL_LWTUNNEL
    - tcp: check skb is non-NULL in tcp_rto_delta_us()
    - net: qrtr: Update packets cloning when broadcasting
    - bonding: Fix unnecessary warnings and logs from bond_xdp_get_xmit_slave()
    - netfilter: nf_tables: Keep deleted flowtable hooks until after RCU
    - netfilter: ctnetlink: compile ctnetlink_label_size with
      CONFIG_NF_CONNTRACK_EVENTS
    - drm/amd/display: Fix Synaptics Cascaded Panamera DSC Determination
    - Input: goodix - use the new soc_intel_is_byt() helper
    - powercap: RAPL: fix invalid initialization for pl4_supported field
    - x86/mm: Switch to new Intel CPU model defines
    - vfio/pci: fix potential memory leak in vfio_intx_enable()
    - selinux,smack: don't bypass permissions check in inode_setsecctx hook
    - Remove *.orig pattern from .gitignore
    - PCI: xilinx-nwl: Fix off-by-one in INTx IRQ handler
    - ASoC: rt5682: Return devm_of_clk_add_hw_provider to transfer the error
    - soc: versatile: integrator: fix OF node leak in probe() error path
    - Revert "media: tuners: fix error return code of
      hybrid_tuner_request_state()"
    - Input: i8042 - add TUXEDO Stellaris 16 Gen5 AMD to i8042 quirk table
    - Input: i8042 - add TUXEDO Stellaris 15 Slim Gen6 AMD to i8042 quirk table
    - Input: i8042 - add another board name for TUXEDO Stellaris Gen5 AMD line
    - drm/amd/display: Round calculated vtotal
    - drm/amd/display: Validate backlight caps are sane
    - scsi: mac_scsi: Revise printk(KERN_DEBUG ...) messages
    - scsi: mac_scsi: Refactor polling loop
    - scsi: mac_scsi: Disallow bus errors during PDMA send
    - usbnet: fix cyclical race on disconnect with work queue
    - USB: appledisplay: close race between probe and completion handler
    - USB: misc: cypress_cy7c63: check for short transfer
    - USB: class: CDC-ACM: fix race between get_serial and set_serial
    - usb: cdnsp: Fix incorrect usb_request status
    - usb: dwc2: drd: fix clock gating on USB role switch
    - bus: integrator-lm: fix OF node leak in probe()
    - firmware_loader: Block path traversal
    - tty: rp2: Fix reset with non forgiving PCIe host bridges
    - xhci: Set quirky xHC PCI hosts to D3 _after_ stopping and freeing them.
    - crypto: ccp - Properly unregister /dev/sev on sev PLATFORM_STATUS failure
    - drbd: Fix atomicity violation in drbd_uuid_set_bm()
    - drbd: Add NULL check for net_conf to prevent dereference in state validation
    - ACPI: sysfs: validate return type of _STR method
    - ACPI: resource: Add another DMI match for the TongFang GMxXGxx
    - efistub/tpm: Use ACPI reclaim memory for event log to avoid corruption
    - perf/x86/intel/pt: Fix sampling synchronization
    - wifi: rtw88: 8822c: Fix reported RX band width
    - wifi: mt76: mt7615: check devm_kasprintf() returned value
    - debugobjects: Fix conditions in fill_pool()
    - f2fs: prevent possible int overflow in dir_block_index()
    - f2fs: avoid potential int overflow in sanity_check_area_boundary()
    - hwrng: mtk - Use devm_pm_runtime_enable
    - hwrng: bcm2835 - Add missing clk_disable_unprepare in bcm2835_rng_init
    - hwrng: cctrng - Add missing clk_disable_unprepare in cctrng_resume
    - arm64: dts: rockchip: Raise Pinebook Pro's panel backlight PWM frequency
    - arm64: dts: rockchip: Correct the Pinebook Pro battery design capacity
    - vfs: fix race between evice_inodes() and find_inode()&iput()
    - fs: Fix file_set_fowner LSM hook inconsistencies
    - nfs: fix memory leak in error path of nfs4_do_reclaim
    - EDAC/igen6: Fix conversion of system address to physical memory address
    - padata: use integer wrap around to prevent deadlock on seq_nr overflow
    - soc: versatile: realview: fix memory leak during device remove
    - soc: versatile: realview: fix soc_dev leak during device remove
    - usb: yurex: Replace snprintf() with the safer scnprintf() variant
    - USB: misc: yurex: fix race between read and write
    - xhci: fix event ring segment table related masks and variables in header
    - xhci: remove xhci_test_trb_in_td_math early development check
    - xhci: Refactor interrupter code for initial multi interrupter support.
    - xhci: Preserve RsvdP bits in ERSTBA register correctly
    - xhci: Add a quirk for writing ERST in high-low order
    - usb: xhci: fix loss of data on Cadence xHC
    - pps: remove usage of the deprecated ida_simple_xx() API
    - pps: add an error check in parport_attach
    - x86/idtentry: Incorporate definitions/declarations of the FRED entries
    - x86/entry: Remove unwanted instrumentation in common_interrupt()
    - bpf: lsm: Set bpf_lsm_blob_sizes.lbs_task to 0
    - lockdep: fix deadlock issue between lockdep and rcu
    - mm: only enforce minimum stack gap size if it's sensible
    - i2c: aspeed: Update the stop sw state when the bus recovery occurs
    - i2c: isch: Add missed 'else'
    - usb: yurex: Fix inconsistent locking bug in yurex_read()
    - spi: lpspi: Simplify some error message
    - static_call: Handle module init failure correctly in
      static_call_del_module()
    - static_call: Replace pointless WARN_ON() in static_call_module_notify()
    - mailbox: rockchip: fix a typo in module autoloading
    - mailbox: bcm2835: Fix timeout during suspend mode
    - ceph: remove the incorrect Fw reference check when dirtying pages
    - ieee802154: Fix build error
    - net/mlx5: Fix error path in multi-packet WQE transmit
    - net/mlx5: Added cond_resched() to crdump collection
    - net/mlx5e: Fix NULL deref in mlx5e_tir_builder_alloc()
    - netfilter: uapi: NFTA_FLOWTABLE_HOOK is NLA_NESTED
    - net: ieee802154: mcr20a: Use IRQF_NO_AUTOEN flag in request_irq()
    - netfilter: nf_tables: prevent nf_skb_duplicated corruption
    - Bluetooth: btmrvl: Use IRQF_NO_AUTOEN flag in request_irq()
    - net: ethernet: lantiq_etop: fix memory disclosure
    - net: avoid potential underflow in qdisc_pkt_len_init() with UFO
    - net: add more sanity checks to qdisc_pkt_len_init()
    - stmmac_pci: Fix underflow size in stmmac_rx
    - net: stmmac: Disable automatic FCS/Pad stripping
    - net: stmmac: dwmac4: extend timeout for VLAN Tag register busy bit check
    - ipv4: ip_gre: Fix drops of small packets in ipgre_xmit
    - ppp: do not assume bh is held in ppp_channel_bridge_input()
    - sctp: set sk_state back to CLOSED if autobind fails in sctp_listen_start
    - i2c: xiic: Fix broken locking on tx_msg
    - i2c: xiic: Switch from waitqueue to completion
    - i2c: xiic: Fix RX IRQ busy check
    - i2c: xiic: xiic_xfer(): Fix runtime PM leak on error path
    - i2c: xiic: improve error message when transfer fails to start
    - i2c: xiic: Try re-initialization on bus busy timeout
    - media: usbtv: Remove useless locks in usbtv_video_free()
    - ALSA: mixer_oss: Remove some incorrect kfree_const() usages
    - ALSA: hda/realtek: Fix the push button function for the ALC257
    - ALSA: hda/generic: Unconditionally prefer preferred_dacs pairs
    - ASoC: imx-card: Set card.owner to avoid a warning calltrace if SND=m
    - ALSA: hda/conexant: Fix conflicting quirk for System76 Pangolin
    - f2fs: Require FMODE_WRITE for atomic write ioctls
    - wifi: ath9k: fix possible integer overflow in ath9k_get_et_stats()
    - wifi: ath9k_htc: Use __skb_set_length() for resetting urb before resubmit
    - ice: Adjust over allocation of memory in ice_sched_add_root_node() and
      ice_sched_add_node()
    - net/xen-netback: prevent UAF in xenvif_flush_hash()
    - net: hisilicon: hip04: fix OF node leak in probe()
    - net: hisilicon: hns_dsaf_mac: fix OF node leak in hns_mac_get_info()
    - net: hisilicon: hns_mdio: fix OF node leak in probe()
    - ACPI: PAD: fix crash in exit_round_robin()
    - ACPICA: Fix memory leak if acpi_ps_get_next_namepath() fails
    - ACPICA: Fix memory leak if acpi_ps_get_next_field() fails
    - net: sched: consistently use rcu_replace_pointer() in taprio_change()
    - blk_iocost: fix more out of bound shifts
    - nvme-pci: qdepth 1 quirk
    - wifi: ath11k: fix array out-of-bound access in SoC stats
    - wifi: rtw88: select WANT_DEV_COREDUMP
    - ACPI: EC: Do not release locks during operation region accesses
    - ACPICA: check null return of ACPI_ALLOCATE_ZEROED() in
      acpi_db_convert_to_package()
    - tipc: guard against string buffer overrun
    - net: mvpp2: Increase size of queue_name buffer
    - ipv4: Check !in_dev earlier for ioctl(SIOCSIFADDR).
    - ipv4: Mask upper DSCP bits and ECN bits in NETLINK_FIB_LOOKUP family
    - net: atlantic: Avoid warning about potential string truncation
    - tcp: avoid reusing FIN_WAIT2 when trying to find port in connect() process
    - ACPICA: iasl: handle empty connection_node
    - proc: add config & param to block forcing mem writes
    - [Config] updateconfigs to select PROC_MEM_ALWAYS_FORCE
    - wifi: mt76: mt7915: hold dev->mt76.mutex while disabling tx worker
    - wifi: mwifiex: Fix memcpy() field-spanning write warning in
      mwifiex_cmd_802_11_scan_ext()
    - nfp: Use IRQF_NO_AUTOEN flag in request_irq()
    - signal: Replace BUG_ON()s
    - ALSA: usb-audio: Add input value sanity checks for standard types
    - x86/ioapic: Handle allocation failures gracefully
    - ALSA: usb-audio: Define macros for quirk table entries
    - ALSA: usb-audio: Add logitech Audio profile quirk
    - tools/x86/kcpuid: Protect against faulty "max subleaf" values
    - ALSA: asihpi: Fix potential OOB array access
    - ALSA: hdsp: Break infinite MIDI input flush loop
    - x86/syscall: Avoid memcpy() for ia32 syscall_get_arguments()
    - fbdev: pxafb: Fix possible use after free in pxafb_task()
    - rcuscale: Provide clear error when async specified without primitives
    - iommu/arm-smmu-qcom: hide last LPASS SMMU context bank from linux
    - power: reset: brcmstb: Do not go into infinite loop if reset fails
    - iommu/vt-d: Always reserve a domain ID for identity setup
    - iommu/vt-d: Fix potential lockup if qi_submit_sync called with 0 count
    - drm/amd/display: Add null check for top_pipe_to_program in
      commit_planes_for_stream
    - ata: sata_sil: Rename sil_blacklist to sil_quirks
    - drm/amd/display: Check null pointers before using dc->clk_mgr
    - jfs: UBSAN: shift-out-of-bounds in dbFindBits
    - jfs: Fix uaf in dbFreeBits
    - jfs: check if leafidx greater than num leaves per dmap tree
    - scsi: smartpqi: correct stream detection
    - jfs: Fix uninit-value access of new_ea in ea_buffer
    - drm/amdgpu: add raven1 gfxoff quirk
    - drm/amdgpu: enable gfxoff quirk on HP 705G4
    - HID: multitouch: Add support for Thinkpad X12 Gen 2 Kbd Portfolio
    - platform/x86: touchscreen_dmi: add nanote-next quirk
    - drm/amd/display: Check stream before comparing them
    - drm/amd/display: Fix index out of bounds in DCN30 degamma hardware format
      translation
    - drm/amd/display: Fix index out of bounds in degamma hardware format
      translation
    - drm/amd/display: Fix index out of bounds in DCN30 color transformation
    - drm/amd/display: Initialize get_bytes_per_element's default to 1
    - drm/printer: Allow NULL data in devcoredump printer
    - scsi: aacraid: Rearrange order of struct aac_srb_unit
    - drm/radeon/r100: Handle unknown family in r100_cp_init_microcode()
    - drm/amd/pm: ensure the fw_info is not null before using it
    - of/irq: Refer to actual buffer size in of_irq_parse_one()
    - ext4: ext4_search_dir should return a proper error
    - ext4: avoid use-after-free in ext4_ext_show_leaf()
    - ext4: fix i_data_sem unlock order in ext4_ind_migrate()
    - blk-integrity: use sysfs_emit
    - blk-integrity: convert to struct device_attribute
    - blk-integrity: register sysfs attributes on struct device
    - usb: typec: tcpm: Check for port partner validity before consuming it
    - spi: spi-imx: Fix pm_runtime_set_suspended() with runtime pm enabled
    - spi: s3c64xx: fix timeout counters in flush_fifo
    - selftests: breakpoints: use remaining time to check if suspend succeed
    - selftests: vDSO: fix vDSO name for powerpc
    - selftests: vDSO: fix vdso_config for powerpc
    - selftests: vDSO: fix vDSO symbols lookup for powerpc64
    - selftests/mm: fix charge_reserved_hugetlb.sh test
    - selftests: vDSO: fix ELF hash table entry size for s390x
    - selftests: vDSO: fix vdso_config for s390
    - platform/x86: ISST: Fix the KASAN report slab-out-of-bounds bug
    - i2c: stm32f7: Do not prepare/unprepare clock during runtime suspend/resume
    - i2c: qcom-geni: Use IRQF_NO_AUTOEN flag in request_irq()
    - i2c: xiic: Wait for TX empty to avoid missed TX NAKs
    - firmware: tegra: bpmp: Drop unused mbox_client_to_bpmp()
    - spi: bcm63xx: Fix module autoloading
    - power: supply: hwmon: Fix missing temp1_max_alarm attribute
    - perf/core: Fix small negative period being ignored
    - parisc: Fix itlb miss handler for 64-bit programs
    - drm: Consistently use struct drm_mode_rect for FB_DAMAGE_CLIPS
    - ALSA: core: add isascii() check to card ID generator
    - ALSA: usb-audio: Add delay quirk for VIVO USB-C HEADSET
    - ALSA: usb-audio: Add native DSD support for Luxman D-08u
    - ALSA: line6: add hw monitor volume control to POD HD500X
    - ALSA: hda/realtek: Add quirk for Huawei MateBook 13 KLV-WX9
    - ext4: no need to continue when the number of entries is 1
    - ext4: correct encrypted dentry name hash when not casefolded
    - ext4: fix slab-use-after-free in ext4_split_extent_at()
    - ext4: propagate errors from ext4_find_extent() in ext4_insert_range()
    - ext4: fix incorrect tid assumption in __jbd2_log_wait_for_space()
    - ext4: drop ppath from ext4_ext_replay_update_ex() to avoid double-free
    - ext4: aovid use-after-free in ext4_ext_insert_extent()
    - ext4: fix double brelse() the buffer of the extents path
    - ext4: update orig_path in ext4_find_extent()
    - ext4: fix incorrect tid assumption in ext4_wait_for_tail_page_commit()
    - ext4: fix incorrect tid assumption in jbd2_journal_shrink_checkpoint_list()
    - ext4: fix fast commit inode enqueueing during a full journal commit
    - ext4: use handle to mark fc as ineligible in __track_dentry_update()
    - ext4: mark fc as ineligible using an handle in ext4_xattr_set()
    - riscv: define ILLEGAL_POINTER_VALUE for 64bit
    - exfat: fix memory leak in exfat_load_bitmap()
    - perf hist: Update hist symbol when updating maps
    - nfsd: fix delegation_blocked() to block correctly for at least 30 seconds
    - nfsd: map the EBADMSG to nfserr_io to avoid warning
    - NFSD: Fix NFSv4's PUTPUBFH operation
    - aoe: fix the potential use-after-free problem in more places
    - clk: rockchip: fix error for unknown clocks
    - clk: qcom: dispcc-sm8250: use CLK_SET_RATE_PARENT for branch clocks
    - media: sun4i_csi: Implement link validate for sun4i_csi subdev
    - media: uapi/linux/cec.h: cec_msg_set_reply_to: zero flags
    - clk: qcom: clk-rpmh: Fix overflow in BCM vote
    - clk: qcom: gcc-sm8150: De-register gcc_cpuss_ahb_clk_src
    - media: venus: fix use after free bug in venus_remove due to race condition
    - clk: qcom: gcc-sm8250: Do not turn off PCIe GDSCs during gdsc_disable()
    - clk: qcom: gcc-sc8180x: Fix the sdcc2 and sdcc4 clocks freq table
    - iio: magnetometer: ak8975: Fix reading for ak099xx sensors
    - tomoyo: fallback to realpath if symlink's pathname does not exist
    - net: stmmac: Fix zero-division error when disabling tc cbs
    - rtc: at91sam9: fix OF node leak in probe() error path
    - Input: adp5589-keys - fix NULL pointer dereference
    - Input: adp5589-keys - fix adp5589_gpio_get_value()
    - ACPI: resource: Add Asus Vivobook X1704VAP to irq1_level_low_skip_override[]
    - ACPI: resource: Add Asus ExpertBook B2502CVA to
      irq1_level_low_skip_override[]
    - btrfs: fix a NULL pointer dereference when failed to start a new trasacntion
    - btrfs: wait for fixup workers before stopping cleaner kthread during umount
    - gpio: davinci: fix lazy disable
    - tracing/hwlat: Fix a race during cpuhp processing
    - tracing/timerlat: Fix a race during cpuhp processing
    - close_range(): fix the logics in descriptor table trimming
    - drm/sched: Add locking to drm_sched_entity_modify_sched
    - drm/amd/display: Fix system hang while resume with TBT monitor
    - kconfig: qconf: fix buffer overflow in debug links
    - device property: Add fwnode_iomap()
    - device property: Add fwnode_irq_get_byname
    - i2c: smbus: Use device_*() functions instead of of_*()
    - i2c: create debugfs entry per adapter
    - i2c: core: Lock address during client device instantiation
    - i2c: xiic: Use devm_clk_get_enabled()
    - i2c: xiic: Fix pm_runtime_set_suspended() with runtime pm enabled
    - spi: bcm63xx: Fix missing pm_runtime_disable()
    - ext4: properly sync file size update after O_SYNC direct IO
    - ext4: dax: fix overflowing extents beyond inode size when partially writing
    - arm64: Add Cortex-715 CPU part definition
    - arm64: cputype: Add Neoverse-N3 definitions
    - arm64: errata: Expand speculative SSBS workaround once more
    - uprobes: fix kernel info leak via "[uprobes]" vma
    - drm/amd/display: Allow backlight to go below
      `AMDGPU_DM_DEFAULT_MIN_BACKLIGHT`
    - build-id: require program headers to be right after ELF header
    - lib/buildid: harden build ID parsing logic
    - drm/rockchip: define gamma registers for RK3399
    - drm/rockchip: support gamma control on RK3399
    - drm/rockchip: vop: clear DMA stop bit on RK3066
    - media: i2c: imx335: Enable regulator supplies
    - media: imx335: Fix reset-gpio handling
    - dt-bindings: clock: qcom: Add missing UFS QREF clocks
    - dt-bindings: clock: qcom: Add GPLL9 support on gcc-sc8180x
    - r8169: Fix spelling mistake: "tx_underun" -> "tx_underrun"
    - r8169: add tally counter fields added with RTL8125
    - clk: qcom: gcc-sc8180x: Add GPLL9 support
    - ACPI: battery: Simplify battery hook locking
    - ACPI: battery: Fix possible crash when unregistering a battery hook
    - Revert "arm64: dts: qcom: sm8250: switch UFS QMP PHY to new style of
      bindings"
    - ext4: fix inode tree inconsistency caused by ENOMEM
    - 9p: add missing locking around taking dentry fid list
    - vhost/scsi: null-ptr-dereference in vhost_scsi_get_req()
    - perf report: Fix segfault when 'sym' sort key is not used
    - ALSA: usb-audio: Fix possible NULL pointer dereference in
      snd_usb_pcm_has_fixed_rate()
    - unicode: Don't special case ignorable code points
    - net: ethernet: cortina: Drop TSO support
    - tracing: Remove precision vsnprintf() check from print event
    - drm/crtc: fix uninitialized variable use even harder
    - tracing: Have saved_cmdlines arrays all in one allocation
    - selftests/net: give more time to udpgro bg processes to complete startup
    - selftests/net: synchronize udpgro tests' tx and rx connection
    - selftests: net: Remove executable bits from library scripts
    - fs/ntfs3: Refactor enum_rstbl to suppress static checker
    - virtio_console: fix misc probe bugs
    - Input: synaptics-rmi4 - fix UAF of IRQ domain on driver removal
    - bpf: Check percpu map value size first
    - s390/facility: Disable compile time optimization for decompressor code
    - s390/mm: Add cond_resched() to cmm_alloc/free_pages()
    - bpf, x64: Fix a jit convergence issue
    - ext4: don't set SB_RDONLY after filesystem errors
    - ext4: nested locking for xattr inode
    - s390/cpum_sf: Remove WARN_ON_ONCE statements
    - ktest.pl: Avoid false positives with grub2 skip regex
    - RDMA/mad: Improve handling of timed out WRs of mad agent
    - PCI: Add function 0 DMA alias quirk for Glenfly Arise chip
    - RDMA/rtrs-srv: Avoid null pointer deref during path establishment
    - clk: bcm: bcm53573: fix OF node leak in init
    - PCI: Add ACS quirk for Qualcomm SA8775P
    - i2c: i801: Use a different adapter-name for IDF adapters
    - PCI: Mark Creative Labs EMU20k2 INTx masking as broken
    - ntb: ntb_hw_switchtec: Fix use after free vulnerability in
      switchtec_ntb_remove due to race condition
    - media: videobuf2-core: clear memory related fields in
      __vb2_plane_dmabuf_put()
    - remoteproc: imx_rproc: Use imx specific hook for find_loaded_rsc_table
    - clk: imx: Remove CLK_SET_PARENT_GATE for DRAM mux for i.MX7D
    - usb: chipidea: udc: enable suspend interrupt after usb reset
    - usb: dwc2: Adjust the timing of USB Driver Interrupt Registration in the
      Crashkernel Scenario
    - comedi: ni_routing: tools: Check when the file could not be opened
    - virtio_pmem: Check device status before requesting flush
    - tools/iio: Add memory allocation failure check for trigger_name
    - driver core: bus: Return -EIO instead of 0 when show/store invalid bus
      attribute
    - drm/amd/display: Check null pointer before dereferencing se
    - fbdev: sisfb: Fix strbuf array overflow
    - RDMA/rxe: Fix seg fault in rxe_comp_queue_pkt
    - NFSD: Mark filecache "down" if init fails
    - ice: fix VLAN replay after reset
    - SUNRPC: Fix integer overflow in decode_rc_list()
    - NFSv4: Prevent NULL-pointer dereference in nfs42_complete_copies()
    - net: phy: dp83869: fix memory corruption when enabling fiber
    - tcp: fix to allow timestamp undo if no retransmits were sent
    - tcp: fix tcp_enter_recovery() to zero retrans_stamp when it's safe
    - netfilter: br_netfilter: fix panic with metadata_dst skb
    - Bluetooth: RFCOMM: FIX possible deadlock in rfcomm_sk_state_change
    - net: phy: bcm84881: Fix some error handling paths
    - thermal: int340x: processor_thermal: Set feature mask before
      proc_thermal_add
    - thermal: intel: int340x: processor: Fix warning during module unload
    - net: dsa: b53: fix jumbo frame mtu check
    - net: dsa: b53: fix max MTU for 1g switches
    - net: dsa: b53: fix max MTU for BCM5325/BCM5365
    - net: dsa: b53: allow lower MTUs on BCM5325/5365
    - net: dsa: b53: fix jumbo frames on 10/100 ports
    - gpio: aspeed: Add the flush write to ensure the write complete.
    - gpio: aspeed: Use devm_clk api to manage clock source
    - ice: Fix netif_is_ice() in Safe Mode
    - i40e: Fix macvlan leak by synchronizing access to mac_filter_hash
    - igb: Do not bring the device up after non-fatal error
    - net/sched: accept TCA_STAB only for root qdisc
    - net: ibm: emac: mal: fix wrong goto
    - sctp: ensure sk_state is set to CLOSED if hashing fails in sctp_listen_start
    - netfilter: xtables: avoid NFPROTO_UNSPEC where needed
    - net: Add l3mdev index to flow struct and avoid oif reset for port devices
    - netfilter: rpfilter/fib: Populate flowic_l3mdev field
    - netfilter: rpfilter/fib: Set ->flowic_uid correctly for user namespaces.
    - netfilter: fib: check correct rtable in vrf setups
    - net: rtnetlink: add msg kind names
    - rtnetlink: Add bulk registration helpers for rtnetlink message handlers.
    - mctp: Handle error of rtnl_register_module().
    - ppp: fix ppp_async_encode() illegal access
    - slip: make slhc_remember() more robust against malicious packets
    - RDMA/hns: Fix UAF for cq async event
    - x86/fpu: Avoid writing LBR bit to IA32_XSS unless supported
    - hwmon: (tmp513) Add missing dependency on REGMAP_I2C
    - hwmon: (adm9240) Add missing dependency on REGMAP_I2C
    - hwmon: (adt7470) Add missing dependency on REGMAP_I2C
    - HID: amd_sfh: Switch to device-managed dmam_alloc_coherent()
    - resource: fix region_intersects() vs add_memory_driver_managed()
    - HID: plantronics: Workaround for an unexcepted opposite volume key
    - Revert "usb: yurex: Replace snprintf() with the safer scnprintf() variant"
    - usb: dwc3: core: Stop processing of pending events if controller is halted
    - usb: xhci: Fix problem with xhci resume from suspend
    - usb: storage: ignore bogus device raised by JieLi BR21 USB sound chip
    - hid: intel-ish-hid: Fix uninitialized variable 'rv' in
      ish_fw_xfer_direct_dma
    - drm/v3d: Stop the active perfmon before being destroyed
    - net: explicitly clear the sk pointer, when pf->create fails
    - net: Fix an unsafe loop on the list
    - net: dsa: lan9303: ensure chip reset and wait for READY status
    - mptcp: pm: do not remove closing subflows
    - nouveau/dmem: Fix vulnerability in migrate_to_ram upon copy error
    - kthread: unpark only parked kthread
    - block, bfq: fix uaf for accessing waker_bfqq after splitting
    - i2c: smbus: Check for parent device before dereference
    - net: geneve: add missing netlink policy and size for
      IFLA_GENEVE_INNER_PROTO_INHERIT
    - xfrm: Pass flowi_oif or l3mdev as oif to xfrm_dst_lookup
    - net: Handle l3mdev in ip_tunnel_init_flow
    - net: seg6: fix seg6_lookup_any_nexthop() to handle VRFs using flowi_l3mdev
    - net: vrf: determine the dst using the original ifindex for multicast
    - netfilter: ip6t_rpfilter: Fix regression with VRF interfaces
    - ext4: fix warning in ext4_dio_write_end_io()
    - net: axienet: start napi before enabling Rx/Tx
    - selftests: net: more strict check in net_helper
    - net: xilinx: axienet: Schedule NAPI in two steps
    - Linux 5.15.168
  * CVE-2024-36968
    - Bluetooth: L2CAP: Fix div-by-zero in l2cap_le_flowctl_init()
  * CVE-2024-35904
    - selinux: avoid dereference of garbage after mount failure
  * IOMMU warnings on AMD systems after booting into kdump kernel
    (LP: #2080378)
    - iommu/amd: Simplify and Consolidate Virtual APIC (AVIC) Enablement
    - iommu/amd: Fix compile warning in init code
  * CVE-2024-42156
    - s390/pkey: Wipe copies of clear-key structures on failure
  * CVE-2024-44942
    - f2fs: fix to do sanity check on F2FS_INLINE_DATA flag in inode during GC
  * CVE-2024-38538
    - net: bridge: xmit: make sure we have at least eth header len bytes
  * CVE-2024-42158
    - s390/pkey: Use kfree_sensitive() to fix Coccinelle warnings
  * CVE-2024-38667
    - riscv: prevent pt_regs corruption for secondary idle threads
  * CVE-2024-44940
    - fou: remove warn in gue_gro_receive on unsupported protocol
  * CVE-2024-42079
    - gfs2: Fix NULL pointer dereference in gfs2_log_flush
  * CVE-2024-35951
    - drm/panfrost: Fix the error path in panfrost_mmu_map_fault_addr()
  * LXD fan bridge causes blocked tasks (LP: #2064176)
    - SAUCE: fan: release rcu_read_lock on skb discard path
  * CVE-2023-52532
    - net: mana: Fix TX CQE error handling
  * CVE-2023-52621
    - bpf: Check rcu_read_lock_trace_held() before calling bpf map helpers
  * CVE-2024-26947
    - ARM: 9359/1: flush: check if the folio is reserved for no-mapping addresses
  * CVE-2023-52639
    - KVM: s390: vsie: fix race during shadow creation

  [ Ubuntu: 5.15.0-126.136 ]

  * jammy/linux: 5.15.0-126.136 -proposed tracker (LP: #2086027)
    - [Packaging] resync git-ubuntu-log
  * Cannot detect audio sinks and sources in proposed kernel (LP: #2085082)
    - soundwire: stream: Revert "soundwire: stream: fix programming slave ports
      for non-continous port maps"

  [ Ubuntu: 5.15.0-125.135 ]

  * jammy/linux: 5.15.0-125.135 -proposed tracker (LP: #2083001)
  * CVE-2024-26800
    - tls: rx: coalesce exit paths in tls_decrypt_sg()
    - tls: separate no-async decryption request handling from async
    - tls: fix use-after-free on failed backlog decryption
  * Please backport the more restrictive XSAVES deactivation for  Zen1/2 arch
    (LP: #2077321)
    - x86/CPU/AMD: Improve the erratum 1386 workaround
  * Jammy update: v5.15.167 upstream stable release (LP: #2081279)
    - drm: panel-orientation-quirks: Add quirk for OrangePi Neo
    - ALSA: hda/generic: Add a helper to mute speakers at suspend/shutdown
    - ALSA: hda/conexant: Mute speakers at suspend / shutdown
    - i2c: Fix conditional for substituting empty ACPI functions
    - dma-debug: avoid deadlock between dma debug vs printk and netconsole
    - net: usb: qmi_wwan: add MeiG Smart SRM825L
    - drm/amdgpu: Fix uninitialized variable warning in amdgpu_afmt_acr
    - drm/amd/display: Assign linear_pitch_alignment even for VM
    - drm/amdgpu: fix overflowed array index read warning
    - drm/amdgpu/pm: Check the return value of smum_send_msg_to_smc
    - drm/amd/pm: fix uninitialized variable warning for smu8_hwmgr
    - drm/amd/pm: fix warning using uninitialized value of max_vid_step
    - drm/amd/pm: fix the Out-of-bounds read warning
    - drm/amdgpu: fix uninitialized scalar variable warning
    - drm/amd/pm: fix uninitialized variable warnings for vega10_hwmgr
    - drm/amdgpu: avoid reading vf2pf info size from FB
    - drm/amd/display: Check gpio_id before used as array index
    - drm/amd/display: Stop amdgpu_dm initialize when stream nums greater than 6
    - drm/amd/display: Add array index check for hdcp ddc access
    - drm/amd/display: Check num_valid_sets before accessing reader_wm_sets[]
    - drm/amd/display: Check msg_id before processing transcation
    - drm/amd/display: Fix Coverity INTEGER_OVERFLOW within
      dal_gpio_service_create
    - drm/amd/amdgpu: Check tbo resource pointer
    - drm/amdgpu/pm: Fix uninitialized variable warning for smu10
    - drm/amdgpu/pm: Fix uninitialized variable agc_btc_response
    - drm/amdgpu: Fix out-of-bounds write warning
    - drm/amdgpu: Fix out-of-bounds read of df_v1_7_channel_number
    - drm/amdgpu: fix ucode out-of-bounds read warning
    - drm/amdgpu: fix mc_data out-of-bounds read warning
    - drm/amdkfd: Reconcile the definition and use of oem_id in struct
      kfd_topology_device
    - apparmor: fix possible NULL pointer dereference
    - drm/amdgpu/pm: Check input value for CUSTOM profile mode setting on legacy
      SOCs
    - drm/amdgpu: fix the waring dereferencing hive
    - drm/amd/pm: check specific index for aldebaran
    - drm/amdgpu: the warning dereferencing obj for nbio_v7_4
    - drm/amd/pm: check negtive return for table entries
    - drm/amdgpu: update type of buf size to u32 for eeprom functions
    - wifi: iwlwifi: remove fw_running op
    - cpufreq: scmi: Avoid overflow of target_freq in fast switch
    - PCI: al: Check IORESOURCE_BUS existence during probe
    - hwspinlock: Introduce hwspin_lock_bust()
    - RDMA/efa: Properly handle unexpected AQ completions
    - ionic: fix potential irq name truncation
    - rcu/nocb: Remove buggy bypass lock contention mitigation
    - usbip: Don't submit special requests twice
    - usb: typec: ucsi: Fix null pointer dereference in trace
    - fsnotify: clear PARENT_WATCHED flags lazily
    - smack: tcp: ipv4, fix incorrect labeling
    - drm/meson: plane: Add error handling
    - drm/bridge: tc358767: Check if fully initialized before signalling HPD event
      via IRQ
    - wifi: cfg80211: make hash table duplicates more survivable
    - block: remove the blk_flush_integrity call in blk_integrity_unregister
    - drm/amd/display: Skip wbscl_set_scaler_filter if filter is null
    - media: uvcvideo: Enforce alignment of frame and interval
    - drm/amd/pm: Fix the null pointer dereference for vega10_hwmgr
    - virtio_net: Fix napi_skb_cache_put warning
    - rcu-tasks: Fix show_rcu_tasks_trace_gp_kthread buffer overflow
    - ext4: reject casefold inode flag without casefold feature
    - udf: Limit file size to 4TB
    - ext4: handle redirtying in ext4_bio_write_page()
    - i2c: Use IS_REACHABLE() for substituting empty ACPI functions
    - sch/netem: fix use after free in netem_dequeue
    - ASoC: dapm: Fix UAF for snd_soc_pcm_runtime object
    - KVM: SVM: fix emulation of msr reads/writes of MSR_FS_BASE and MSR_GS_BASE
    - KVM: SVM: Don't advertise Bus Lock Detect to guest if SVM support is missing
    - ALSA: hda/conexant: Add pincfg quirk to enable top speakers on Sirius
      devices
    - ALSA: hda/realtek: add patch for internal mic in Lenovo V145
    - ALSA: hda/realtek: Support mute LED on HP Laptop 14-dq2xxx
    - ata: libata: Fix memory leak for error path in ata_host_alloc()
    - irqchip/gic-v2m: Fix refcount leak in gicv2m_of_init()
    - rtmutex: Drop rt_mutex::wait_lock before scheduling
    - nvme-pci: Add sleep quirk for Samsung 990 Evo
    - Revert "Bluetooth: MGMT/SMP: Fix address type when using SMP over BREDR/LE"
    - Bluetooth: MGMT: Ignore keys being loaded with invalid type
    - mmc: dw_mmc: Fix IDMAC operation with pages bigger than 4K
    - mmc: sdhci-of-aspeed: fix module autoloading
    - mmc: cqhci: Fix checking of CQHCI_HALT state
    - fuse: update stats for pages in dropped aux writeback list
    - fuse: use unsigned type for getxattr/listxattr size truncation
    - clk: qcom: clk-alpha-pll: Fix the pll post div mask
    - clk: qcom: clk-alpha-pll: Fix the trion pll postdiv set rate API
    - can: mcp251x: fix deadlock if an interrupt occurs during mcp251x_open
    - tracing: Avoid possible softlockup in tracing_iter_reset()
    - ila: call nf_unregister_net_hooks() sooner
    - sched: sch_cake: fix bulk flow accounting logic for host fairness
    - nilfs2: fix missing cleanup on rollforward recovery error
    - nilfs2: fix state management in error path of log writing function
    - mptcp: pm: re-using ID of unused flushed subflows
    - mptcp: pm: only decrement add_addr_accepted for MPJ req
    - mptcp: pm: check add_addr_accept_max before accepting new ADD_ADDR
    - mptcp: pm: fullmesh: select the right ID later
    - mptcp: constify a bunch of of helpers
    - mptcp: pm: avoid possible UaF when selecting endp
    - mptcp: avoid duplicated SUB_CLOSED events
    - mptcp: close subflow when receiving TCP+FIN
    - mptcp: pm: ADD_ADDR 0 is not a new address
    - mptcp: pm: do not remove already closed subflows
    - mptcp: pm: skip connecting to already established sf
    - mptcp: pr_debug: add missing n at the end
    - mptcp: pm: send ACK on an active subflow
    - ALSA: hda: Add input value sanity checks to HDMI channel map controls
    - smack: unix sockets: fix accept()ed socket label
    - irqchip/armada-370-xp: Do not allow mapping IRQ 0 and 1
    - af_unix: Remove put_pid()/put_cred() in copy_peercred().
    - iommu: sun50i: clear bypass register
    - netfilter: nf_conncount: fix wrong variable type
    - udf: Avoid excessive partition lengths
    - media: vivid: fix wrong sizeimage value for mplane
    - leds: spi-byte: Call of_node_put() on error path
    - wifi: brcmsmac: advertise MFP_CAPABLE to enable WPA3
    - usb: uas: set host status byte on data completion error
    - drm/amd/display: Check HDCP returned status
    - media: vivid: don't set HDMI TX controls if there are no HDMI outputs
    - PCI: keystone: Add workaround for Errata #i2037 (AM65x SR 1.0)
    - media: qcom: camss: Add check for v4l2_fwnode_endpoint_parse
    - pcmcia: Use resource_size function on resource object
    - drm/amdgpu: check for LINEAR_ALIGNED correctly in check_tiling_flags_gfx6
    - can: bcm: Remove proc entry when dev is unregistered.
    - can: m_can: Release irq on error in m_can_open
    - igb: Fix not clearing TimeSync interrupts for 82580
    - platform/x86: dell-smbios: Fix error path in dell_smbios_init()
    - tcp_bpf: fix return value of tcp_bpf_sendmsg()
    - igc: Unlock on error in igc_io_resume()
    - ice: check ICE_VSI_DOWN under rtnl_lock when preparing for reset
    - net: usb: don't write directly to netdev->dev_addr
    - usbnet: modern method to get random MAC
    - bareudp: Fix device stats updates.
    - gro: remove rcu_read_lock/rcu_read_unlock from gro_receive handlers
    - gro: remove rcu_read_lock/rcu_read_unlock from gro_complete handlers
    - fou: Fix null-ptr-deref in GRO.
    - net: bridge: br_fdb_external_learn_add(): always set EXT_LEARN
    - net: dsa: vsc73xx: fix possible subblocks range of CAPT block
    - ASoC: topology: Properly initialize soc_enum values
    - dm init: Handle minors larger than 255
    - iommu/vt-d: Handle volatile descriptor status read
    - cgroup: Protect css->cgroup write under css_set_lock
    - um: line: always fill *error_out in setup_one_line()
    - devres: Initialize an uninitialized struct member
    - pci/hotplug/pnv_php: Fix hotplug driver crash on Powernv
    - hwmon: (adc128d818) Fix underflows seen when writing limit attributes
    - hwmon: (lm95234) Fix underflows seen when writing limit attributes
    - hwmon: (nct6775-core) Fix underflows seen when writing limit attributes
    - hwmon: (w83627ehf) Fix underflows seen when writing limit attributes
    - libbpf: Add NULL checks to bpf_object__{prev_map,next_map}
    - drm/amdgpu: Set no_hw_access when VF request full GPU fails
    - ext4: fix possible tid_t sequence overflows
    - dma-mapping: benchmark: Don't starve others when doing the test
    - wifi: mwifiex: Do not return unused priv in mwifiex_get_priv_by_id()
    - smp: Add missing destroy_work_on_stack() call in smp_call_on_cpu()
    - fs/ntfs3: Check more cases when directory is corrupted
    - btrfs: replace BUG_ON with ASSERT in walk_down_proc()
    - btrfs: clean up our handling of refs == 0 in snapshot delete
    - btrfs: replace BUG_ON() with error handling at update_ref_for_cow()
    - riscv: set trap vector earlier
    - PCI: Add missing bridge lock to pci_bus_lock()
    - net: dpaa: avoid on-stack arrays of NR_CPUS elements
    - i3c: mipi-i3c-hci: Error out instead on BUG_ON() in IBI DMA setup
    - kselftests: dmabuf-heaps: Ensure the driver name is null-terminated
    - btrfs: initialize location to fix -Wmaybe-uninitialized in
      btrfs_lookup_dentry()
    - s390/vmlinux.lds.S: Move ro_after_init section behind rodata section
    - HID: cougar: fix slab-out-of-bounds Read in cougar_report_fixup
    - HID: amd_sfh: free driver_data after destroying hid device
    - Input: uinput - reject requests with unreasonable number of slots
    - usbnet: ipheth: race between ipheth_close and error handling
    - Squashfs: sanity check symbolic link size
    - of/irq: Prevent device address out-of-bounds read in interrupt map walk
    - lib/generic-radix-tree.c: Fix rare race in __genradix_ptr_alloc()
    - MIPS: cevt-r4k: Don't call get_c0_compare_int if timer irq is installed
    - ata: pata_macio: Use WARN instead of BUG
    - NFSv4: Add missing rescheduling points in
      nfs_client_return_marked_delegations
    - cifs: Check the lease context if we actually got a lease
    - staging: iio: frequency: ad9834: Validate frequency parameter value
    - iio: buffer-dmaengine: fix releasing dma channel on error
    - iio: fix scale application in iio_convert_raw_to_processed_unlocked
    - iio: adc: ad7124: fix config comparison
    - iio: adc: ad7124: fix chip ID mismatch
    - usb: dwc3: core: update LC timer as per USB Spec V3.2
    - binder: fix UAF caused by offsets overwrite
    - nvmem: Fix return type of devm_nvmem_device_get() in kerneldoc
    - uio_hv_generic: Fix kernel NULL pointer dereference in hv_uio_rescind
    - Drivers: hv: vmbus: Fix rescind handling in uio_hv_generic
    - VMCI: Fix use-after-free when removing resource in vmci_resource_remove()
    - clocksource/drivers/imx-tpm: Fix return -ETIME when delta exceeds INT_MAX
    - clocksource/drivers/imx-tpm: Fix next event not taking effect sometime
    - clocksource/drivers/timer-of: Remove percpu irq related code
    - uprobes: Use kzalloc to allocate xol area
    - perf/aux: Fix AUX buffer serialization
    - ksmbd: unset the binding mark of a reused connection
    - ksmbd: Unlock on in ksmbd_tcp_set_interfaces()
    - nilfs2: replace snprintf in show functions with sysfs_emit
    - nilfs2: protect references to superblock parameters exposed in sysfs
    - workqueue: wq_watchdog_touch is always called with valid CPU
    - workqueue: Improve scalability of workqueue watchdog touch
    - ACPI: processor: Return an error if acpi_processor_get_info() fails in
      processor_add()
    - ACPI: processor: Fix memory leaks in error paths of processor_add()
    - arm64: acpi: Move get_cpu_for_acpi_id() to a header
    - arm64: acpi: Harden get_cpu_for_acpi_id() against missing CPU entry
    - nvmet-tcp: fix kernel crash if commands allocation fails
    - ASoC: sunxi: sun4i-i2s: fix LRCLK polarity in i2s mode
    - drm/i915/fence: Mark debug_fence_init_onstack() with __maybe_unused
    - drm/i915/fence: Mark debug_fence_free() with __maybe_unused
    - gpio: rockchip: fix OF node leak in probe()
    - net: more strict VIRTIO_NET_HDR_GSO_UDP_L4 validation
    - net: change maximum number of UDP segments to 128
    - gso: fix dodgy bit handling for GSO_UDP_L4
    - net: drop bad gso csum_start and offset in virtio_net_hdr
    - x86/mm: Fix PTI for i386 some more
    - net, sunrpc: Remap EPERM in case of connection failure in
      xs_tcp_setup_socket
    - btrfs: fix race between direct IO write and fsync when using same fd
    - memcg: protect concurrent access to mem_cgroup_idr
    - udp: fix receiving fraglist GSO packets
    - Linux 5.15.167
  * CVE-2024-41071
    - wifi: mac80211: Avoid address calculations via out of bounds array indexing
  * CVE-2024-40915
    - riscv: rewrite __kernel_map_pages() to fix sleeping in invalid context
  * CVE-2024-38611
    - media: i2c: et8ek8: Don't strip remove function when driver is builtin
  * CVE-2024-38602
    - ax25: Fix reference count leak issues of ax25_dev
  * CVE-2024-26669
    - net/sched: flower: Fix chain template offload
  * CVE-2024-26607
    - drm/bridge: sii902x: Fix probing race issue
  * Jammy update: v5.15.166 upstream stable release (LP: #2080594)
    - fuse: Initialize beyond-EOF page contents before setting uptodate
    - char: xillybus: Don't destroy workqueue from work item running on it
    - char: xillybus: Refine workqueue handling
    - char: xillybus: Check USB endpoints when probing device
    - ALSA: usb-audio: Add delay quirk for VIVO USB-C-XE710 HEADSET
    - ALSA: usb-audio: Support Yamaha P-125 quirk entry
    - xhci: Fix Panther point NULL pointer deref at full-speed re-enumeration
    - thunderbolt: Mark XDomain as unplugged when router is removed
    - s390/dasd: fix error recovery leading to data corruption on ESE devices
    - arm64: ACPI: NUMA: initialize all values of acpi_early_node_map to
      NUMA_NO_NODE
    - dm resume: don't return EINVAL when signalled
    - dm persistent data: fix memory allocation failure
    - vfs: Don't evict inode under the inode lru traversing context
    - fs/ntfs3: add prefix to bitmap_size() and use BITS_TO_U64()
    - s390/cio: rename bitmap_size() -> idset_bitmap_size()
    - btrfs: rename bitmap_set_bits() -> btrfs_bitmap_set_bits()
    - bitmap: introduce generic optimized bitmap_size()
    - fix bitmap corruption on close_range() with CLOSE_RANGE_UNSHARE
    - selinux: fix potential counting error in avc_add_xperms_decision()
    - btrfs: tree-checker: add dev extent item checks
    - drm/amdgpu: Actually check flags for all context ops.
    - memcg_write_event_control(): fix a user-triggerable oops
    - drm/amdgpu/jpeg2: properly set atomics vmid field
    - s390/uv: Panic for set and remove shared access UVC errors
    - igc: Correct the launchtime offset
    - igc: remove I226 Qbv BaseTime restriction
    - igc: Fix packet still tx after gate close by reducing i226 MAC retry buffer
    - net/mlx5e: Correctly report errors for ethtool rx flows
    - atm: idt77252: prevent use after free in dequeue_rx()
    - net: axienet: Fix register defines comment description
    - net: dsa: vsc73xx: pass value in phy_write operation
    - net: dsa: vsc73xx: use read_poll_timeout instead delay loop
    - net: dsa: vsc73xx: check busy flag in MDIO operations
    - mlxbf_gige: Remove two unused function declarations
    - mlxbf_gige: disable RX filters until RX path initialized
    - mptcp: correct MPTCP_SUBFLOW_ATTR_SSN_OFFSET reserved size
    - netfilter: allow ipv6 fragments to arrive on different devices
    - netfilter: flowtable: initialise extack before use
    - netfilter: nf_queue: drop packets with cloned unconfirmed conntracks
    - net: hns3: fix wrong use of semaphore up
    - net: hns3: fix a deadlock problem when config TC during resetting
    - ALSA: hda/realtek: Fix noise from speakers on Lenovo IdeaPad 3 15IAU7
    - ssb: Fix division by zero issue in ssb_calc_clock_rate
    - wifi: cfg80211: check wiphy mutex is held for wdev mutex
    - wifi: mac80211: fix BA session teardown race
    - wifi: cw1200: Avoid processing an invalid TIM IE
    - i2c: riic: avoid potential division by zero
    - RDMA/rtrs: Fix the problem of variable not initialized fully
    - s390/smp,mcck: fix early IPI handling
    - i3c: mipi-i3c-hci: Remove BUG() when Ring Abort request times out
    - i3c: mipi-i3c-hci: Do not unmap region not mapped for transfer
    - media: radio-isa: use dev_name to fill in bus_info
    - staging: iio: resolver: ad2s1210: fix use before initialization
    - drm/amd/display: Validate hw_points_num before using it
    - staging: ks7010: disable bh on tx_dev_lock
    - binfmt_misc: cleanup on filesystem umount
    - media: qcom: venus: fix incorrect return value
    - scsi: spi: Fix sshdr use
    - gfs2: setattr_chown: Add missing initialization
    - wifi: iwlwifi: abort scan when rfkill on but device enabled
    - wifi: iwlwifi: fw: Fix debugfs command sending
    - IB/hfi1: Fix potential deadlock on &irq_src_lock and &dd->uctxt_lock
    - hwmon: (ltc2992) Avoid division by zero
    - arm64: Fix KASAN random tag seed initialization
    - memory: tegra: Skip SID programming if SID registers aren't set
    - powerpc/xics: Check return value of kasprintf in icp_native_map_one_cpu
    - nvmet-trace: avoid dereferencing pointer too early
    - ext4: do not trim the group with corrupted block bitmap
    - afs: fix __afs_break_callback() / afs_drop_open_mmap() race
    - fuse: fix UAF in rcu pathwalks
    - quota: Remove BUG_ON from dqget()
    - media: pci: cx23885: check cx23885_vdev_init() return
    - fs: binfmt_elf_efpic: don't use missing interpreter's properties
    - scsi: lpfc: Initialize status local variable in lpfc_sli4_repost_sgl_list()
    - media: drivers/media/dvb-core: copy user arrays safely
    - net/sun3_82586: Avoid reading past buffer in debug output
    - drm/lima: set gp bus_stop bit before hard reset
    - virtiofs: forbid newlines in tags
    - clocksource/drivers/arm_global_timer: Guard against division by zero
    - netlink: hold nlk->cb_mutex longer in __netlink_dump_start()
    - md: clean up invalid BUG_ON in md_ioctl
    - x86: Increase brk randomness entropy for 64-bit systems
    - memory: stm32-fmc2-ebi: check regmap_read return value
    - parisc: Use irq_enter_rcu() to fix warning at kernel/context_tracking.c:367
    - powerpc/boot: Handle allocation failure in simple_realloc()
    - powerpc/boot: Only free if realloc() succeeds
    - btrfs: change BUG_ON to assertion when checking for delayed_node root
    - btrfs: handle invalid root reference found in may_destroy_subvol()
    - btrfs: send: handle unexpected data in header buffer in begin_cmd()
    - btrfs: change BUG_ON to assertion in tree_move_down()
    - btrfs: delete pointless BUG_ON check on quota root in
      btrfs_qgroup_account_extent()
    - f2fs: fix to do sanity check in update_sit_entry
    - usb: gadget: fsl: Increase size of name buffer for endpoints
    - Bluetooth: bnep: Fix out-of-bound access
    - net: hns3: add checking for vf id of mailbox
    - nvmet-tcp: do not continue for invalid icreq
    - NFS: avoid infinite loop in pnfs_update_layout.
    - openrisc: Call setup_memory() earlier in the init sequence
    - s390/iucv: fix receive buffer virtual vs physical address confusion
    - clocksource: Make watchdog and suspend-timing multiplication overflow safe
    - platform/x86: lg-laptop: fix %s null argument warning
    - usb: dwc3: core: Skip setting event buffers for host only controllers
    - irqchip/gic-v3-its: Remove BUG_ON in its_vpe_irq_domain_alloc
    - ext4: set the type of max_zeroout to unsigned int to avoid overflow
    - nvmet-rdma: fix possible bad dereference when freeing rsps
    - hrtimer: Prevent queuing of hrtimer without a function callback
    - gtp: pull network headers in gtp_dev_xmit()
    - block: use "unsigned long" for blk_validate_block_size().
    - nfsd: move reply cache initialization into nfsd startup
    - nfsd: move init of percpu reply_cache_stats counters back to nfsd_init_net
    - NFSD: Refactor nfsd_reply_cache_free_locked()
    - NFSD: Rename nfsd_reply_cache_alloc()
    - NFSD: Replace nfsd_prune_bucket()
    - NFSD: Refactor the duplicate reply cache shrinker
    - NFSD: Rewrite synopsis of nfsd_percpu_counters_init()
    - NFSD: Fix frame size warning in svc_export_parse()
    - sunrpc: don't change ->sv_stats if it doesn't exist
    - nfsd: stop setting ->pg_stats for unused stats
    - sunrpc: pass in the sv_stats struct through svc_create_pooled
    - sunrpc: remove ->pg_stats from svc_program
    - sunrpc: use the struct net as the svc proc private
    - nfsd: rename NFSD_NET_* to NFSD_STATS_*
    - nfsd: expose /proc/net/sunrpc/nfsd in net namespaces
    - nfsd: make all of the nfsd stats per-network namespace
    - nfsd: remove nfsd_stats, make th_cnt a global counter
    - nfsd: make svc_stat per-network namespace instead of global
    - media: solo6x10: replace max(a, min(b, c)) by clamp(b, a, c)
    - dm suspend: return -ERESTARTSYS instead of -EINTR
    - net: mana: Fix doorbell out of order violation and avoid unnecessary
      doorbell rings
    - platform/surface: aggregator: Fix warning when controller is destroyed in
      probe
    - Bluetooth: hci_core: Fix LE quote calculation
    - Bluetooth: SMP: Fix assumption of Central always being Initiator
    - tc-testing: don't access non-existent variable on exception
    - kcm: Serialise kcm_sendmsg() for the same socket.
    - netfilter: nft_counter: Disable BH in nft_counter_offload_stats().
    - netfilter: nft_counter: Synchronize nft_counter_reset() against reader.
    - ip6_tunnel: Fix broken GRO
    - bonding: fix bond_ipsec_offload_ok return type
    - bonding: fix null pointer deref in bond_ipsec_offload_ok
    - bonding: fix xfrm real_dev null pointer dereference
    - bonding: fix xfrm state handling when clearing active slave
    - ice: fix ICE_LAST_OFFSET formula
    - dpaa2-switch: Fix error checking in dpaa2_switch_seed_bp()
    - net: dsa: mv88e6xxx: read FID when handling ATU violations
    - net: dsa: mv88e6xxx: replace ATU violation prints with trace points
    - net: dsa: mv88e6xxx: Fix out-of-bound access
    - ipv6: prevent UAF in ip6_send_skb()
    - ipv6: fix possible UAF in ip6_finish_output2()
    - ipv6: prevent possible UAF in ip6_xmit()
    - netfilter: flowtable: validate vlan header
    - net: xilinx: axienet: Always disable promiscuous mode
    - net: xilinx: axienet: Fix dangling multicast addresses
    - drm/msm/dpu: don't play tricks with debug macros
    - drm/msm/dp: reset the link phy params before link training
    - drm/msm/dpu: cleanup FB if dpu_format_populate_layout fails
    - mmc: mmc_test: Fix NULL dereference on allocation failure
    - Bluetooth: MGMT: Add error handling to pair_device()
    - scsi: core: Fix the return value of scsi_logical_block_count()
    - MIPS: Loongson64: Set timer mode in cpu-probe
    - HID: wacom: Defer calculation of resolution until resolution_code is known
    - HID: microsoft: Add rumble support to latest xbox controllers
    - cxgb4: add forgotten u64 ivlan cast before shift
    - KVM: arm64: Make ICC_*SGI*_EL1 undef in the absence of a vGICv3
    - mmc: dw_mmc: allow biu and ciu clocks to defer
    - Revert "drm/amd/display: Validate hw_points_num before using it"
    - hwmon: (ltc2992) Fix memory leak in ltc2992_parse_dt()
    - ALSA: timer: Relax start tick time check for slave timer elements
    - mm/numa: no task_numa_fault() call if PMD is changed
    - mm/numa: no task_numa_fault() call if PTE is changed
    - Input: MT - limit max slots
    - tools: move alignment-related macros to new <linux/align.h>
    - btrfs: run delayed iputs when flushing delalloc
    - pinctrl: rockchip: correct RK3328 iomux width flag for GPIO2-B pins
    - pinctrl: single: fix potential NULL dereference in pcs_get_function()
    - wifi: mwifiex: duplicate static structs used in driver instances
    - net: mana: Fix race of mana_hwc_post_rx_wqe and new hwc response
    - mptcp: sched: check both backup in retrans
    - Revert "MIPS: Loongson64: reset: Prioritise firmware service"
    - drm/amdkfd: don't allow mapping the MMIO HDP page with large pages
    - ata: libata-core: Fix null pointer dereference on error
    - cgroup/cpuset: Prevent UAF in proc_cpuset_show()
    - net:rds: Fix possible deadlock in rds_message_put
    - soundwire: stream: fix programming slave ports for non-continous port maps
    - PM: core: Remove DEFINE_UNIVERSAL_DEV_PM_OPS() macro
    - PM: core: Add EXPORT[_GPL]_SIMPLE_DEV_PM_OPS macros
    - PM: runtime: Add DEFINE_RUNTIME_DEV_PM_OPS() macro
    - phy: xilinx: add runtime PM support
    - phy: xilinx: phy-zynqmp: dynamic clock support for power-save
    - phy: xilinx: phy-zynqmp: Fix SGMII linkup failure on resume
    - dmaengine: dw: Add peripheral bus width verification
    - dmaengine: dw: Add memory bus width verification
    - ethtool: check device is present when getting link settings
    - gtp: fix a potential NULL pointer dereference
    - net: busy-poll: use ktime_get_ns() instead of local_clock()
    - nfc: pn533: Add poll mod list filling check
    - soc: qcom: cmd-db: Map shared memory as WC, not WB
    - cdc-acm: Add DISABLE_ECHO quirk for GE HealthCare UI Controller
    - USB: serial: option: add MeiG Smart SRM825L
    - usb: dwc3: omap: add missing depopulate in probe error path
    - usb: dwc3: core: Prevent USB core invalid event buffer address access
    - usb: dwc3: st: fix probed platform device ref count on probe error path
    - usb: dwc3: st: add missing depopulate in probe error path
    - usb: core: sysfs: Unmerge @usb3_hardware_lpm_attr_group in
      remove_power_attributes()
    - usb: cdnsp: fix incorrect index in cdnsp_get_hw_deq function
    - usb: cdnsp: fix for Link TRB with TC
    - phy: zynqmp: Enable reference clock correctly
    - igc: Fix reset adapter logics when tx mode change
    - igc: Fix qbv tx latency by setting gtxoffset
    - scsi: aacraid: Fix double-free on probe failure
    - apparmor: fix policy_unpack_test on big endian systems
    - Linux 5.15.166
  * CVE-2024-26893
    - firmware: arm_scmi: Fix double free in SMC transport cleanup path
  * [22.10 FEAT] KVM: Secure Execution guest dump encryption with customer keys
    - kernel part (LP: #1959940)
    - s390: uv: Add offset comments to UV query struct and fix naming
    - s390/uv: Add SE hdr query information
    - s390/uv: Add dump fields to query
    - KVM: s390: pv: Add query interface
    - KVM: s390: pv: Add dump support definitions
    - KVM: s390: pv: Add query dump information
    - KVM: s390: Add configuration dump functionality
    - KVM: s390: Add CPU dump functionality
    - KVM: s390: Add KVM_CAP_S390_PROTECTED_DUMP
    - Documentation: KVM: add separate directories for architecture-specific
      documentation
    - Documentation: virt: Protected virtual machine dumps
    - Documentation/virt/kvm/api.rst: Add protvirt dump/info api descriptions
    - Documentation/virt/kvm/api.rst: Explain rc/rrc delivery
  * turbostat fails with too many open files on large systems (LP: #2069961)
    - tools/power turbostat: Increase the limit for fd opened
  * Jammy update: v5.15.165 upstream stable release (LP: #2078428)
    - f2fs: fix return value of f2fs_convert_inline_inode()
    - f2fs: fix to don't dirty inode for readonly filesystem
    - EDAC, i10nm: make skx_common.o a separate module
    - platform/chrome: cros_ec_debugfs: fix wrong EC message version
    - block: refactor to use helper
    - block: cleanup bio_integrity_prep
    - block: initialize integrity buffer to zero before writing it to media
    - hfsplus: fix to avoid false alarm of circular locking
    - x86/of: Return consistent error type from x86_of_pci_irq_enable()
    - x86/pci/intel_mid_pci: Fix PCIBIOS_* return code handling
    - x86/pci/xen: Fix PCIBIOS_* return code handling
    - x86/platform/iosf_mbi: Convert PCIBIOS_* return codes to errnos
    - hwmon: (adt7475) Fix default duty on fan is disabled
    - pwm: stm32: Always do lazy disabling
    - drm/meson: fix canvas release in bind function
    - hwmon: (max6697) Fix underflow when writing limit attributes
    - hwmon: (max6697) Fix swapped temp{1,8} critical alarms
    - arm64: dts: qcom: sdm845: add power-domain to UFS PHY
    - arm64: dts: qcom: sm8250: switch UFS QMP PHY to new style of bindings
    - arm64: dts: qcom: sm8250: add power-domain to UFS PHY
    - soc: qcom: rpmh-rsc: Ensure irqs aren't disabled by rpmh_rsc_send_data()
      callers
    - arm64: dts: qcom: msm8996: specify UFS core_clk frequencies
    - memory: fsl_ifc: Make FSL_IFC config visible and selectable
    - soc: qcom: pdr: protect locator_addr with the main mutex
    - soc: qcom: pdr: fix parsing of domains lists
    - arm64: dts: rockchip: Increase VOP clk rate on RK3328
    - ARM: dts: imx6qdl-kontron-samx6i: move phy reset into phy-node
    - ARM: dts: imx6qdl-kontron-samx6i: fix PHY reset
    - ARM: dts: imx6qdl-kontron-samx6i: fix board reset
    - ARM: dts: imx6qdl-kontron-samx6i: fix SPI0 chip selects
    - ARM: dts: imx6qdl-kontron-samx6i: fix PCIe reset polarity
    - arm64: dts: mediatek: mt8183-kukui: Drop bogus output-enable property
    - arm64: dts: mediatek: mt7622: fix "emmc" pinctrl mux
    - arm64: dts: mediatek: mt8183-kukui-jacuzzi: Add ports node for anx7625
    - arm64: dts: amlogic: gx: correct hdmi clocks
    - m68k: atari: Fix TT bootup freeze / unexpected (SCU) interrupt messages
    - x86/xen: Convert comma to semicolon
    - m68k: cmpxchg: Fix return value for default case in __arch_xchg()
    - ARM: pxa: spitz: use gpio descriptors for audio
    - ARM: spitz: fix GPIO assignment for backlight
    - vmlinux.lds.h: catch .bss..L* sections into BSS")
    - firmware: turris-mox-rwtm: Do not complete if there are no waiters
    - firmware: turris-mox-rwtm: Fix checking return value of
      wait_for_completion_timeout()
    - firmware: turris-mox-rwtm: Initialize completion before mailbox
    - wifi: brcmsmac: LCN PHY code is used for BCM4313 2G-only device
    - selftests/bpf: Fix prog numbers in test_sockmap
    - net: esp: cleanup esp_output_tail_tcp() in case of unsupported ESPINTCP
    - tcp: annotate lockless accesses to sk->sk_err_soft
    - tcp: annotate lockless access to sk->sk_err
    - tcp: add tcp_done_with_error() helper
    - tcp: fix race in tcp_write_err()
    - tcp: fix races in tcp_v[46]_err()
    - net/smc: set rmb's SG_MAX_SINGLE_ALLOC limitation only when
      CONFIG_ARCH_NO_SG_CHAIN is defined
    - selftests/bpf: Check length of recv in test_sockmap
    - lib: objagg: Fix general protection fault
    - mlxsw: spectrum_acl_erp: Fix object nesting warning
    - mlxsw: spectrum_acl_bloom_filter: Make mlxsw_sp_acl_bf_key_encode() more
      flexible
    - mlxsw: spectrum_acl: Fix ACL scale regression and firmware errors
    - wifi: ath11k: fix wrong handling of CCMP256 and GCMP ciphers
    - wifi: cfg80211: fix typo in cfg80211_calculate_bitrate_he()
    - wifi: cfg80211: handle 2x996 RU allocation in
      cfg80211_calculate_bitrate_he()
    - net: fec: Refactor: #define magic constants
    - net: fec: Fix FEC_ECR_EN1588 being cleared on link-down
    - libbpf: Checking the btf_type kind when fixing variable offsets
    - ipvs: Avoid unnecessary calls to skb_is_gso_sctp
    - netfilter: nf_tables: rise cap on SELinux secmark context
    - perf/x86/intel/pt: Fix pt_topa_entry_for_page() address calculation
    - perf: Fix perf_aux_size() for greater-than 32-bit size
    - perf: Prevent passing zero nr_pages to rb_alloc_aux()
    - perf: Fix default aux_watermark calculation
    - wifi: virt_wifi: avoid reporting connection success with wrong SSID
    - gss_krb5: Fix the error handling path for crypto_sync_skcipher_setkey
    - wifi: virt_wifi: don't use strlen() in const context
    - locking/rwsem: Add __always_inline annotation to __down_write_common() and
      inlined callers
    - selftests/bpf: Close fd in error path in drop_on_reuseport
    - bpf: annotate BTF show functions with __printf
    - bna: adjust 'name' buf size of bna_tcb and bna_ccb structures
    - bpf: Eliminate remaining "make W=1" warnings in kernel/bpf/btf.o
    - selftests: forwarding: devlink_lib: Wait for udev events after reloading
    - xdp: fix invalid wait context of page_pool_destroy()
    - drm/amd/pm: Fix aldebaran pcie speed reporting
    - drm/amdgpu: Check if NBIO funcs are NULL in amdgpu_device_baco_exit
    - drm/panel: boe-tv101wum-nl6: If prepare fails, disable GPIO before
      regulators
    - drm/panel: boe-tv101wum-nl6: Check for errors on the NOP in prepare()
    - media: dvb-usb: Fix unexpected infinite loop in
      dvb_usb_read_remote_control()
    - media: imon: Fix race getting ictx->lock
    - media: i2c: Fix imx412 exposure control
    - saa7134: Unchecked i2c_transfer function result fixed
    - media: uvcvideo: Override default flags
    - media: renesas: vsp1: Fix _irqsave and _irq mix
    - media: renesas: vsp1: Store RPF partition configuration per RPF instance
    - drm/mediatek: Add missing plane settings when async update
    - drm/mediatek: Add DRM_MODE_ROTATE_0 to rotation property
    - leds: trigger: Unregister sysfs attributes before calling deactivate()
    - perf report: Fix condition in sort__sym_cmp()
    - drm/etnaviv: fix DMA direction handling for cached RW buffers
    - drm/qxl: Add check for drm_cvt_mode
    - Revert "leds: led-core: Fix refcount leak in of_led_get()"
    - ext4: fix infinite loop when replaying fast_commit
    - media: venus: flush all buffers in output plane streamoff
    - perf intel-pt: Fix aux_watermark calculation for 64-bit size
    - perf intel-pt: Fix exclude_guest setting
    - mfd: rsmu: Split core code into separate module
    - mfd: omap-usb-tll: Use struct_size to allocate tll
    - xprtrdma: Fix rpcrdma_reqs_reset()
    - SUNRPC: avoid soft lockup when transmitting UDP to reachable server.
    - NFSv4.1 another fix for EXCHGID4_FLAG_USE_PNFS_DS for DS server
    - ext4: return early for non-eligible fast_commit track events
    - ext4: don't track ranges in fast_commit if inode has inlined data
    - ext4: avoid writing unitialized memory to disk in EA inodes
    - sparc64: Fix incorrect function signature and add prototype for
      prom_cif_init
    - SUNRPC: Fixup gss_status tracepoint error output
    - PCI: Fix resource double counting on remove & rescan
    - clk: qcom: branch: Add helper functions for setting retain bits
    - clk: qcom: gcc-sc7280: Update force mem core bit for UFS ICE clock
    - coresight: Fix ref leak when of_coresight_parse_endpoint() fails
    - RDMA/mlx5: Set mkeys for dmabuf at PAGE_SIZE
    - RDMA/cache: Release GID table even if leak is detected
    - Input: qt1050 - handle CHIP_ID reading error
    - RDMA/mlx4: Fix truncated output warning in mad.c
    - RDMA/mlx4: Fix truncated output warning in alias_GUID.c
    - RDMA/rxe: Don't set BTH_ACK_MASK for UC or UD QPs
    - ASoC: max98088: Check for clk_prepare_enable() error
    - mtd: make mtd_test.c a separate module
    - RDMA/device: Return error earlier if port in not valid
    - Input: elan_i2c - do not leave interrupt disabled on suspend failure
    - PCI: endpoint: Clean up error handling in vpci_scan_bus()
    - vhost/vsock: always initialize seqpacket_allow
    - net: missing check virtio
    - MIPS: Octeron: remove source file executable bit
    - powerpc/xmon: Fix disassembly CPU feature checks
    - macintosh/therm_windtunnel: fix module unload.
    - RDMA/hns: Fix missing pagesize and alignment check in FRMR
    - RDMA/hns: Fix undifined behavior caused by invalid max_sge
    - RDMA/hns: Fix insufficient extend DB for VFs.
    - bnxt_re: Fix imm_data endianness
    - netfilter: ctnetlink: use helper function to calculate expect ID
    - netfilter: nf_set_pipapo: fix initial map fill
    - net: dsa: mv88e6xxx: Limit chip-wide frame size config to CPU ports
    - net: dsa: b53: Limit chip-wide jumbo frame config to CPU ports
    - fs/ntfs3: Use ALIGN kernel macro
    - fs/ntfs3: Merge synonym COMPRESSION_UNIT and NTFS_LZNT_CUNIT
    - fs/ntfs3: Fix transform resident to nonresident for compressed files
    - fs/ntfs3: Missed NI_FLAG_UPDATE_PARENT setting
    - fs/ntfs3: Fix getting file type
    - pinctrl: rockchip: update rk3308 iomux routes
    - pinctrl: core: fix possible memory leak when pinctrl_enable() fails
    - pinctrl: single: fix possible memory leak when pinctrl_enable() fails
    - pinctrl: ti: ti-iodelay: Drop if block with always false condition
    - pinctrl: ti: ti-iodelay: fix possible memory leak when pinctrl_enable()
      fails
    - pinctrl: freescale: mxs: Fix refcount of child
    - fs/ntfs3: Replace inode_trylock with inode_lock
    - fs/ntfs3: Fix field-spanning write in INDEX_HDR
    - fs/proc/task_mmu: indicate PM_FILE for PMD-mapped file THP
    - nilfs2: avoid undefined behavior in nilfs_cnt32_ge macro
    - rtc: interface: Add RTC offset to alarm after fix-up
    - fs/ntfs3: Missed error return
    - landlock: Don't lose track of restrictions on cred_transfer
    - mm/hugetlb: fix possible recursive locking detected warning
    - mm: mmap_lock: replace get_memcg_path_buf() with on-stack buffer
    - dt-bindings: thermal: correct thermal zone node name limit
    - tick/broadcast: Make takeover of broadcast hrtimer reliable
    - net: netconsole: Disable target before netpoll cleanup
    - af_packet: Handle outgoing VLAN packets without hardware offloading
    - ipv6: take care of scope when choosing the src addr
    - sched/fair: set_load_weight() must also call reweight_task() for SCHED_IDLE
      tasks
    - fuse: verify {g,u}id mount options correctly
    - char: tpm: Fix possible memory leak in tpm_bios_measurements_open()
    - media: venus: fix use after free in vdec_close
    - ata: libata-scsi: Honor the D_SENSE bit for CK_COND=1 and no error
    - hfs: fix to initialize fields of hfs_inode_info after hfs_alloc_inode()
    - ext2: Verify bitmap and itable block numbers before using them
    - drm/gma500: fix null pointer dereference in cdv_intel_lvds_get_modes
    - drm/gma500: fix null pointer dereference in psb_intel_lvds_get_modes
    - scsi: qla2xxx: Fix optrom version displayed in FDMI
    - drm/amd/display: Check for NULL pointer
    - sched/fair: Use all little CPUs for CPU-bound workloads
    - apparmor: use kvfree_sensitive to free data->data
    - task_work: s/task_work_cancel()/task_work_cancel_func()/
    - task_work: Introduce task_work_cancel() again
    - udf: Avoid using corrupted block bitmap buffer
    - m68k: amiga: Turn off Warp1260 interrupts during boot
    - ext4: check dot and dotdot of dx_root before making dir indexed
    - ext4: make sure the first directory block is not a hole
    - io_uring: tighten task exit cancellations
    - selftests/landlock: Add cred_transfer test
    - wifi: mwifiex: Fix interface type change
    - leds: ss4200: Convert PCIBIOS_* return codes to errnos
    - jbd2: make jbd2_journal_get_max_txn_bufs() internal
    - media: uvcvideo: Fix integer overflow calculating timestamp
    - KVM: VMX: Split out the non-virtualization part of vmx_interrupt_blocked()
    - ALSA: usb-audio: Fix microphone sound on HD webcam.
    - ALSA: usb-audio: Move HD Webcam quirk to the right place
    - ALSA: usb-audio: Add a quirk for Sonix HD USB Camera
    - tools/memory-model: Fix bug in lock.cat
    - hwrng: amd - Convert PCIBIOS_* return codes to errnos
    - PCI: hv: Return zero, not garbage, when reading PCI_INTERRUPT_PIN
    - PCI: dw-rockchip: Fix initial PERST# GPIO value
    - PCI: rockchip: Use GPIOD_OUT_LOW flag while requesting ep_gpio
    - binder: fix hang of unregistered readers
    - dev/parport: fix the array out-of-bounds risk
    - fs/ntfs3: Update log->page_{mask,bits} if log->page_size changed
    - scsi: qla2xxx: Return ENOBUFS if sg_cnt is more than one for ELS cmds
    - clk: davinci: da8xx-cfgchip: Initialize clk_init_data before use
    - ubi: eba: properly rollback inside self_check_eba
    - decompress_bunzip2: fix rare decompression failure
    - kbuild: Fix '-S -c' in x86 stack protector scripts
    - kobject_uevent: Fix OOB access within zap_modalias_env()
    - gve: Fix an edge case for TSO skb validity check
    - devres: Fix devm_krealloc() wasting memory
    - devres: Fix memory leakage caused by driver API devm_free_percpu()
    - mm/numa_balancing: teach mpol_to_str about the balancing mode
    - rtc: cmos: Fix return value of nvmem callbacks
    - scsi: qla2xxx: During vport delete send async logout explicitly
    - scsi: qla2xxx: Unable to act on RSCN for port online
    - scsi: qla2xxx: Fix for possible memory corruption
    - scsi: qla2xxx: Use QP lock to search for bsg
    - scsi: qla2xxx: Fix flash read failure
    - scsi: qla2xxx: Complete command early within lock
    - scsi: qla2xxx: validate nvme_local_port correctly
    - perf: Fix event leak upon exit
    - perf: Fix event leak upon exec and file release
    - perf/x86/intel/uncore: Fix the bits of the CHA extended umask for SPR
    - perf/x86/intel/pt: Fix topa_entry base length
    - perf/x86/intel/pt: Fix a topa_entry base address calculation
    - drm/i915/gt: Do not consider preemption during execlists_dequeue for gen8
    - drm/amdgpu/sdma5.2: Update wptr registers as well as doorbell
    - drm/i915/dp: Reset intel_dp->link_trained before retraining the link
    - rtc: isl1208: Fix return value of nvmem callbacks
    - watchdog/perf: properly initialize the turbo mode timestamp and rearm
      counter
    - platform: mips: cpu_hwmon: Disable driver on unsupported hardware
    - RDMA/iwcm: Fix a use-after-free related to destroying CM IDs
    - selftests/sigaltstack: Fix ppc64 GCC build
    - rbd: don't assume rbd_is_lock_owner() for exclusive mappings
    - remoteproc: stm32_rproc: Fix mailbox interrupts queuing
    - remoteproc: imx_rproc: Skip over memory region when node value is NULL
    - MIPS: ip30: ip30-console: Add missing include
    - MIPS: dts: loongson: Fix GMAC phy node
    - MIPS: Loongson64: env: Hook up Loongsson-2K
    - MIPS: Loongson64: Remove memory node for builtin-dtb
    - MIPS: Loongson64: reset: Prioritise firmware service
    - MIPS: Loongson64: Test register availability before use
    - drm/panfrost: Mark simple_ondemand governor as softdep
    - rbd: rename RBD_LOCK_STATE_RELEASING and releasing_wait
    - rbd: don't assume RBD_LOCK_STATE_LOCKED for exclusive mappings
    - Bluetooth: btusb: Add RTL8852BE device 0489:e125 to device tables
    - Bluetooth: btusb: Add Realtek RTL8852BE support ID 0x13d3:0x3591
    - nilfs2: handle inconsistent state in nilfs_btnode_create_block()
    - io_uring/io-wq: limit retrying worker initialisation
    - kernel: rerun task_work while freezing in get_signal()
    - kdb: address -Wformat-security warnings
    - kdb: Use the passed prompt in kdb_position_cursor()
    - jfs: Fix array-index-out-of-bounds in diFree
    - dmaengine: ti: k3-udma: Fix BCHAN count with UHC and HC channels
    - phy: cadence-torrent: Check return value on register read
    - um: time-travel: fix time-travel-start option
    - um: time-travel: fix signal blocking race/hang
    - libbpf: Fix no-args func prototype BTF dumping syntax
    - dma: fix call order in dmam_free_coherent
    - bpf, events: Use prog to emit ksymbol event for main program
    - MIPS: SMP-CPS: Fix address for GCR_ACCESS register for CM3 and later
    - ipv4: Fix incorrect source address in Record Route option
    - net: bonding: correctly annotate RCU in bond_should_notify_peers()
    - netfilter: nft_set_pipapo_avx2: disable softinterrupts
    - tipc: Return non-zero value from tipc_udp_addr2str() on error
    - net: stmmac: Correct byte order of perfect_match
    - net: nexthop: Initialize all fields in dumped nexthops
    - bpf: Fix a segment issue when downgrading gso_size
    - mISDN: Fix a use after free in hfcmulti_tx()
    - apparmor: Fix null pointer deref when receiving skb during sock creation
    - powerpc: fix a file leak in kvm_vcpu_ioctl_enable_cap()
    - lirc: rc_dev_get_from_fd(): fix file leak
    - spi: spidev: Make probe to fail early if a spidev compatible is used
    - spi: spidev: Replace ACPI specific code by device_get_match_data()
    - spi: spidev: Replace OF specific code by device property API
    - spidev: Add Silicon Labs EM3581 device compatible
    - spi: spidev: order compatibles alphabetically
    - spi: spidev: add correct compatible for Rohm BH2228FV
    - ASoC: Intel: use soc_intel_is_byt_cr() only when IOSF_MBI is reachable
    - ceph: fix incorrect kmalloc size of pagevec mempool
    - iommu: sprd: Avoid NULL deref in sprd_iommu_hw_en
    - nvme: split command copy into a helper
    - nvme: separate command prep and issue
    - nvme-pci: add missing condition check for existence of mapped data
    - fs: don't allow non-init s_user_ns for filesystems without FS_USERNS_MOUNT
    - powerpc/configs: Update defconfig with now user-visible CONFIG_FSL_IFC
    - arm64: dts: qcom: msm8996: Move '#clock-cells' to QMP PHY child node
    - arm64: dts: qcom: msm8998: drop USB PHY clock index
    - arm64: dts: qcom: msm8998: switch USB QMP PHY to new style of bindings
    - arm64: dts: qcom: msm8998: Disable SS instance in Parkmode for USB
    - arm64: dts: qcom: ipq8074: Disable SS instance in Parkmode for USB
    - sysctl: always initialize i_uid/i_gid
    - ext4: make ext4_es_insert_extent() return void
    - ext4: refactor ext4_da_map_blocks()
    - ext4: convert to exclusive lock while inserting delalloc extents
    - ext4: factor out a common helper to query extent map
    - ext4: check the extent status again before inserting delalloc block
    - soc: xilinx: move PM_INIT_FINALIZE to zynqmp_pm_domains driver
    - drivers: soc: xilinx: check return status of get_api_version()
    - leds: trigger: use RCU to protect the led_cdevs list
    - leds: trigger: Remove unused function led_trigger_rename_static()
    - leds: trigger: Store brightness set by led_trigger_event()
    - leds: trigger: Call synchronize_rcu() before calling trig->activate()
    - leds: triggers: Flush pending brightness before activating trigger
    - irqdomain: Fixed unbalanced fwnode get and put
    - genirq: Allow the PM device to originate from irq domain
    - irqchip/imx-irqsteer: Constify irq_chip struct
    - irqchip/imx-irqsteer: Add runtime PM support
    - irqchip/imx-irqsteer: Handle runtime power management correctly
    - drm/dp_mst: Fix all mstb marked as not probed after suspend/resume
    - remoteproc: imx_rproc: Fix refcount mistake in imx_rproc_addr_init
    - MIPS: Loongson64: DTS: Add RTC support to Loongson-2K1000
    - MIPS: Loongson64: DTS: Fix PCIe port nodes for ls7a
    - MIPS: dts: loongson: Fix liointc IRQ polarity
    - MIPS: dts: loongson: Fix ls2k1000-rtc interrupt
    - drm/nouveau: prime: fix refcount underflow
    - drm/vmwgfx: Fix overlay when using Screen Targets
    - sched: act_ct: take care of padding in struct zones_ht_key
    - ALSA: hda: conexant: Fix headset auto detect fail in the polling mode
    - rtnetlink: enable alt_ifname for setlink/newlink
    - rtnetlink: Don't ignore IFLA_TARGET_NETNSID when ifname is specified in
      rtnl_dellink().
    - net/iucv: fix use after free in iucv_sock_close()
    - net: mvpp2: Don't re-use loop iterator
    - netfilter: iptables: Fix null-ptr-deref in iptable_nat_table_init().
    - netfilter: iptables: Fix potential null-ptr-deref in
      ip6table_nat_table_init().
    - net/mlx5e: Add a check for the return value from mlx5_port_set_eth_ptys
    - ipv6: fix ndisc_is_useropt() handling for PIO
    - riscv/mm: Add handling for VM_FAULT_SIGSEGV in mm_fault_error()
    - power: supply: bq24190_charger: replace deprecated strncpy with strscpy
    - platform/chrome: cros_ec_proto: Lock device when updating MKBP version
    - HID: wacom: Modify pen IDs
    - protect the fetch of ->fd[fd] in do_dup2() from mispredictions
    - ALSA: usb-audio: Correct surround channels in UAC1 channel map
    - ALSA: hda/realtek: Add quirk for Acer Aspire E5-574G
    - Revert "ALSA: firewire-lib: obsolete workqueue for period update"
    - Revert "ALSA: firewire-lib: operate for period elapse event in process
      context"
    - drm/vmwgfx: Fix a deadlock in dma buf fence polling
    - net: usb: sr9700: fix uninitialized variable use in sr_mdio_read
    - r8169: don't increment tx_dropped in case of NETDEV_TX_BUSY
    - mptcp: fix duplicate data handling
    - netfilter: ipset: Add list flush to cancel_gc
    - genirq: Allow irq_chip registration functions to take a const irq_chip
    - irqchip/mbigen: Fix mbigen node address layout
    - x86/mm: Fix pti_clone_pgtable() alignment assumption
    - x86/mm: Fix pti_clone_entry_text() for i386
    - sctp: move hlist_node and hashent out of sctp_ep_common
    - sctp: Fix null-ptr-deref in reuseport_add_sock().
    - net: usb: qmi_wwan: fix memory leak for not ip packets
    - net: bridge: mcast: wait for previous gc cycles when removing port
    - net: linkwatch: use system_unbound_wq
    - Bluetooth: l2cap: always unlock channel in l2cap_conless_channel()
    - net: dsa: bcm_sf2: Fix a possible memory leak in bcm_sf2_mdio_register()
    - l2tp: fix lockdep splat
    - net: fec: Stop PPS on driver remove
    - rcutorture: Fix rcu_torture_fwd_cb_cr() data race
    - md: do not delete safemode_timer in mddev_suspend
    - md/raid5: avoid BUG_ON() while continue reshape after reassembling
    - clocksource/drivers/sh_cmt: Address race condition for clock events
    - ACPI: battery: create alarm sysfs attribute atomically
    - ACPI: SBS: manage alarm sysfs attribute through psy core
    - selftests/bpf: Fix send_signal test with nested CONFIG_PARAVIRT
    - PCI: Add Edimax Vendor ID to pci_ids.h
    - udf: prevent integer overflow in udf_bitmap_free_blocks()
    - wifi: nl80211: don't give key data to userspace
    - btrfs: fix bitmap leak when loading free space cache on duplicate entry
    - drm/amdgpu/pm: Fix the null pointer dereference for smu7
    - drm/amdgpu: Fix the null pointer dereference to ras_manager
    - drm/amdgpu/pm: Fix the null pointer dereference in apply_state_adjust_rules
    - drm/amd/display: Add null checker before passing variables
    - media: uvcvideo: Ignore empty TS packets
    - media: uvcvideo: Fix the bandwdith quirk on USB 3.x
    - ext4: fix uninitialized variable in ext4_inlinedir_to_tree
    - jbd2: avoid memleak in jbd2_journal_write_metadata_buffer
    - s390/sclp: Prevent release of buffer in I/O
    - SUNRPC: Fix a race to wake a sync task
    - profiling: remove profile=sleep support
    - scsi: mpt3sas: Avoid IOMMU page faults on REPORT ZONES
    - sched/cputime: Fix mul_u64_u64_div_u64() precision for cputime
    - ext4: fix wrong unit use in ext4_mb_find_by_goal
    - arm64: cpufeature: Force HWCAP to be based on the sysreg visible to user-
      space
    - arm64: Add Neoverse-V2 part
    - arm64: barrier: Restore spec_bar() macro
    - arm64: cputype: Add Cortex-X4 definitions
    - arm64: cputype: Add Neoverse-V3 definitions
    - arm64: errata: Add workaround for Arm errata 3194386 and 3312417
    - [Config] Set ARM64_ERRATUM_3194386=y
    - arm64: cputype: Add Cortex-X3 definitions
    - arm64: cputype: Add Cortex-A720 definitions
    - arm64: cputype: Add Cortex-X925 definitions
    - arm64: errata: Unify speculative SSBS errata logic
    - arm64: errata: Expand speculative SSBS workaround
    - arm64: cputype: Add Cortex-X1C definitions
    - arm64: cputype: Add Cortex-A725 definitions
    - arm64: errata: Expand speculative SSBS workaround (again)
    - i2c: smbus: Improve handling of stuck alerts
    - ASoC: codecs: wcd938x-sdw: Correct Soundwire ports mask
    - ASoC: codecs: wsa881x: Correct Soundwire ports mask
    - spi: spidev: Add missing spi_device_id for bh2228fv
    - i2c: smbus: Send alert notifications to all devices if source not found
    - bpf: kprobe: remove unused declaring of bpf_kprobe_override
    - kprobes: Fix to check symbol prefixes correctly
    - spi: spi-fsl-lpspi: Fix scldiv calculation
    - ALSA: usb-audio: Re-add ScratchAmp quirk entries
    - ASoC: meson: axg-fifo: fix irq scheduling issue with PREEMPT_RT
    - drm/client: fix null pointer dereference in drm_client_modeset_probe
    - ALSA: line6: Fix racy access to midibuf
    - ALSA: hda: Add HP MP9 G4 Retail System AMS to force connect list
    - ALSA: hda/hdmi: Yet more pin fix for HP EliteDesk 800 G4
    - usb: vhci-hcd: Do not drop references before new references are gained
    - USB: serial: debug: do not echo input by default
    - usb: gadget: core: Check for unset descriptor
    - usb: gadget: u_serial: Set start_delayed during suspend
    - scsi: mpi3mr: Avoid IOMMU page faults on REPORT ZONES
    - scsi: ufs: core: Fix hba->last_dme_cmd_tstamp timestamp updating logic
    - tick/broadcast: Move per CPU pointer access into the atomic section
    - vhost-vdpa: switch to use vmf_insert_pfn() in the fault handler
    - ntp: Clamp maxerror and esterror to operating range
    - clocksource: Reduce the default clocksource_watchdog() retries to 2
    - torture: Enable clocksource watchdog with "tsc=watchdog"
    - clocksource: Scale the watchdog read retries automatically
    - clocksource: Fix brown-bag boolean thinko in cs_watchdog_read()
    - irqchip/meson-gpio: support more than 8 channels gpio irq
    - irqchip/meson-gpio: Convert meson_gpio_irq_controller::lock to
      'raw_spinlock_t'
    - driver core: Fix uevent_show() vs driver detach race
    - ntp: Safeguard against time_constant overflow
    - timekeeping: Fix bogus clock_was_set() invocation in do_adjtimex()
    - serial: core: check uartclk for zero to avoid divide by zero
    - kcov: properly check for softirq context
    - irqchip/xilinx: Fix shift out of bounds
    - genirq/irqdesc: Honor caller provided affinity in alloc_desc()
    - power: supply: axp288_charger: Fix constant_charge_voltage writes
    - power: supply: axp288_charger: Round constant_charge_voltage writes down
    - tracing: Fix overflow in get_free_elt()
    - padata: Fix possible divide-by-0 panic in padata_mt_helper()
    - x86/mtrr: Check if fixed MTRRs exist before saving them
    - sched/smt: Introduce sched_smt_present_inc/dec() helper
    - sched/smt: Fix unbalance sched_smt_present dec/inc
    - drm/bridge: analogix_dp: properly handle zero sized AUX transactions
    - drm/mgag200: Set DDC timeout in milliseconds
    - mptcp: sched: check both directions for backup
    - mptcp: distinguish rcv vs sent backup flag in requests
    - mptcp: fix NL PM announced address accounting
    - mptcp: mib: count MPJ with backup flag
    - mptcp: fix bad RCVPRUNED mib accounting
    - mptcp: pm: only set request_bkup flag when sending MP_PRIO
    - mptcp: export local_address
    - mptcp: pm: fix backup support in signal endpoints
    - selftests: mptcp: join: validate backup in MPJ
    - selftests: mptcp: join: check backup support in signal endp
    - btrfs: fix corruption after buffer fault in during direct IO append write
    - xfs: fix log recovery buffer allocation for the legacy h_size fixup
    - btrfs: fix double inode unlock for direct IO sync writes
    - PCI/DPC: Fix use-after-free on concurrent DPC and hot-removal
    - netfilter: nf_tables: set element extended ACK reporting support
    - netfilter: nf_tables: bail out if stateful expression provides no .clone
    - netfilter: nf_tables: allow clone callbacks to sleep
    - netfilter: nf_tables: prefer nft_chain_validate
    - net: stmmac: Enable mac_managed_pm phylink config
    - PCI: dwc: Restore MSI Receiver mask during resume
    - wifi: mac80211: check basic rates validity
    - mptcp: fully established after ADD_ADDR echo on MPJ
    - drm/i915/gem: Fix Virtual Memory mapping boundaries calculation
    - powerpc: Avoid nmi_enter/nmi_exit in real mode interrupt.
    - arm64: dts: qcom: msm8996: correct #clock-cells for QMP PHY nodes
    - arm64: cpufeature: Fix the visibility of compat hwcaps
    - exec: Fix ToCToU between perm check and set-uid/gid usage
    - nvme/pci: Add APST quirk for Lenovo N60z laptop
    - usb: gadget: u_audio: Check return codes from usb_ep_enable and
      config_ep_by_speed.
    - binfmt_flat: Fix corruption when not offsetting data start
    - wifi: cfg80211: restrict NL80211_ATTR_TXQ_QUANTUM values
    - ARM: dts: imx6qdl-kontron-samx6i: fix phy-mode
    - media: Revert "media: dvb-usb: Fix unexpected infinite loop in
      dvb_usb_read_remote_control()"
    - Revert "ata: libata-scsi: Honor the D_SENSE bit for CK_COND=1 and no error"
    - Linux 5.15.165
  * CVE-2024-26661
    - drm/amd/display: Add NULL test for 'timing generator' in 'dcn21_set_pipe()'
  * CVE-2024-25744
    - x86: Fix misspelled Kconfig symbols
    - x86: Introduce ia32_enabled()
    - x86/sev: Rename mem_encrypt.c to mem_encrypt_amd.c
    - x86/coco: Disable 32-bit emulation by default on TDX and SEV
    - x86/entry: Convert INT 0x80 emulation to IDTENTRY
    - x86/entry: Do not allow external 0x80 interrupts
    - x86/entry: Add do_SYSENTER_32() prototype
    - x86/bhi: Add support for clearing branch history at syscall entry
  * [UBUNTU 22.04] s390/cpum_cf: make crypto counters upward compatible
    (LP: #2074380)
    - s390/cpum_cf: make crypto counters upward compatible across machine types
  * Jammy update: v5.15.164 upstream stable release (LP: #2076100)
    - gcc-plugins: Rename last_stmt() for GCC 14+
    - filelock: Remove locks reliably when fcntl/close race is detected
    - ARM: 9324/1: fix get_user() broken with veneer
    - ACPI: processor_idle: Fix invalid comparison with insertion sort for latency
    - scsi: core: Fix a use-after-free
    - scsi: core: alua: I/O errors for ALUA state transitions
    - scsi: qedf: Don't process stag work during unload and recovery
    - scsi: qedf: Wait for stag work during unload
    - scsi: qedf: Set qed_slowpath_params to zero before use
    - ACPI: EC: Abort address space access upon error
    - ACPI: EC: Avoid returning AE_OK on errors in address space handler
    - tools/power/cpupower: Fix Pstate frequency reporting on AMD Family 1Ah CPUs
    - wifi: mac80211: mesh: init nonpeer_pm to active by default in mesh sdata
    - wifi: mac80211: handle tasklet frames before stopping
    - wifi: iwlwifi: mvm: d3: fix WoWLAN command version lookup
    - wifi: iwlwifi: mvm: Handle BIGTK cipher in kek_kck cmd
    - wifi: iwlwifi: mvm: properly set 6 GHz channel direct probe option
    - wifi: mac80211: fix UBSAN noise in ieee80211_prep_hw_scan()
    - selftests/openat2: Fix build warnings on ppc64
    - Input: silead - Always support 10 fingers
    - net: ipv6: rpl_iptunnel: block BH in rpl_output() and rpl_input()
    - ila: block BH in ila_output()
    - arm64: armv8_deprecated: Fix warning in isndep cpuhp starting process
    - null_blk: fix validation of block size
    - kconfig: gconf: give a proper initial state to the Save button
    - kconfig: remove wrong expr_trans_bool()
    - fs/file: fix the check in find_next_fd()
    - mei: demote client disconnect warning on suspend to debug
    - nvme: avoid double free special payload
    - wifi: cfg80211: wext: add extra SIOCSIWSCAN data check
    - KVM: PPC: Book3S HV: Prevent UAF in kvm_spapr_tce_attach_iommu_group()
    - drm/vmwgfx: Fix missing HYPERVISOR_GUEST dependency
    - ALSA: hda/realtek: Add more codec ID to no shutup pins list
    - mips: fix compat_sys_lseek syscall
    - Input: elantech - fix touchpad state on resume for Lenovo N24
    - Input: i8042 - add Ayaneo Kun to i8042 quirk table
    - bytcr_rt5640 : inverse jack detect for Archos 101 cesium
    - ALSA: dmaengine: Synchronize dma channel after drop()
    - ASoC: ti: davinci-mcasp: Set min period size using FIFO config
    - ASoC: ti: omap-hdmi: Fix too long driver name
    - can: kvaser_usb: fix return value for hif_usb_send_regout
    - s390/sclp: Fix sclp_init() cleanup on failure
    - platform/x86: wireless-hotkey: Add support for LG Airplane Button
    - platform/x86: lg-laptop: Remove LGEX0815 hotkey handling
    - platform/x86: lg-laptop: Change ACPI device id
    - platform/x86: lg-laptop: Use ACPI device handle when evaluating WMAB/WMBB
    - btrfs: qgroup: fix quota root leak after quota disable failure
    - ALSA: hda/relatek: Enable Mute LED on HP Laptop 15-gw0xxx
    - ALSA: dmaengine_pcm: terminate dmaengine before synchronize
    - net: usb: qmi_wwan: add Telit FN912 compositions
    - net: mac802154: Fix racy device stats updates by DEV_STATS_INC() and
      DEV_STATS_ADD()
    - powerpc/pseries: Whitelist dtl slub object for copying to userspace
    - powerpc/eeh: avoid possible crash when edev->pdev changes
    - scsi: libsas: Fix exp-attached device scan after probe failure scanned in
      again after probe failed
    - Bluetooth: hci_core: cancel all works upon hci_unregister_dev()
    - drm/radeon: check bo_va->bo is non-NULL before using it
    - fs: better handle deep ancestor chains in is_subdir()
    - riscv: stacktrace: fix usage of ftrace_graph_ret_addr()
    - spi: imx: Don't expect DMA for i.MX{25,35,50,51,53} cspi devices
    - selftests/vDSO: fix clang build errors and warnings
    - hfsplus: fix uninit-value in copy_name
    - spi: mux: set ctlr->bits_per_word_mask
    - tracing: Define the is_signed_type() macro once
    - minmax: sanity check constant bounds when clamping
    - minmax: clamp more efficiently by avoiding extra comparison
    - minmax: fix header inclusions
    - minmax: allow min()/max()/clamp() if the arguments have the same signedness.
    - minmax: allow comparisons of 'int' against 'unsigned char/short'
    - minmax: relax check to allow comparison between unsigned arguments and
      signed constants
    - mm/damon/core: merge regions aggressively when max_nr_regions is unmet
    - wifi: mac80211: disable softirqs for queued frame handling
    - drm/amdgpu: Fix signedness bug in sdma_v4_0_process_trap_irq()
    - samples: Add fs error monitoring example
    - samples: Make fs-monitor depend on libc and headers
    - docs: Fix formatting of literal sections in fanotify docs
    - Add gitignore file for samples/fanotify/ subdirectory
    - net: relax socket state check at accept time.
    - ocfs2: add bounds checking to ocfs2_check_dir_entry()
    - jfs: don't walk off the end of ealist
    - fs/ntfs3: Validate ff offset
    - ALSA: hda/realtek: Enable headset mic on Positivo SU C1400
    - ALSA: hda/realtek: Fix the speaker output on Samsung Galaxy Book Pro 360
    - arm64: dts: qcom: msm8996: Disable SS instance in Parkmode for USB
